#--*-perl-*--------------------------------------------------------------
#$Author: saulius $
#$Date: 2006-05-12 09:40:28 +0300 (Fri, 12 May 2006) $ 
#$Revision: 1056 $
#$URL: svn+ssh://saulius-grazulis.lt/home/saulius/svn-repositories/cce/modules/CCE.pm $
#------------------------------------------------------------------------

package CCE;

use strict;
use File::Basename;
require Exporter;
@CCE::ISA = qw(Exporter);
@CCE::EXPORT = qw( license );

$CCE::tmp = (defined $ENV{tmp} && -d $ENV{tmp}) ? $ENV{tmp} : "/tmp" ;
$CCE::executable = "";
$CCE::script_only = 0;
$CCE::quiet = 0;

%CCE::commonOptions = (

    "--tmp-directory" => \$CCE::tmp,
    "--execute"       => \$CCE::executable,
    "--run"           => sub { $CCE::script_only = 0 },
    "--script"        => sub { $CCE::script_only = 1 },
    "--version"       => sub { print "$main::Id\n"; exit 0 },
    "--help"          => sub { &main::usage and exit },
    "--usage"         => "--help",
    "--license"       => sub { &CCE::license and exit }

);

sub license
{
print <<EOT

   This script can be distributed under the terms of the GNU General
   Public License

EOT
}


sub usage
{

print <<EOT
 --run       Run the program, override any previous --script options
 --script    Do not run the program, but print the script which would be run
 --tmp-dir   Directory to use for temporary files ($CCE::tmp)
 --execute   Specify the name of executable to invoke (default: $CCE::executable)
 --version   Print the script version and exit
 --help      Print used information (this page) and exit
 --license   Print GPL License and exit

This script is free software; you are welcome to use and distribute it
under terms of GPL. See '@{[ basename $0 ]} --license' for details.
EOT

}


return 1;
