#------------------------------------------------------------------------
#$Author: saulius $
#$Date: 2006-05-03 13:16:28 +0300 (Wed, 03 May 2006) $ 
#$Revision: 988 $
#$URL: svn+ssh://saulius-grazulis.lt/home/saulius/svn-repositories/cce/aux/FileName.pm $
#------------------------------------------------------------------------

package FileName;

use strict;
require Exporter;
@FileName::ISA = qw( Exporter );
@FileName::EXPORT = qw( splitFileName removeAllExtensions base );

#
#  Split file name into directory, name and extension parts.
#

$FileName::pattern = '^(.*\/)*([^\/]*?)(\.[^.\/]*)?$';

sub splitFileName
{
    $_[0] =~ /$FileName::pattern/;
    my $directory  = defined $1 ? $1 : "./";
    my $basename   = defined $2 ? $2 : "";
    my $extension  = defined $3 ? $3 : "";
    wantarray ? ($basename, $directory, $extension) : $basename;
}

#
#  Remove directotry part and one extension from the file name
#

sub base
{
   $_[0] =~ /$FileName::pattern/;
   return $2;
}

#
#  Remove one extension from the file name, leaving directory part intact
#

sub removeExtension
{
   my $basename = $_[0];
   $basename =~ s/\.[^.\/]*$//;
   return $basename;
}

#
#  Remove all extensions from a file name, leave directory part intact
#

sub removeAllExtensions
{
   my $basename = $_[0];
   $basename =~ s/\.[^\/]*$//;
   return $basename;
}

return 1;
