#--*-perl-*--------------------------------------------------------------
#$Author: saulius $
#$Date: 2006-05-12 09:40:28 +0300 (Fri, 12 May 2006) $ 
#$Revision: 1056 $
#$URL: svn+ssh://saulius-grazulis.lt/home/saulius/svn-repositories/cce/modules/Harker.pm $
#------------------------------------------------------------------------
# Find position of Harker sections for a given symmetry operators
#------------------------------------------------------------------------

package Harker;

use strict;
require Exporter;
@Harker::ISA = qw(Exporter);
@Harker::EXPORT = qw( Patterson_operators Harker_sections );

sub uvw
{
    my @xyz = ("X", "Y", "Z");
    foreach (@_) {
    	my $sym = shift( @xyz );
    	if( /$sym/ ) {
    	    s/\+$sym//;
    	    s/^ *$sym *([^ ]+)/$1/;
    	    s/^ *$sym *$/0/;
    	    s/-$sym/-2$sym/;
            s/^ *\+//;
    	} else {
    	    $_ .= "-$sym" unless /$sym/;
    	}
    }
}

sub Patterson_operators
{
    my @patterson_operators = ();

    foreach (@_) {
    	my @pat_op = split( /,/, $_); 
        uvw(@pat_op);
        push(@patterson_operators, join(",", @pat_op));
    }
    return @patterson_operators;
}


sub Harker_direction
{
    my $cnt = 0;
    my @xyz = ("X", "Y", "Z");
    my ($direction, $position, $dir_now);
    foreach (@_) {
        $dir_now = shift @xyz;
        if(!/[XYZ]/) {
            $cnt++;
            $direction = $dir_now;
            $position = $_;
        }
    }
    ($cnt == 1) ? ($direction, $position) : ();
}

sub uniq { my $prev; map { (!defined $prev or $prev ne $_) ? $prev=$_ : () } @_ }

sub Harker_sections
{
    my @harker_sect = ();

    foreach (@_) {
	   my @pat_op = split(/,/, $_);
	   uvw(@pat_op);
           my ($direction, $position);
	   if(($direction, $position) = Harker_direction(@pat_op)) {
	       push( @harker_sect, "$direction: $position" );
	   }
    }
    return uniq sort @harker_sect;
}
