#--*-perl-*--------------------------------------------------------------
#$Author: saulius $
#$Date: 2006-05-12 09:40:28 +0300 (Fri, 12 May 2006) $ 
#$Revision: 1056 $
#$URL: svn+ssh://lokys.ibt.lt/home/saulius/svn-repositories/cce/modules/Symmetry.pm $
#-----------------------------------------------------------------------
# Process symmetry operators in perl scripts.
# Searches for symmetry operators and/or space group names in the 
# symmetry libtraty file
#-----------------------------------------------------------------------

package SpacegroupNames;

use strict;
require Exporter;
@SpacegroupNames::ISA = qw(Exporter);
@SpacegroupNames::EXPORT = qw( groups );

%SpacegroupNames::groups = (
"P1",	"P 1" ,
"P-1",	"P -1" ,
"P1-",	"P 1-" ,
"P2",	"P 1 2 1" ,
"P21",	"P 1 21 1" ,
"C2",	"C 1 2 1" ,
"Pm",	"P 1 m 1" ,
"Pc",	"P 1 c 1" ,
"Cm",	"C 1 m 1" ,
"Cc",	"C 1 c 1" ,
"P2/m",	"P 1 2/m 1" ,
"P21/m",	"P 1 21/m 1" ,
"C2/m",	"C 1 2/m 1" ,
"P2/c",	"P 1 2/c 1" ,
"P21/c",	"P 1 21/c 1" ,
"C2/c",	"C 1 2/c 1" ,
"P222",	"P 2 2 2" ,
"P2221",	"P 2 2 21" ,
"P21212",	"P 21 21 2" ,
"P212121",	"P 21 21 21" ,
"C2221",	"C 2 2 21" ,
"C222",	"C 2 2 2" ,
"F222",	"F 2 2 2" ,
"I222",	"I 2 2 2" ,
"I212121",	"I 21 21 21" ,
"Pmm2",	"P m m 2" ,
"Pmc21",	"P m c 21" ,
"Pcc2",	"P c c 2" ,
"Pma2",	"P m a 2" ,
"Pca21",	"P c a 21" ,
"Pnc2",	"P n c 2" ,
"Pmn21",	"P m n 21" ,
"Pba2",	"P b a 2" ,
"Pna21",	"P n a 21" ,
"Pnn2",	"P n n 2" ,
"Cmm2",	"C m m 2" ,
"Cmc21",	"C m c 21" ,
"Ccc2",	"C c c 2" ,
"Amm2",	"A m m 2" ,
"Abm2",	"A b m 2" ,
"Ama2",	"A m a 2" ,
"Aba2",	"A b a 2" ,
"Fmm2",	"F m m 2" ,
"Fdd2",	"F d d 2" ,
"Imm2",	"I m m 2" ,
"Iba2",	"I b a 2" ,
"Ima2",	"I m a 2" ,
"Pmmm",	"P 2/m 2/m 2/m" ,
"Pmmm",	"P m m m" ,
"Pnnn",	"P 2/n 2/n 2/n" ,
"Pnnn",	"P n n n" ,
"Pccm",	"P 2/c 2/c 2/m" ,
"Pccm",	"P c c m" ,
"Pban",	"P 2/b 2/a 2/n" ,
"Pban",	"P b a n" ,
"Pmma",	"P 21/m 2/m 2/a" ,
"Pmma",	"P m m a" ,
"Pnna",	"P 2/n 21/n 2/a" ,
"Pnna",	"P n n a" ,
"Pmna",	"P 2/m 2/n 21/a" ,
"Pmna",	"P m n a" ,
"Pcca",	"P 21/c 2/c 2/a" ,
"Pcca",	"P c c a" ,
"Pbam",	"P 21/b 21/a 2/m" ,
"Pbam",	"P b a m" ,
"Pccn",	"P 21/c 21/c 2/n" ,
"Pccn",	"P c c n" ,
"Pbcm",	"P 2/b 21/c 21/m" ,
"Pbcm",	"P b c m" ,
"Pnnm",	"P 21/n 21/n 2/m" ,
"Pnnm",	"P n n m" ,
"Pmmn",	"P 21/m 21/m 2/n" ,
"Pmmn",	"P m m n" ,
"Pbcn",	"P 21/b 2/c 21/n" ,
"Pbcn",	"P b c n" ,
"Pbca",	"P 21/b 21/c 21/a" ,
"Pbca",	"P b c a" ,
"Pnma",	"P 21/n 21/m 21/a" ,
"Pnma",	"P n m a" ,
"Cmcm",	"C 2/m 2/c 21/m" ,
"Cmcm",	"C m c m" ,
"Cmca",	"C 2/m 2/c 21/a" ,
"Cmca",	"C m c a" ,
"Cmmm",	"C 2/m 2/m 2/m" ,
"Cmmm",	"C m m m" ,
"Cccm",	"C 2/c 2/c 2/m" ,
"Cccm",	"C c c m" ,
"Cmma",	"C 2/m 2/m 2/a" ,
"Cmma",	"C m m a" ,
"Ccca",	"C 2/c 2/c 2/a" ,
"Ccca",	"C c c a" ,
"Fmmm",	"F 2/m 2/m 2/m" ,
"Fmmm",	"F m m m" ,
"Fddd",	"F 2/d 2/d 2/d" ,
"Fddd",	"F d d d" ,
"Immm",	"I 2/m 2/m 2/m" ,
"Immm",	"I m m m" ,
"Ibam",	"I 2/b 2/a 2/m" ,
"Ibam",	"I b a m" ,
"Ibca",	"I 21/b 21/c 21/a" ,
"Ibca",	"I b c a" ,
"Imma",	"I 21/m 21/m 21/a" ,
"Imma",	"I m m a" ,
"P4",	"P 4" ,
"P41",	"P 41" ,
"P42",	"P 42" ,
"P43",	"P 43" ,
"I4",	"I 4" ,
"I41",	"I 41" ,
"P-4",	"P -4" ,
"I-4",	"I -4" ,
"P4/m",	"P 4/m" ,
"P42/m",	"P 42/m" ,
"P4/n",	"P 4/n" ,
"P42/n",	"P 42/n" ,
"I4/m",	"I 4/m" ,
"I41/a",	"I 41/a" ,
"P422",	"P 4 2 2" ,
"P4212",	"P 4 21 2" ,
"P4122",	"P 41 2 2" ,
"P41212",	"P 41 21 2" ,
"P4222",	"P 42 2 2" ,
"P42212",	"P 42 21 2" ,
"P4322",	"P 43 2 2" ,
"P43212",	"P 43 21 2" ,
"I422",	"I 4 2 2" ,
"I4122",	"I 41 2 2" ,
"P4mm",	"P 4 m m" ,
"P4bm",	"P 4 b m" ,
"P42cm",	"P 42 c m" ,
"P42nm",	"P 42 n m" ,
"P4cc",	"P 4 c c" ,
"P4nc",	"P 4 n c" ,
"P42mc",	"P 42 m c" ,
"P42bc",	"P 42 b c" ,
"I4mm",	"I 4 m m" ,
"I4cm",	"I 4 c m" ,
"I41md",	"I 41 m d" ,
"I41cd",	"I 41 c d" ,
"P-42m",	"P -4 2 m" ,
"P-42c",	"P -4 2 c" ,
"P-421m",	"P -4 21 m" ,
"P-421c",	"P -4 21 c" ,
"P-4m2",	"P -4 m 2" ,
"P-4c2",	"P -4 c 2" ,
"P-4b2",	"P -4 b 2" ,
"P-4n2",	"P -4 n 2" ,
"I-4m2",	"I -4 m 2" ,
"I-4c2",	"I -4 c 2" ,
"I-42m",	"I -4 2 m" ,
"I-42d",	"I -4 2 d" ,
"P4/mmm",	"P 4/m 2/m 2/m" ,
"P4/mmm",	"P4/m m m" ,
"P4/mcc",	"P 4/m 2/c 2/c" ,
"P4/mcc",	"P4/m c c" ,
"P4/nbm",	"P 4/n 2/b 2/m" ,
"P4/nbm",	"P4/n b m" ,
"P4/nnc",	"P 4/n 2/n 2/c" ,
"P4/nnc",	"P4/n n c" ,
"P4/mbm",	"P 4/m 21/b 2/m" ,
"P4/mbm",	"P4/m b m" ,
"P4/mnc",	"P 4/m 21/n 2/c" ,
"P4/mnc",	"P4/m n c" ,
"P4/nmm",	"P 4/n 21/m 2/m" ,
"P4/nmm",	"P4/n m m" ,
"P4/ncc",	"P 4/n 2/c 2/c" ,
"P4/ncc",	"P4/n c c" ,
"P42/mmc",	"P 42/m 2/m 2/c" ,
"P42/mmc",	"P42/m m c" ,
"P42/mcm",	"P 42/m 2/c 2/m" ,
"P42/mcm",	"P42/m c m" ,
"P42/nbc",	"P 42/n 2/b 2/c" ,
"P42/nbc",	"P42/n b c" ,
"P42/nnm",	"P 42/n 2/n 2/m" ,
"P42/nnm",	"P42/n n m" ,
"P42/mbc",	"P 42/m 21/b 2/c" ,
"P42/mbc",	"P42/m b c" ,
"P42/mnm",	"P 42/m 21/n 2/m" ,
"P42/mnm",	"P42/m n m" ,
"P42/nmc",	"P 42/n 21/m 2/c" ,
"P42/nmc",	"P42/n m c" ,
"P42/ncm",	"P 42/n 21/c 2/m" ,
"P42/ncm",	"P42/n c m" ,
"I4/mmm",	"I 4/m 2/m 2/m" ,
"I4/mmm",	"I4/m m m" ,
"I4/mcm",	"I 4/m 2/c 2/m" ,
"I4/mcm",	"I4/m c m" ,
"I41/amd",	"I 41/a 2/m 2/d" ,
"I41/amd",	"I41/a m d" ,
"I41/acd",	"I 41/a 2/c 2/d" ,
"I41/acd",	"I41/a c d" ,
"P3",	"P 3" ,
"P31",	"P 31" ,
"P32",	"P 32" ,
"H3",	"H 3" ,
"R3",	"R 3" ,
"P-3",	"P -3" ,
"H-3",	"H -3" ,
"R-3",	"R -3" ,
"P312",	"P 3 1 2" ,
"P321",	"P 3 2 1" ,
"P3112",	"P 31 1 2" ,
"P3121",	"P 31 2 1" ,
"P3212",	"P 32 1 2" ,
"P3221",	"P 32 2 1" ,
"H32",	"H 3 2" ,
"R32",	"R 3 2" ,
"P3m1",	"P 3 m 1" ,
"P31m",	"P 3 1 m" ,
"P3c1",	"P 3 c 1" ,
"P31c",	"P 3 1 c" ,
"H3m",	"H 3 m" ,
"R3m",	"R 3 m" ,
"H3c",	"H 3 c" ,
"R3c",	"R 3 c" ,
"P-31m",	"P -3 1 2/m" ,
"P-31m",	"P -3 1 m" ,
"P-31c",	"P -3 1 2/c" ,
"P-31c",	"P -3 1 c" ,
"P-3m1",	"P -3 2/m 1" ,
"P-3m1",	"P -3 m 1" ,
"P-3c1",	"P -3 2/c 1" ,
"P-3c1",	"P -3 c 1" ,
"H-3m",	"H -3 2/m" ,
"H-3m",	"H -3 m" ,
"R-3m",	"R -3 2/m" ,
"R-3m",	"R -3 m" ,
"H-3c",	"H -3 2/c" ,
"H-3c",	"H -3 c" ,
"R-3c",	"R -3 2/c" ,
"R-3c",	"R -3 c" ,
"P6",	"P 6" ,
"P61",	"P 61" ,
"P65",	"P 65" ,
"P62",	"P 62" ,
"P64",	"P 64" ,
"P63",	"P 63" ,
"P-6",	"P -6" ,
"P6/m",	"P 6/m" ,
"P63/m",	"P 63/m" ,
"P622",	"P 6 2 2" ,
"P6122",	"P 61 2 2" ,
"P6522",	"P 65 2 2" ,
"P6222",	"P 62 2 2" ,
"P6422",	"P 64 2 2" ,
"P6322",	"P 63 2 2" ,
"P6mm",	"P 6 m m" ,
"P6cc",	"P 6 c c" ,
"P63cm",	"P 63 c m" ,
"P63mc",	"P 63 m c" ,
"P-6m2",	"P -6 m 2" ,
"P-6c2",	"P -6 c 2" ,
"P-62m",	"P -6 2 m" ,
"P-62c",	"P -6 2 c" ,
"P6/mmm",	"P 6/m 2/m 2/m" ,
"P6/mmm",	"P 6/m m m" ,
"P6/mcc",	"P 6/m 2/c 2/c" ,
"P6/mcc",	"P 6/m c c" ,
"P63/mcm",	"P 63/m 2/c 2/m" ,
"P63/mcm",	"P 63/m c m" ,
"P63/mmc",	"P 63/m 2/m 2/c" ,
"P63/mmc",	"P 63/m m c" ,
"P23",	"P 2 3" ,
"F23",	"F 2 3" ,
"I23",	"I 2 3" ,
"P213",	"P 21 3" ,
"I213",	"I 21 3" ,
"Pm-3",	"P 2/m -3" ,
"Pm-3",	"P m -3" ,
"Pn-3",	"P 2/n -3" ,
"Pn-3",	"P n -3" ,
"Fm-3",	"F 2/m -3" ,
"Fm-3",	"F m -3" ,
"Fd-3",	"F 2/d -3" ,
"Fd-3",	"F d -3" ,
"Im-3",	"I 2/m -3" ,
"Im-3",	"I m -3" ,
"Pa-3",	"P 21/a -3" ,
"Pa-3",	"P a -3" ,
"Ia-3",	"I 21/a -3" ,
"Ia-3",	"I a -3" ,
"P432",	"P 4 3 2" ,
"P4232",	"P 42 3 2" ,
"F432",	"F 4 3 2" ,
"F4132",	"F 41 3 2" ,
"I432",	"I 4 3 2" ,
"P4332",	"P 43 3 2" ,
"P4132",	"P 41 3 2" ,
"I4132",	"I 41 3 2" ,
"P-43m",	"P -4 3 m" ,
"F-43m",	"F -4 3 m" ,
"I-43m",	"I -4 3 m" ,
"P-43n",	"P -4 3 n" ,
"F-43c",	"F -4 3 c" ,
"I-43d",	"I -4 3 d" ,
"Pm-3m",	"P 4/m -3 2/m" ,
"Pm-3m",	"P m -3 m" ,
"Pn-3n",	"P 4/n -3 2/n P n -3 n" ,
"Pm-3n",	"P 42/m -3 2/n" ,
"Pm-3n",	"P m -3 n" ,
"Pn-3m",	"P 42/n -3 2/m" ,
"Pn-3m",	"P n -3 m" ,
"Fm-3m",	"F 4/m -3 2/m" ,
"Fm-3m",	"F m -3 m" ,
"Fm-3c",	"F 4/m -3 2/c" ,
"Fm-3c",	"F m -3 c" ,
"Fd-3m",	"F 41/d -3 2/m" ,
"Fd-3m",	"F d -3 m" ,
"Fd-3c",	"F 41/d -3 2/c" ,
"Fd-3c",	"F d -3 c" ,
"Im-3m",	"I 4/m -3 2/m" ,
"Im-3m",	"I m -3 m" ,
"Ia-3d",	"I 41/a -3 2/d" ,
"Ia-3d",	"I a -3 d" ,
## "P2",	"P 1 1 2" ,
"P1121",	"P 1 1 21" ,
"I21",	"I 1 21 1" ,
"B2",	"B 1 1 2" ,
"B2",	"B 2" ,
"A2",	"A 2 1 1" ,
"C21",	"C 1 21 1" ,
"I2",	"I 1 2 1" ,
"I2",	"I 2" ,
"P11m",	"P 1 1 m" ,
"P11b",	"P 1 1 b" ,
"B11m",	"B 1 1 m" ,
"B11b",	"B 1 1 b" ,
"P112/m",	"P 1 1 2/m" ,
"P1121/m",	"P 1 1 21/m" ,
"B112/m",	"B 1 1 2/m" ,
"P112/b",	"P 1 1 2/b" ,
"P1121/b",	"P 1 1 21/b" ,
"B112/b",	"B 1 1 2/b" ,
"P2122",	"P 21 2 2" ,
"P2212",	"P 2 21 2" ,
"P21212a",	"P 21 21 2 (a)" ,
"P21221",	"P 21 2 21" ,
"P22121",	"P 2 21 21" ,
"C2221a",	"C 2 2 21a)" ,
"C222a",	"C 2 2 2a" ,
"F222a",	"F 2 2 2a" ,
"I222a",	"I 2 2 2a" ,
"Pmmn2",	"P 21/m 21/m 2/n a" ,
"P42212a",	"P 42 21 2a" ,
"I23a",	"I 2 3a" ,
);

1;
