#--*-perl-*-------------------------------------------------------------
# Symmetry operators for perl scripts.
# Automatically generated from sym.lib by
# ./symlib2perl
#-----------------------------------------------------------------------

package SymOp;

use strict;
require Exporter;
@SymOp::ISA = qw(Exporter);
@SymOp::EXPORT = qw( groups );

%SymOp::groups = (

"P1" => { 
     number => 1,
     name   => "P1",
     symop  => [
        "X,Y,Z",
     ],
},

"P-1" => { 
     number => 2,
     name   => "P-1",
     symop  => [
        "X,Y,Z",
        "-X,-Y,-Z",
     ],
},

"P2" => { 
     number => 3,
     name   => "P2",
     symop  => [
        "X,Y,Z",
        "-X,Y,-Z",
     ],
},

"P21" => { 
     number => 4,
     name   => "P21",
     symop  => [
        "X,Y,Z",
        "-X,Y+1/2,-Z",
     ],
},

"C2" => { 
     number => 5,
     name   => "C2",
     symop  => [
        "X,Y,Z",
        "-X,Y,-Z",
        "1/2+X,1/2+Y,Z",
        "1/2-X,1/2+Y,-Z",
     ],
},

"Pm" => { 
     number => 6,
     name   => "Pm",
     symop  => [
        "X,Y,Z",
        "X,-Y,Z",
     ],
},

"Pc" => { 
     number => 7,
     name   => "Pc",
     symop  => [
        "X,Y,Z",
        "X,-Y,1/2+Z",
     ],
},

"Cm" => { 
     number => 8,
     name   => "Cm",
     symop  => [
        "X,Y,Z",
        "X,-Y,Z",
        "1/2+X,1/2+Y,Z",
        "1/2+X,1/2-Y,Z",
     ],
},

"Cc" => { 
     number => 9,
     name   => "Cc",
     symop  => [
        "X,Y,Z",
        "X,-Y,1/2+Z",
        "1/2+X,1/2+Y,Z",
        "1/2+X,1/2-Y,1/2+Z",
     ],
},

"P2/m" => { 
     number => 10,
     name   => "P2/m",
     symop  => [
        "X,Y,Z",
        "X,-Y,Z",
        "-X,Y,-Z",
        "-X,-Y,-Z",
     ],
},

"P21/m" => { 
     number => 11,
     name   => "P21/m",
     symop  => [
        "X,Y,Z",
        "-X,1/2+Y,-Z",
        "-X,-Y,-Z",
        "X,1/2-Y,Z",
     ],
},

"C2/m" => { 
     number => 12,
     name   => "C2/m",
     symop  => [
        "X,Y,Z",
        "X,-Y,Z",
        "-X,Y,-Z",
        "-X,-Y,-Z",
        "1/2+X,1/2+Y,Z",
        "1/2+X,1/2-Y,Z",
        "1/2-X,1/2+Y,-Z",
        "1/2-X,1/2-Y,-Z",
     ],
},

"P2/c" => { 
     number => 13,
     name   => "P2/c",
     symop  => [
        "X,Y,Z",
        "-X,Y,1/2-Z",
        "-X,-Y,-Z",
        "X,-Y,1/2+Z",
     ],
},

"P21/c" => { 
     number => 14,
     name   => "P21/c",
     symop  => [
        "X,Y,Z",
        "-X,-Y,-Z",
        "-X,1/2+Y,1/2-Z",
        "X,1/2-Y,1/2+Z",
     ],
},

"C2/c" => { 
     number => 15,
     name   => "C2/c",
     symop  => [
        "X,Y,Z",
        "-X,Y,1/2-Z",
        "-X,-Y,-Z",
        "X,-Y,1/2+Z",
        "1/2+X,1/2+Y,Z",
        "1/2-X,1/2+Y,1/2-Z",
        "1/2-X,1/2-Y,-Z",
        "1/2+X,1/2-Y,1/2+Z",
     ],
},

"P222" => { 
     number => 16,
     name   => "P222",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
     ],
},

"P2221" => { 
     number => 17,
     name   => "P2221",
     symop  => [
        "X,Y,Z",
        "-X,-Y,1/2+Z",
        "-X,Y,1/2-Z",
        "X,-Y,-Z",
     ],
},

"P21212" => { 
     number => 18,
     name   => "P21212",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "1/2-X,1/2+Y,-Z",
        "1/2+X,1/2-Y,-Z",
     ],
},

"P212121" => { 
     number => 19,
     name   => "P212121",
     symop  => [
        "X,Y,Z",
        "1/2-X,-Y,1/2+Z",
        "-X,1/2+Y,1/2-Z",
        "1/2+X,1/2-Y,-Z",
     ],
},

"C2221" => { 
     number => 20,
     name   => "C2221",
     symop  => [
        "X,Y,Z",
        "-X,-Y,1/2+Z",
        "-X,Y,1/2-Z",
        "X,-Y,-Z",
        "1/2+X,1/2+Y,Z",
        "1/2-X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,1/2-Z",
        "1/2+X,1/2-Y,-Z",
     ],
},

"C222" => { 
     number => 21,
     name   => "C222",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "1/2+X,1/2+Y,Z",
        "1/2-X,1/2-Y,Z",
        "1/2-X,1/2+Y,-Z",
        "1/2+X,1/2-Y,-Z",
     ],
},

"F222" => { 
     number => 22,
     name   => "F222",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "X,1/2+Y,1/2+Z",
        "-X,1/2-Y,1/2+Z",
        "-X,1/2+Y,1/2-Z",
        "X,1/2-Y,1/2-Z",
        "1/2+X,Y,1/2+Z",
        "1/2-X,-Y,1/2+Z",
        "1/2-X,Y,1/2-Z",
        "1/2+X,-Y,1/2-Z",
        "1/2+X,1/2+Y,Z",
        "1/2-X,1/2-Y,Z",
        "1/2-X,1/2+Y,-Z",
        "1/2+X,1/2-Y,-Z",
     ],
},

"I222" => { 
     number => 23,
     name   => "I222",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "X,-Y,-Z",
        "-X,Y,-Z",
        "X+1/2,Y+1/2,Z+1/2",
        "-X+1/2,-Y+1/2,Z+1/2",
        "X+1/2,-Y+1/2,-Z+1/2",
        "-X+1/2,Y+1/2,-Z+1/2",
     ],
},

"I212121" => { 
     number => 24,
     name   => "I212121",
     symop  => [
        "X,Y,Z",
        "1/2-X,-Y,1/2+Z",
        "-X,1/2+Y,1/2-Z",
        "1/2+X,1/2-Y,-Z",
        "1/2+X,1/2+Y,1/2+Z",
        "-X,1/2-Y,Z",
        "1/2-X,Y,-Z",
        "X,-Y,1/2-Z",
     ],
},

"Pmm2" => { 
     number => 25,
     name   => "Pmm2",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "X,-Y,Z",
        "-X,Y,Z",
     ],
},

"Pmc21" => { 
     number => 26,
     name   => "Pmc21",
     symop  => [
        "X,Y,Z",
        "-X,-Y,1/2+Z",
        "X,-Y,1/2+Z",
        "-X,Y,Z",
     ],
},

"Pcc2" => { 
     number => 27,
     name   => "Pcc2",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "X,-Y,1/2+Z",
        "-X,Y,1/2+Z",
     ],
},

"Pma2" => { 
     number => 28,
     name   => "Pma2",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "1/2+X,-Y,Z",
        "1/2-X,Y,Z",
     ],
},

"Pca21" => { 
     number => 29,
     name   => "Pca21",
     symop  => [
        "X,Y,Z",
        "-X,-Y,1/2+Z",
        "1/2+X,-Y,Z",
        "1/2-X,Y,1/2+Z",
     ],
},

"Pnc2" => { 
     number => 30,
     name   => "Pnc2",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "X,1/2-Y,1/2+Z",
        "-X,1/2+Y,1/2+Z",
     ],
},

"Pmn21" => { 
     number => 31,
     name   => "Pmn21",
     symop  => [
        "X,Y,Z",
        "1/2-X,-Y,1/2+Z",
        "1/2+X,-Y,1/2+Z",
        "-X,Y,Z",
     ],
},

"Pba2" => { 
     number => 32,
     name   => "Pba2",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "1/2+X,1/2-Y,Z",
        "1/2-X,1/2+Y,Z",
     ],
},

"Pna21" => { 
     number => 33,
     name   => "Pna21",
     symop  => [
        "X,Y,Z",
        "-X,-Y,1/2+Z",
        "1/2+X,1/2-Y,Z",
        "1/2-X,1/2+Y,1/2+Z",
     ],
},

"Pnn2" => { 
     number => 34,
     name   => "Pnn2",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "1/2+X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,1/2+Z",
     ],
},

"Cmm2" => { 
     number => 35,
     name   => "Cmm2",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "X,-Y,Z",
        "-X,Y,Z",
        "1/2+X,1/2+Y,Z",
        "1/2-X,1/2-Y,Z",
        "1/2+X,1/2-Y,Z",
        "1/2-X,1/2+Y,Z",
     ],
},

"Cmc21" => { 
     number => 36,
     name   => "Cmc21",
     symop  => [
        "X,Y,Z",
        "-X,-Y,1/2+Z",
        "X,-Y,1/2+Z",
        "-X,Y,Z",
        "1/2+X,1/2+Y,Z",
        "1/2-X,1/2-Y,1/2+Z",
        "1/2+X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,Z",
     ],
},

"Ccc2" => { 
     number => 37,
     name   => "Ccc2",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "X,-Y,1/2+Z",
        "-X,Y,1/2+Z",
        "1/2+X,1/2+Y,Z",
        "1/2-X,1/2-Y,Z",
        "1/2+X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,1/2+Z",
     ],
},

"Amm2" => { 
     number => 38,
     name   => "Amm2",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "X,-Y,Z",
        "-X,Y,Z",
        "X,1/2+Y,1/2+Z",
        "-X,1/2-Y,1/2+Z",
        "X,1/2-Y,1/2+Z",
        "-X,1/2+Y,1/2+Z",
     ],
},

"Abm2" => { 
     number => 39,
     name   => "Abm2",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "X,1/2-Y,Z",
        "-X,1/2+Y,Z",
        "X,1/2+Y,1/2+Z",
        "-X,1/2-Y,1/2+Z",
        "X,-Y,1/2+Z",
        "-X,Y,1/2+Z",
     ],
},

"Ama2" => { 
     number => 40,
     name   => "Ama2",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "1/2+X,-Y,Z",
        "1/2-X,Y,Z",
        "X,1/2+Y,1/2+Z",
        "-X,1/2-Y,1/2+Z",
        "1/2+X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,1/2+Z",
     ],
},

"Aba2" => { 
     number => 41,
     name   => "Aba2",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "1/2+X,1/2-Y,Z",
        "1/2-X,1/2+Y,Z",
        "X,1/2+Y,1/2+Z",
        "-X,1/2-Y,1/2+Z",
        "1/2+X,-Y,1/2+Z",
        "1/2-X,Y,1/2+Z",
     ],
},

"Fmm2" => { 
     number => 42,
     name   => "Fmm2",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "X,-Y,Z",
        "-X,Y,Z",
        "X,1/2+Y,1/2+Z",
        "-X,1/2-Y,1/2+Z",
        "X,1/2-Y,1/2+Z",
        "-X,1/2+Y,1/2+Z",
        "1/2+X,Y,1/2+Z",
        "1/2-X,-Y,1/2+Z",
        "1/2+X,-Y,1/2+Z",
        "1/2-X,Y,1/2+Z",
        "1/2+X,1/2+Y,Z",
        "1/2-X,1/2-Y,Z",
        "1/2+X,1/2-Y,Z",
        "1/2-X,1/2+Y,Z",
     ],
},

"Fdd2" => { 
     number => 43,
     name   => "Fdd2",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "1/4+X,1/4-Y,1/4+Z",
        "1/4-X,1/4+Y,1/4+Z",
        "X,1/2+Y,1/2+Z",
        "-X,1/2-Y,1/2+Z",
        "1/4+X,3/4-Y,3/4+Z",
        "1/4-X,3/4+Y,3/4+Z",
        "1/2+X,Y,1/2+Z",
        "1/2-X,-Y,1/2+Z",
        "3/4+X,1/4-Y,3/4+Z",
        "3/4-X,1/4+Y,3/4+Z",
        "1/2+X,1/2+Y,Z",
        "1/2-X,1/2-Y,Z",
        "3/4+X,3/4-Y,1/4+Z",
        "3/4-X,3/4+Y,1/4+Z",
     ],
},

"Imm2" => { 
     number => 44,
     name   => "Imm2",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "X,-Y,Z",
        "-X,Y,Z",
        "1/2+X,1/2+Y,1/2+Z",
        "1/2-X,1/2-Y,1/2+Z",
        "1/2+X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,1/2+Z",
     ],
},

"Iba2" => { 
     number => 45,
     name   => "Iba2",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "1/2+X,1/2-Y,Z",
        "1/2-X,1/2+Y,Z",
        "1/2+X,1/2+Y,1/2+Z",
        "1/2-X,1/2-Y,1/2+Z",
        "X,-Y,1/2+Z",
        "-X,Y,1/2+Z",
     ],
},

"Ima2" => { 
     number => 46,
     name   => "Ima2",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "1/2+X,-Y,Z",
        "1/2-X,Y,Z",
        "1/2+X,1/2+Y,1/2+Z",
        "1/2-X,1/2-Y,1/2+Z",
        "X,1/2-Y,1/2+Z",
        "-X,1/2+Y,1/2+Z",
     ],
},

"Pmmm" => { 
     number => 47,
     name   => "Pmmm",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "-X,-Y,-Z",
        "X,Y,-Z",
        "X,-Y,Z",
        "-X,Y,Z",
     ],
},

"Pnnn" => { 
     number => 48,
     name   => "Pnnn",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "1/2-X,1/2-Y,1/2-Z",
        "1/2+X,1/2+Y,1/2-Z",
        "1/2+X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,1/2+Z",
     ],
},

"Pccm" => { 
     number => 49,
     name   => "Pccm",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-X,Y,1/2-Z",
        "X,-Y,1/2-Z",
        "-X,-Y,-Z",
        "X,Y,-Z",
        "X,-Y,1/2+Z",
        "-X,Y,1/2+Z",
     ],
},

"Pban" => { 
     number => 50,
     name   => "Pban",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "1/2-X,1/2-Y,-Z",
        "1/2+X,1/2+Y,-Z",
        "1/2+X,1/2-Y,Z",
        "1/2-X,1/2+Y,Z",
     ],
},

"Pmma" => { 
     number => 51,
     name   => "Pmma",
     symop  => [
        "X,Y,Z",
        "1/2-X,-Y,Z",
        "-X,Y,-Z",
        "1/2+X,-Y,-Z",
        "-X,-Y,-Z",
        "1/2+X,Y,-Z",
        "X,-Y,Z",
        "1/2-X,Y,Z",
     ],
},

"Pnna" => { 
     number => 52,
     name   => "Pnna",
     symop  => [
        "X,Y,Z",
        "1/2-X,-Y,Z",
        "1/2-X,1/2+Y,1/2-Z",
        "X,1/2-Y,1/2-Z",
        "-X,-Y,-Z",
        "1/2+X,Y,-Z",
        "1/2+X,1/2-Y,1/2+Z",
        "-X,1/2+Y,1/2+Z",
     ],
},

"Pmna" => { 
     number => 53,
     name   => "Pmna",
     symop  => [
        "X,Y,Z",
        "1/2-X,-Y,1/2+Z",
        "1/2-X,Y,1/2-Z",
        "X,-Y,-Z",
        "-X,-Y,-Z",
        "1/2+X,Y,1/2-Z",
        "1/2+X,-Y,1/2+Z",
        "-X,Y,Z",
     ],
},

"Pcca" => { 
     number => 54,
     name   => "Pcca",
     symop  => [
        "X,Y,Z",
        "1/2-X,-Y,Z",
        "-X,Y,1/2-Z",
        "1/2+X,-Y,1/2-Z",
        "-X,-Y,-Z",
        "1/2+X,Y,-Z",
        "X,-Y,1/2+Z",
        "1/2-X,Y,1/2+Z",
     ],
},

"Pbam" => { 
     number => 55,
     name   => "Pbam",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "1/2-X,1/2+Y,-Z",
        "1/2+X,1/2-Y,-Z",
        "-X,-Y,-Z",
        "X,Y,-Z",
        "1/2+X,1/2-Y,Z",
        "1/2-X,1/2+Y,Z",
     ],
},

"Pccn" => { 
     number => 56,
     name   => "Pccn",
     symop  => [
        "X,Y,Z",
        "1/2-X,1/2-Y,Z",
        "-X,1/2+Y,1/2-Z",
        "1/2+X,-Y,1/2-Z",
        "-X,-Y,-Z",
        "1/2+X,1/2+Y,-Z",
        "X,1/2-Y,1/2+Z",
        "1/2-X,Y,1/2+Z",
     ],
},

"Pbcm" => { 
     number => 57,
     name   => "Pbcm",
     symop  => [
        "X,Y,Z",
        "-X,-Y,1/2+Z",
        "-X,1/2+Y,1/2-Z",
        "X,1/2-Y,-Z",
        "-X,-Y,-Z",
        "X,Y,1/2-Z",
        "X,1/2-Y,1/2+Z",
        "-X,1/2+Y,Z",
     ],
},

"Pnnm" => { 
     number => 58,
     name   => "Pnnm",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "1/2-X,1/2+Y,1/2-Z",
        "1/2+X,1/2-Y,1/2-Z",
        "-X,-Y,-Z",
        "X,Y,-Z",
        "1/2+X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,1/2+Z",
     ],
},

"Pmmn" => { 
     number => 59,
     name   => "Pmmn",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "1/2-X,Y+1/2,-Z",
        "X+1/2,1/2-Y,-Z",
        "1/2-X,1/2-Y,-Z",
        "X+1/2,Y+1/2,-Z",
        "X,-Y,Z",
        "-X,Y,Z",
     ],
},

"Pbcn" => { 
     number => 60,
     name   => "Pbcn",
     symop  => [
        "X,Y,Z",
        "1/2-X,1/2-Y,1/2+Z",
        "-X,Y,1/2-Z",
        "1/2+X,1/2-Y,-Z",
        "-X,-Y,-Z",
        "1/2+X,1/2+Y,1/2-Z",
        "X,-Y,1/2+Z",
        "1/2-X,1/2+Y,Z",
     ],
},

"Pbca" => { 
     number => 61,
     name   => "Pbca",
     symop  => [
        "X,Y,Z",
        "1/2-X,-Y,1/2+Z",
        "-X,1/2+Y,1/2-Z",
        "1/2+X,1/2-Y,-Z",
        "-X,-Y,-Z",
        "1/2+X,Y,1/2-Z",
        "X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,Z",
     ],
},

"Pnma" => { 
     number => 62,
     name   => "Pnma",
     symop  => [
        "X,Y,Z",
        "-X+1/2,-Y,Z+1/2",
        "-X,Y+1/2,-Z",
        "X+1/2,-Y+1/2,-Z+1/2",
        "-X,-Y,-Z",
        "X+1/2,Y,-Z+1/2",
        "X,-Y+1/2,Z",
        "-X+1/2,Y+1/2,Z+1/2",
     ],
},

"Cmcm" => { 
     number => 63,
     name   => "Cmcm",
     symop  => [
        "X,Y,Z",
        "-X,-Y,1/2+Z",
        "-X,Y,1/2-Z",
        "X,-Y,-Z",
        "-X,-Y,-Z",
        "X,Y,1/2-Z",
        "X,-Y,1/2+Z",
        "-X,Y,Z",
        "1/2+X,1/2+Y,Z",
        "1/2-X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,1/2-Z",
        "1/2+X,1/2-Y,-Z",
        "1/2-X,1/2-Y,-Z",
        "1/2+X,1/2+Y,1/2-Z",
        "1/2+X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,Z",
     ],
},

"Cmca" => { 
     number => 64,
     name   => "Cmca",
     symop  => [
        "X,Y,Z",
        "-X,1/2-Y,1/2+Z",
        "-X,1/2+Y,1/2-Z",
        "X,-Y,-Z",
        "-X,-Y,-Z",
        "X,1/2+Y,1/2-Z",
        "X,1/2-Y,1/2+Z",
        "-X,Y,Z",
        "1/2+X,1/2+Y,Z",
        "1/2-X,-Y,1/2+Z",
        "1/2-X,Y,1/2-Z",
        "1/2+X,1/2-Y,-Z",
        "1/2-X,1/2-Y,-Z",
        "1/2+X,Y,1/2-Z",
        "1/2+X,-Y,1/2+Z",
        "1/2-X,1/2+Y,Z",
     ],
},

"Cmmm" => { 
     number => 65,
     name   => "Cmmm",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "-X,-Y,-Z",
        "X,Y,-Z",
        "X,-Y,Z",
        "-X,Y,Z",
        "1/2+X,1/2+Y,Z",
        "1/2-X,1/2-Y,Z",
        "1/2-X,1/2+Y,-Z",
        "1/2+X,1/2-Y,-Z",
        "1/2-X,1/2-Y,-Z",
        "1/2+X,1/2+Y,-Z",
        "1/2+X,1/2-Y,Z",
        "1/2-X,1/2+Y,Z",
     ],
},

"Cccm" => { 
     number => 66,
     name   => "Cccm",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-X,Y,1/2-Z",
        "X,-Y,1/2-Z",
        "-X,-Y,-Z",
        "X,Y,-Z",
        "X,-Y,1/2+Z",
        "-X,Y,1/2+Z",
        "1/2+X,1/2+Y,Z",
        "1/2-X,1/2-Y,Z",
        "1/2-X,1/2+Y,1/2-Z",
        "1/2+X,1/2-Y,1/2-Z",
        "1/2-X,1/2-Y,-Z",
        "1/2+X,1/2+Y,-Z",
        "1/2+X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,1/2+Z",
     ],
},

"Cmma" => { 
     number => 67,
     name   => "Cmma",
     symop  => [
        "X,Y,Z",
        "-X,1/2-Y,Z",
        "-X,1/2+Y,-Z",
        "X,-Y,-Z",
        "-X,-Y,-Z",
        "X,1/2+Y,-Z",
        "X,1/2-Y,Z",
        "-X,Y,Z",
        "1/2+X,1/2+Y,Z",
        "1/2-X,-Y,Z",
        "1/2-X,Y,-Z",
        "1/2+X,1/2-Y,-Z",
        "1/2-X,1/2-Y,-Z",
        "1/2+X,Y,-Z",
        "1/2+X,-Y,Z",
        "1/2-X,1/2+Y,Z",
     ],
},

"Ccca" => { 
     number => 68,
     name   => "Ccca",
     symop  => [
        "X,Y,Z",
        "1/2-X,1/2-Y,Z",
        "-X,Y,-Z",
        "1/2+X,1/2-Y,-Z",
        "-X,1/2-Y,1/2-Z",
        "1/2+X,Y,1/2-Z",
        "X,1/2-Y,1/2+Z",
        "1/2-X,Y,1/2+Z",
        "1/2+X,1/2+Y,Z",
        "-X,-Y,Z",
        "1/2-X,1/2+Y,-Z",
        "X,-Y,-Z",
        "1/2-X,-Y,1/2-Z",
        "X,1/2+Y,1/2-Z",
        "1/2+X,-Y,1/2+Z",
        "-X,1/2+Y,1/2+Z",
     ],
},

"Fmmm" => { 
     number => 69,
     name   => "Fmmm",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "-X,-Y,-Z",
        "X,Y,-Z",
        "X,-Y,Z",
        "-X,Y,Z",
        "X,1/2+Y,1/2+Z",
        "-X,1/2-Y,1/2+Z",
        "-X,1/2+Y,1/2-Z",
        "X,1/2-Y,1/2-Z",
        "-X,1/2-Y,1/2-Z",
        "X,1/2+Y,1/2-Z",
        "X,1/2-Y,1/2+Z",
        "-X,1/2+Y,1/2+Z",
        "1/2+X,Y,1/2+Z",
        "1/2-X,-Y,1/2+Z",
        "1/2-X,Y,1/2-Z",
        "1/2+X,-Y,1/2-Z",
        "1/2-X,-Y,1/2-Z",
        "1/2+X,Y,1/2-Z",
        "1/2+X,-Y,1/2+Z",
        "1/2-X,Y,1/2+Z",
        "1/2+X,1/2+Y,Z",
        "1/2-X,1/2-Y,Z",
        "1/2-X,1/2+Y,-Z",
        "1/2+X,1/2-Y,-Z",
        "1/2-X,1/2-Y,-Z",
        "1/2+X,1/2+Y,-Z",
        "1/2+X,1/2-Y,Z",
        "1/2-X,1/2+Y,Z",
     ],
},

"Fddd" => { 
     number => 70,
     name   => "Fddd",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "1/4-X,1/4-Y,1/4-Z",
        "1/4+X,1/4+Y,1/4-Z",
        "1/4+X,1/4-Y,1/4+Z",
        "1/4-X,1/4+Y,1/4+Z",
        "X,1/2+Y,1/2+Z",
        "-X,1/2-Y,1/2+Z",
        "-X,1/2+Y,1/2-Z",
        "X,1/2-Y,1/2-Z",
        "1/4-X,3/4-Y,3/4-Z",
        "1/4+X,3/4+Y,3/4-Z",
        "1/4+X,3/4-Y,3/4+Z",
        "1/4-X,3/4+Y,3/4+Z",
        "1/2+X,Y,1/2+Z",
        "1/2-X,-Y,1/2+Z",
        "1/2-X,Y,1/2-Z",
        "1/2+X,-Y,1/2-Z",
        "3/4-X,1/4-Y,3/4-Z",
        "3/4+X,1/4+Y,3/4-Z",
        "3/4+X,1/4-Y,3/4+Z",
        "3/4-X,1/4+Y,3/4+Z",
        "1/2+X,1/2+Y,Z",
        "1/2-X,1/2-Y,Z",
        "1/2-X,1/2+Y,-Z",
        "1/2+X,1/2-Y,-Z",
        "3/4-X,3/4-Y,1/4-Z",
        "3/4+X,3/4+Y,1/4-Z",
        "3/4+X,3/4-Y,1/4+Z",
        "3/4-X,3/4+Y,1/4+Z",
     ],
},

"Immm" => { 
     number => 71,
     name   => "Immm",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "-X,-Y,-Z",
        "X,Y,-Z",
        "X,-Y,Z",
        "-X,Y,Z",
        "1/2+X,1/2+Y,1/2+Z",
        "1/2-X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,1/2-Z",
        "1/2+X,1/2-Y,1/2-Z",
        "1/2-X,1/2-Y,1/2-Z",
        "1/2+X,1/2+Y,1/2-Z",
        "1/2+X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,1/2+Z",
     ],
},

"Ibam" => { 
     number => 72,
     name   => "Ibam",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "1/2-X,1/2+Y,-Z",
        "1/2+X,1/2-Y,-Z",
        "-X,-Y,-Z",
        "X,Y,-Z",
        "1/2+X,1/2-Y,Z",
        "1/2-X,1/2+Y,Z",
        "1/2+X,1/2+Y,1/2+Z",
        "1/2-X,1/2-Y,1/2+Z",
        "-X,Y,1/2-Z",
        "X,-Y,1/2-Z",
        "1/2-X,1/2-Y,1/2-Z",
        "1/2+X,1/2+Y,1/2-Z",
        "X,-Y,1/2+Z",
        "-X,Y,1/2+Z",
     ],
},

"Ibca" => { 
     number => 73,
     name   => "Ibca",
     symop  => [
        "X,Y,Z",
        "1/2-X,-Y,1/2+Z",
        "-X,1/2+Y,1/2-Z",
        "1/2+X,1/2-Y,-Z",
        "-X,-Y,-Z",
        "1/2+X,Y,1/2-Z",
        "X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,Z",
        "1/2+X,1/2+Y,1/2+Z",
        "-X,1/2-Y,Z",
        "1/2-X,Y,-Z",
        "X,-Y,1/2-Z",
        "1/2-X,1/2-Y,1/2-Z",
        "X,1/2+Y,-Z",
        "1/2+X,-Y,Z",
        "-X,Y,1/2+Z",
     ],
},

"Imma" => { 
     number => 74,
     name   => "Imma",
     symop  => [
        "X,Y,Z",
        "-X,1/2-Y,Z",
        "-X,1/2+Y,-Z",
        "X,-Y,-Z",
        "-X,-Y,-Z",
        "X,1/2+Y,-Z",
        "X,1/2-Y,Z",
        "-X,Y,Z",
        "1/2+X,1/2+Y,1/2+Z",
        "1/2-X,-Y,1/2+Z",
        "1/2-X,Y,1/2-Z",
        "1/2+X,1/2-Y,1/2-Z",
        "1/2-X,1/2-Y,1/2-Z",
        "1/2+X,Y,1/2-Z",
        "1/2+X,-Y,1/2+Z",
        "1/2-X,1/2+Y,1/2+Z",
     ],
},

"P4" => { 
     number => 75,
     name   => "P4",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,Z",
        "Y,-X,Z",
     ],
},

"P41" => { 
     number => 76,
     name   => "P41",
     symop  => [
        "X,Y,Z",
        "-X,-Y,1/2+Z",
        "-Y,X,1/4+Z",
        "Y,-X,3/4+Z",
     ],
},

"P42" => { 
     number => 77,
     name   => "P42",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,1/2+Z",
        "Y,-X,1/2+Z",
     ],
},

"P43" => { 
     number => 78,
     name   => "P43",
     symop  => [
        "X,Y,Z",
        "-X,-Y,1/2+Z",
        "-Y,X,3/4+Z",
        "Y,-X,1/4+Z",
     ],
},

"I4" => { 
     number => 79,
     name   => "I4",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,Z",
        "Y,-X,Z",
        "1/2+X,1/2+Y,1/2+Z",
        "1/2-X,1/2-Y,1/2+Z",
        "1/2-Y,1/2+X,1/2+Z",
        "1/2+Y,1/2-X,1/2+Z",
     ],
},

"I41" => { 
     number => 80,
     name   => "I41",
     symop  => [
        "X,Y,Z",
        "1/2-X,1/2-Y,1/2+Z",
        "-Y,1/2+X,1/4+Z",
        "1/2+Y,-X,3/4+Z",
        "1/2+X,1/2+Y,1/2+Z",
        "-X,-Y,Z",
        "1/2-Y,X,3/4+Z",
        "Y,1/2-X,1/4+Z",
     ],
},

"P-4" => { 
     number => 81,
     name   => "P-4",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "Y,-X,-Z",
        "-Y,X,-Z",
     ],
},

"I-4" => { 
     number => 82,
     name   => "I-4",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "Y,-X,-Z",
        "-Y,X,-Z",
        "1/2+X,1/2+Y,1/2+Z",
        "1/2-X,1/2-Y,1/2+Z",
        "1/2+Y,1/2-X,1/2-Z",
        "1/2-Y,1/2+X,1/2-Z",
     ],
},

"P4/m" => { 
     number => 83,
     name   => "P4/m",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,Z",
        "Y,-X,Z",
        "-X,-Y,-Z",
        "X,Y,-Z",
        "Y,-X,-Z",
        "-Y,X,-Z",
     ],
},

"P42/m" => { 
     number => 84,
     name   => "P42/m",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,1/2+Z",
        "Y,-X,1/2+Z",
        "-X,-Y,-Z",
        "X,Y,-Z",
        "Y,-X,1/2-Z",
        "-Y,X,1/2-Z",
     ],
},

"P4/n" => { 
     number => 85,
     name   => "P4/n",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "1/2-Y,1/2+X,Z",
        "1/2+Y,1/2-X,Z",
        "1/2-X,1/2-Y,-Z",
        "1/2+X,1/2+Y,-Z",
        "Y,-X,-Z",
        "-Y,X,-Z",
     ],
},

"P42/n" => { 
     number => 86,
     name   => "P42/n",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "1/2-Y,1/2+X,1/2+Z",
        "1/2+Y,1/2-X,1/2+Z",
        "1/2-X,1/2-Y,1/2-Z",
        "1/2+X,1/2+Y,1/2-Z",
        "Y,-X,-Z",
        "-Y,X,-Z",
     ],
},

"I4/m" => { 
     number => 87,
     name   => "I4/m",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,Z",
        "Y,-X,Z",
        "-X,-Y,-Z",
        "X,Y,-Z",
        "Y,-X,-Z",
        "-Y,X,-Z",
        "1/2+X,1/2+Y,1/2+Z",
        "1/2-X,1/2-Y,1/2+Z",
        "1/2-Y,1/2+X,1/2+Z",
        "1/2+Y,1/2-X,1/2+Z",
        "1/2-X,1/2-Y,1/2-Z",
        "1/2+X,1/2+Y,1/2-Z",
        "1/2+Y,1/2-X,1/2-Z",
        "1/2-Y,1/2+X,1/2-Z",
     ],
},

"I41/a" => { 
     number => 88,
     name   => "I41/a",
     symop  => [
        "X,Y,Z",
        "1/2-X,1/2-Y,1/2+Z",
        "-Y,1/2+X,1/4+Z",
        "1/2+Y,-X,3/4+Z",
        "-X,1/2-Y,1/4-Z",
        "1/2+X,Y,3/4-Z",
        "Y,-X,-Z",
        "1/2-Y,1/2+X,1/2-Z",
        "1/2+X,1/2+Y,1/2+Z",
        "-X,-Y,Z",
        "1/2-Y,X,3/4+Z",
        "Y,1/2-X,1/4+Z",
        "1/2-X,-Y,3/4-Z",
        "X,1/2+Y,1/4-Z",
        "1/2+Y,1/2-X,1/2-Z",
        "-Y,X,-Z",
     ],
},

"P422" => { 
     number => 89,
     name   => "P422",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,Z",
        "Y,-X,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "Y,X,-Z",
        "-Y,-X,-Z",
     ],
},

"P4212" => { 
     number => 90,
     name   => "P4212",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "1/2-Y,1/2+X,Z",
        "1/2+Y,1/2-X,Z",
        "1/2-X,1/2+Y,-Z",
        "1/2+X,1/2-Y,-Z",
        "Y,X,-Z",
        "-Y,-X,-Z",
     ],
},

"P4122" => { 
     number => 91,
     name   => "P4122",
     symop  => [
        "X,Y,Z",
        "-X,-Y,1/2+Z",
        "-Y,X,1/4+Z",
        "Y,-X,3/4+Z",
        "-X,Y,-Z",
        "X,-Y,1/2-Z",
        "Y,X,3/4-Z",
        "-Y,-X,1/4-Z",
     ],
},

"P41212" => { 
     number => 92,
     name   => "P41212",
     symop  => [
        "X,Y,Z",
        "-X,-Y,1/2+Z",
        "1/2-Y,1/2+X,1/4+Z",
        "1/2+Y,1/2-X,3/4+Z",
        "1/2-X,1/2+Y,1/4-Z",
        "1/2+X,1/2-Y,3/4-Z",
        "Y,X,-Z",
        "-Y,-X,1/2-Z",
     ],
},

"P4222" => { 
     number => 93,
     name   => "P4222",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,1/2+Z",
        "Y,-X,1/2+Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "Y,X,1/2-Z",
        "-Y,-X,1/2-Z",
     ],
},

"P42212" => { 
     number => 94,
     name   => "P42212",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "1/2-Y,1/2+X,1/2+Z",
        "1/2+Y,1/2-X,1/2+Z",
        "1/2-X,1/2+Y,1/2-Z",
        "1/2+X,1/2-Y,1/2-Z",
        "Y,X,-Z",
        "-Y,-X,-Z",
     ],
},

"P4322" => { 
     number => 95,
     name   => "P4322",
     symop  => [
        "X,Y,Z",
        "-X,-Y,1/2+Z",
        "-Y,X,3/4+Z",
        "Y,-X,1/4+Z",
        "-X,Y,-Z",
        "X,-Y,1/2-Z",
        "Y,X,1/4-Z",
        "-Y,-X,3/4-Z",
     ],
},

"P43212" => { 
     number => 96,
     name   => "P43212",
     symop  => [
        "X,Y,Z",
        "-X,-Y,1/2+Z",
        "1/2-Y,1/2+X,3/4+Z",
        "1/2+Y,1/2-X,1/4+Z",
        "1/2-X,1/2+Y,3/4-Z",
        "1/2+X,1/2-Y,1/4-Z",
        "Y,X,-Z",
        "-Y,-X,1/2-Z",
     ],
},

"I422" => { 
     number => 97,
     name   => "I422",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,Z",
        "Y,-X,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "Y,X,-Z",
        "-Y,-X,-Z",
        "1/2+X,1/2+Y,1/2+Z",
        "1/2-X,1/2-Y,1/2+Z",
        "1/2-Y,1/2+X,1/2+Z",
        "1/2+Y,1/2-X,1/2+Z",
        "1/2-X,1/2+Y,1/2-Z",
        "1/2+X,1/2-Y,1/2-Z",
        "1/2+Y,1/2+X,1/2-Z",
        "1/2-Y,1/2-X,1/2-Z",
     ],
},

"I4122" => { 
     number => 98,
     name   => "I4122",
     symop  => [
        "X,Y,Z",
        "1/2-X,1/2-Y,1/2+Z",
        "-Y,1/2+X,1/4+Z",
        "1/2+Y,-X,3/4+Z",
        "1/2-X,Y,3/4-Z",
        "X,1/2-Y,1/4-Z",
        "1/2+Y,1/2+X,1/2-Z",
        "-Y,-X,-Z",
        "1/2+X,1/2+Y,1/2+Z",
        "-X,-Y,Z",
        "1/2-Y,X,3/4+Z",
        "Y,1/2-X,1/4+Z",
        "-X,1/2+Y,1/4-Z",
        "1/2+X,-Y,3/4-Z",
        "Y,X,-Z",
        "1/2-Y,1/2-X,1/2-Z",
     ],
},

"P4mm" => { 
     number => 99,
     name   => "P4mm",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,Z",
        "Y,-X,Z",
        "X,-Y,Z",
        "-X,Y,Z",
        "-Y,-X,Z",
        "Y,X,Z",
     ],
},

"P4bm" => { 
     number => 100,
     name   => "P4bm",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,Z",
        "Y,-X,Z",
        "1/2+X,1/2-Y,Z",
        "1/2-X,1/2+Y,Z",
        "1/2-Y,1/2-X,Z",
        "1/2+Y,1/2+X,Z",
     ],
},

"P42cm" => { 
     number => 101,
     name   => "P42cm",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,1/2+Z",
        "Y,-X,1/2+Z",
        "X,-Y,1/2+Z",
        "-X,Y,1/2+Z",
        "-Y,-X,Z",
        "Y,X,Z",
     ],
},

"P42nm" => { 
     number => 102,
     name   => "P42nm",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "1/2-Y,1/2+X,1/2+Z",
        "1/2+Y,1/2-X,1/2+Z",
        "1/2+X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,1/2+Z",
        "-Y,-X,Z",
        "Y,X,Z",
     ],
},

"P4cc" => { 
     number => 103,
     name   => "P4cc",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,Z",
        "Y,-X,Z",
        "X,-Y,1/2+Z",
        "-X,Y,1/2+Z",
        "-Y,-X,1/2+Z",
        "Y,X,1/2+Z",
     ],
},

"P4nc" => { 
     number => 104,
     name   => "P4nc",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,Z",
        "Y,-X,Z",
        "1/2+X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,1/2+Z",
        "1/2-Y,1/2-X,1/2+Z",
        "1/2+Y,1/2+X,1/2+Z",
     ],
},

"P42mc" => { 
     number => 105,
     name   => "P42mc",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,1/2+Z",
        "Y,-X,1/2+Z",
        "X,-Y,Z",
        "-X,Y,Z",
        "-Y,-X,1/2+Z",
        "Y,X,1/2+Z",
     ],
},

"P42bc" => { 
     number => 106,
     name   => "P42bc",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,1/2+Z",
        "Y,-X,1/2+Z",
        "1/2+X,1/2-Y,Z",
        "1/2-X,1/2+Y,Z",
        "1/2-Y,1/2-X,1/2+Z",
        "1/2+Y,1/2+X,1/2+Z",
     ],
},

"I4mm" => { 
     number => 107,
     name   => "I4mm",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,Z",
        "Y,-X,Z",
        "X,-Y,Z",
        "-X,Y,Z",
        "-Y,-X,Z",
        "Y,X,Z",
        "1/2+X,1/2+Y,1/2+Z",
        "1/2-X,1/2-Y,1/2+Z",
        "1/2-Y,1/2+X,1/2+Z",
        "1/2+Y,1/2-X,1/2+Z",
        "1/2+X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,1/2+Z",
        "1/2-Y,1/2-X,1/2+Z",
        "1/2+Y,1/2+X,1/2+Z",
     ],
},

"I4cm" => { 
     number => 108,
     name   => "I4cm",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,Z",
        "Y,-X,Z",
        "X,-Y,1/2+Z",
        "-X,Y,1/2+Z",
        "-Y,-X,1/2+Z",
        "Y,X,1/2+Z",
        "1/2+X,1/2+Y,1/2+Z",
        "1/2-X,1/2-Y,1/2+Z",
        "1/2-Y,1/2+X,1/2+Z",
        "1/2+Y,1/2-X,1/2+Z",
        "1/2+X,1/2-Y,Z",
        "1/2-X,1/2+Y,Z",
        "1/2-Y,1/2-X,Z",
        "1/2+Y,1/2+X,Z",
     ],
},

"I41md" => { 
     number => 109,
     name   => "I41md",
     symop  => [
        "X,Y,Z",
        "1/2-X,1/2-Y,1/2+Z",
        "-Y,1/2+X,1/4+Z",
        "1/2+Y,-X,3/4+Z",
        "X,-Y,Z",
        "1/2-X,1/2+Y,1/2+Z",
        "-Y,1/2-X,1/4+Z",
        "1/2+Y,X,3/4+Z",
        "1/2+X,1/2+Y,1/2+Z",
        "-X,-Y,Z",
        "1/2-Y,X,3/4+Z",
        "Y,1/2-X,1/4+Z",
        "1/2+X,1/2-Y,1/2+Z",
        "-X,Y,Z",
        "1/2-Y,-X,3/4+Z",
        "Y,1/2+X,1/4+Z",
     ],
},

"I41cd" => { 
     number => 110,
     name   => "I41cd",
     symop  => [
        "X,Y,Z",
        "1/2-X,1/2-Y,1/2+Z",
        "-Y,1/2+X,1/4+Z",
        "1/2+Y,-X,3/4+Z",
        "X,-Y,1/2+Z",
        "1/2-X,1/2+Y,Z",
        "-Y,1/2-X,3/4+Z",
        "1/2+Y,X,1/4+Z",
        "1/2+X,1/2+Y,1/2+Z",
        "-X,-Y,Z",
        "1/2-Y,X,3/4+Z",
        "Y,1/2-X,1/4+Z",
        "1/2+X,1/2-Y,Z",
        "-X,Y,1/2+Z",
        "1/2-Y,-X,1/4+Z",
        "Y,1/2+X,3/4+Z",
     ],
},

"P-42m" => { 
     number => 111,
     name   => "P-42m",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,-Z",
        "Y,-X,-Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "-Y,-X,Z",
        "Y,X,Z",
     ],
},

"P-42c" => { 
     number => 112,
     name   => "P-42c",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,-Z",
        "Y,-X,-Z",
        "-X,Y,1/2-Z",
        "X,-Y,1/2-Z",
        "-Y,-X,1/2+Z",
        "Y,X,1/2+Z",
     ],
},

"P-421m" => { 
     number => 113,
     name   => "P-421m",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,-Z",
        "Y,-X,-Z",
        "1/2-X,1/2+Y,-Z",
        "1/2+X,1/2-Y,-Z",
        "1/2-Y,1/2-X,Z",
        "1/2+Y,1/2+X,Z",
     ],
},

"P-421c" => { 
     number => 114,
     name   => "P-421c",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,-Z",
        "Y,-X,-Z",
        "1/2-X,1/2+Y,1/2-Z",
        "1/2+X,1/2-Y,1/2-Z",
        "1/2-Y,1/2-X,1/2+Z",
        "1/2+Y,1/2+X,1/2+Z",
     ],
},

"P-4m2" => { 
     number => 115,
     name   => "P-4m2",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "Y,-X,-Z",
        "-Y,X,-Z",
        "X,-Y,Z",
        "-X,Y,Z",
        "Y,X,-Z",
        "-Y,-X,-Z",
     ],
},

"P-4c2" => { 
     number => 116,
     name   => "P-4c2",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,-Z",
        "Y,-X,-Z",
        "X,-Y,1/2+Z",
        "-X,Y,1/2+Z",
        "Y,X,1/2-Z",
        "-Y,-X,1/2-Z",
     ],
},

"P-4b2" => { 
     number => 117,
     name   => "P-4b2",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,-Z",
        "Y,-X,-Z",
        "1/2+X,1/2-Y,Z",
        "1/2-X,1/2+Y,Z",
        "1/2+Y,1/2+X,-Z",
        "1/2-Y,1/2-X,-Z",
     ],
},

"P-4n2" => { 
     number => 118,
     name   => "P-4n2",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,-Z",
        "Y,-X,-Z",
        "1/2+X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,1/2+Z",
        "1/2+Y,1/2+X,1/2-Z",
        "1/2-Y,1/2-X,1/2-Z",
     ],
},

"I-4m2" => { 
     number => 119,
     name   => "I-4m2",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,-Z",
        "Y,-X,-Z",
        "X,-Y,Z",
        "-X,Y,Z",
        "Y,X,-Z",
        "-Y,-X,-Z",
        "1/2+X,1/2+Y,1/2+Z",
        "1/2-X,1/2-Y,1/2+Z",
        "1/2-Y,1/2+X,1/2-Z",
        "1/2+Y,1/2-X,1/2-Z",
        "1/2+X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,1/2+Z",
        "1/2+Y,1/2+X,1/2-Z",
        "1/2-Y,1/2-X,1/2-Z",
     ],
},

"I-4c2" => { 
     number => 120,
     name   => "I-4c2",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,-Z",
        "Y,-X,-Z",
        "X,-Y,1/2+Z",
        "-X,Y,1/2+Z",
        "Y,X,1/2-Z",
        "-Y,-X,1/2-Z",
        "1/2+X,1/2+Y,1/2+Z",
        "1/2-X,1/2-Y,1/2+Z",
        "1/2-Y,1/2+X,1/2-Z",
        "1/2+Y,1/2-X,1/2-Z",
        "1/2+X,1/2-Y,Z",
        "1/2-X,1/2+Y,Z",
        "1/2+Y,1/2+X,-Z",
        "1/2-Y,1/2-X,-Z",
     ],
},

"I-42m" => { 
     number => 121,
     name   => "I-42m",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,-Z",
        "Y,-X,-Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "-Y,-X,Z",
        "Y,X,Z",
        "1/2+X,1/2+Y,1/2+Z",
        "1/2-X,1/2-Y,1/2+Z",
        "1/2-Y,1/2+X,1/2-Z",
        "1/2+Y,1/2-X,1/2-Z",
        "1/2-X,1/2+Y,1/2-Z",
        "1/2+X,1/2-Y,1/2-Z",
        "1/2-Y,1/2-X,1/2+Z",
        "1/2+Y,1/2+X,1/2+Z",
     ],
},

"I-42d" => { 
     number => 122,
     name   => "I-42d",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,-Z",
        "Y,-X,-Z",
        "1/2-X,Y,3/4-Z",
        "1/2+X,-Y,3/4-Z",
        "1/2-Y,-X,3/4+Z",
        "1/2+Y,X,3/4+Z",
        "1/2+X,1/2+Y,1/2+Z",
        "1/2-X,1/2-Y,1/2+Z",
        "1/2-Y,1/2+X,1/2-Z",
        "1/2+Y,1/2-X,1/2-Z",
        "-X,1/2+Y,1/4-Z",
        "X,1/2-Y,1/4-Z",
        "-Y,1/2-X,1/4+Z",
        "Y,1/2+X,1/4+Z",
     ],
},

"P4/mmm" => { 
     number => 123,
     name   => "P4/mmm",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,Z",
        "Y,-X,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "Y,X,-Z",
        "-Y,-X,-Z",
        "-X,-Y,-Z",
        "X,Y,-Z",
        "Y,-X,-Z",
        "-Y,X,-Z",
        "X,-Y,Z",
        "-X,Y,Z",
        "-Y,-X,Z",
        "Y,X,Z",
     ],
},

"P4/mcc" => { 
     number => 124,
     name   => "P4/mcc",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,Z",
        "Y,-X,Z",
        "-X,Y,1/2-Z",
        "X,-Y,1/2-Z",
        "Y,X,1/2-Z",
        "-Y,-X,1/2-Z",
        "-X,-Y,-Z",
        "X,Y,-Z",
        "Y,-X,-Z",
        "-Y,X,-Z",
        "X,-Y,1/2+Z",
        "-X,Y,1/2+Z",
        "-Y,-X,1/2+Z",
        "Y,X,1/2+Z",
     ],
},

"P4/nbm" => { 
     number => 125,
     name   => "P4/nbm",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,Z",
        "Y,-X,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "Y,X,-Z",
        "-Y,-X,-Z",
        "1/2-X,1/2-Y,-Z",
        "1/2+X,1/2+Y,-Z",
        "1/2+Y,1/2-X,-Z",
        "1/2-Y,1/2+X,-Z",
        "1/2+X,1/2-Y,Z",
        "1/2-X,1/2+Y,Z",
        "1/2-Y,1/2-X,Z",
        "1/2+Y,1/2+X,Z",
     ],
},

"P4/nnc" => { 
     number => 126,
     name   => "P4/nnc",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,Z",
        "Y,-X,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "Y,X,-Z",
        "-Y,-X,-Z",
        "1/2-X,1/2-Y,1/2-Z",
        "1/2+X,1/2+Y,1/2-Z",
        "1/2+Y,1/2-X,1/2-Z",
        "1/2-Y,1/2+X,1/2-Z",
        "1/2+X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,1/2+Z",
        "1/2-Y,1/2-X,1/2+Z",
        "1/2+Y,1/2+X,1/2+Z",
     ],
},

"P4/mbm" => { 
     number => 127,
     name   => "P4/mbm",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,Z",
        "Y,-X,Z",
        "1/2-X,1/2+Y,-Z",
        "1/2+X,1/2-Y,-Z",
        "1/2+Y,1/2+X,-Z",
        "1/2-Y,1/2-X,-Z",
        "-X,-Y,-Z",
        "X,Y,-Z",
        "Y,-X,-Z",
        "-Y,X,-Z",
        "1/2+X,1/2-Y,Z",
        "1/2-X,1/2+Y,Z",
        "1/2-Y,1/2-X,Z",
        "1/2+Y,1/2+X,Z",
     ],
},

"P4/mnc" => { 
     number => 128,
     name   => "P4/mnc",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,Z",
        "Y,-X,Z",
        "1/2-X,1/2+Y,1/2-Z",
        "1/2+X,1/2-Y,1/2-Z",
        "1/2+Y,1/2+X,1/2-Z",
        "1/2-Y,1/2-X,1/2-Z",
        "-X,-Y,-Z",
        "X,Y,-Z",
        "Y,-X,-Z",
        "-Y,X,-Z",
        "1/2+X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,1/2+Z",
        "1/2-Y,1/2-X,1/2+Z",
        "1/2+Y,1/2+X,1/2+Z",
     ],
},

"P4/nmm" => { 
     number => 129,
     name   => "P4/nmm",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "1/2-Y,1/2+X,Z",
        "1/2+Y,1/2-X,Z",
        "1/2-X,1/2+Y,-Z",
        "1/2+X,1/2-Y,-Z",
        "Y,X,-Z",
        "-Y,-X,-Z",
        "1/2-X,1/2-Y,-Z",
        "1/2+X,1/2+Y,-Z",
        "Y,-X,-Z",
        "-Y,X,-Z",
        "X,-Y,Z",
        "-X,Y,Z",
        "1/2-Y,1/2-X,Z",
        "1/2+Y,1/2+X,Z",
     ],
},

"P4/ncc" => { 
     number => 130,
     name   => "P4/ncc",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "1/2-Y,1/2+X,Z",
        "1/2+Y,1/2-X,Z",
        "1/2-X,1/2+Y,1/2-Z",
        "1/2+X,1/2-Y,1/2-Z",
        "Y,X,1/2-Z",
        "-Y,-X,1/2-Z",
        "1/2-X,1/2-Y,-Z",
        "1/2+X,1/2+Y,-Z",
        "Y,-X,-Z",
        "-Y,X,-Z",
        "X,-Y,1/2+Z",
        "-X,Y,1/2+Z",
        "1/2-Y,1/2-X,1/2+Z",
        "1/2+Y,1/2+X,1/2+Z",
     ],
},

"P42/mmc" => { 
     number => 131,
     name   => "P42/mmc",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,1/2+Z",
        "Y,-X,1/2+Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "Y,X,1/2-Z",
        "-Y,-X,1/2-Z",
        "-X,-Y,-Z",
        "X,Y,-Z",
        "Y,-X,1/2-Z",
        "-Y,X,1/2-Z",
        "X,-Y,Z",
        "-X,Y,Z",
        "-Y,-X,1/2+Z",
        "Y,X,1/2+Z",
     ],
},

"P42/mcm" => { 
     number => 132,
     name   => "P42/mcm",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,1/2+Z",
        "Y,-X,1/2+Z",
        "-X,Y,1/2-Z",
        "X,-Y,1/2-Z",
        "Y,X,-Z",
        "-Y,-X,-Z",
        "-X,-Y,-Z",
        "X,Y,-Z",
        "Y,-X,1/2-Z",
        "-Y,X,1/2-Z",
        "X,-Y,1/2+Z",
        "-X,Y,1/2+Z",
        "-Y,-X,Z",
        "Y,X,Z",
     ],
},

"P42/nbc" => { 
     number => 133,
     name   => "P42/nbc",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "1/2-Y,1/2+X,1/2+Z",
        "1/2+Y,1/2-X,1/2+Z",
        "-X,Y,1/2-Z",
        "X,-Y,1/2-Z",
        "1/2+Y,1/2+X,-Z",
        "1/2-Y,1/2-X,-Z",
        "1/2-X,1/2-Y,1/2-Z",
        "1/2+X,1/2+Y,1/2-Z",
        "Y,-X,-Z",
        "-Y,X,-Z",
        "1/2+X,1/2-Y,Z",
        "1/2-X,1/2+Y,Z",
        "-Y,-X,1/2+Z",
        "Y,X,1/2+Z",
     ],
},

"P42/nnm" => { 
     number => 134,
     name   => "P42/nnm",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "1/2-Y,1/2+X,1/2+Z",
        "1/2+Y,1/2-X,1/2+Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "1/2+Y,1/2+X,1/2-Z",
        "1/2-Y,1/2-X,1/2-Z",
        "1/2-X,1/2-Y,1/2-Z",
        "1/2+X,1/2+Y,1/2-Z",
        "Y,-X,-Z",
        "-Y,X,-Z",
        "1/2+X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,1/2+Z",
        "-Y,-X,Z",
        "Y,X,Z",
     ],
},

"P42/mbc" => { 
     number => 135,
     name   => "P42/mbc",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,1/2+Z",
        "Y,-X,1/2+Z",
        "1/2-X,1/2+Y,-Z",
        "1/2+X,1/2-Y,-Z",
        "1/2+Y,1/2+X,1/2-Z",
        "1/2-Y,1/2-X,1/2-Z",
        "-X,-Y,-Z",
        "X,Y,-Z",
        "Y,-X,1/2-Z",
        "-Y,X,1/2-Z",
        "1/2+X,1/2-Y,Z",
        "1/2-X,1/2+Y,Z",
        "1/2-Y,1/2-X,1/2+Z",
        "1/2+Y,1/2+X,1/2+Z",
     ],
},

"P42/mnm" => { 
     number => 136,
     name   => "P42/mnm",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "1/2-Y,X+1/2,Z+1/2",
        "Y+1/2,1/2-X,Z+1/2",
        "1/2-X,Y+1/2,1/2-Z",
        "X+1/2,1/2-Y,1/2-Z",
        "Y,X,-Z",
        "-Y,-X,-Z",
        "-X,-Y,-Z",
        "X,Y,-Z",
        "Y+1/2,1/2-X,1/2-Z",
        "1/2-Y,X+1/2,1/2-Z",
        "X+1/2,1/2-Y,Z+1/2",
        "1/2-X,Y+1/2,Z+1/2",
        "-Y,-X,Z",
        "Y,X,Z",
     ],
},

"P42/nmc" => { 
     number => 137,
     name   => "P42/nmc",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "1/2-Y,1/2+X,1/2+Z",
        "1/2+Y,1/2-X,1/2+Z",
        "1/2-X,1/2+Y,1/2-Z",
        "1/2+X,1/2-Y,1/2-Z",
        "Y,X,-Z",
        "-Y,-X,-Z",
        "1/2-X,1/2-Y,1/2-Z",
        "1/2+X,1/2+Y,1/2-Z",
        "Y,-X,-Z",
        "-Y,X,-Z",
        "X,-Y,Z",
        "-X,Y,Z",
        "1/2-Y,1/2-X,1/2+Z",
        "1/2+Y,1/2+X,1/2+Z",
     ],
},

"P42/ncm" => { 
     number => 138,
     name   => "P42/ncm",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "1/2-Y,1/2+X,1/2+Z",
        "1/2+Y,1/2-X,1/2+Z",
        "1/2-X,1/2+Y,-Z",
        "1/2+X,1/2-Y,-Z",
        "Y,X,1/2-Z",
        "-Y,-X,1/2-Z",
        "1/2-X,1/2-Y,1/2-Z",
        "1/2+X,1/2+Y,1/2-Z",
        "Y,-X,-Z",
        "-Y,X,-Z",
        "X,-Y,1/2+Z",
        "-X,Y,1/2+Z",
        "1/2-Y,1/2-X,Z",
        "1/2+Y,1/2+X,Z",
     ],
},

"I4/mmm" => { 
     number => 139,
     name   => "I4/mmm",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,Z",
        "Y,-X,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "Y,X,-Z",
        "-Y,-X,-Z",
        "-X,-Y,-Z",
        "X,Y,-Z",
        "Y,-X,-Z",
        "-Y,X,-Z",
        "X,-Y,Z",
        "-X,Y,Z",
        "-Y,-X,Z",
        "Y,X,Z",
        "1/2+X,1/2+Y,1/2+Z",
        "1/2-X,1/2-Y,1/2+Z",
        "1/2-Y,1/2+X,1/2+Z",
        "1/2+Y,1/2-X,1/2+Z",
        "1/2-X,1/2+Y,1/2-Z",
        "1/2+X,1/2-Y,1/2-Z",
        "1/2+Y,1/2+X,1/2-Z",
        "1/2-Y,1/2-X,1/2-Z",
        "1/2-X,1/2-Y,1/2-Z",
        "1/2+X,1/2+Y,1/2-Z",
        "1/2+Y,1/2-X,1/2-Z",
        "1/2-Y,1/2+X,1/2-Z",
        "1/2+X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,1/2+Z",
        "1/2-Y,1/2-X,1/2+Z",
        "1/2+Y,1/2+X,1/2+Z",
     ],
},

"I4/mcm" => { 
     number => 140,
     name   => "I4/mcm",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-Y,X,Z",
        "Y,-X,Z",
        "-X,Y,1/2-Z",
        "X,-Y,1/2-Z",
        "Y,X,1/2-Z",
        "-Y,-X,1/2-Z",
        "-X,-Y,-Z",
        "X,Y,-Z",
        "Y,-X,-Z",
        "-Y,X,-Z",
        "X,-Y,1/2+Z",
        "-X,Y,1/2+Z",
        "-Y,-X,1/2+Z",
        "Y,X,1/2+Z",
        "1/2+X,1/2+Y,1/2+Z",
        "1/2-X,1/2-Y,1/2+Z",
        "1/2-Y,1/2+X,1/2+Z",
        "1/2+Y,1/2-X,1/2+Z",
        "1/2-X,1/2+Y,-Z",
        "1/2+X,1/2-Y,-Z",
        "1/2+Y,1/2+X,-Z",
        "1/2-Y,1/2-X,-Z",
        "1/2-X,1/2-Y,1/2-Z",
        "1/2+X,1/2+Y,1/2-Z",
        "1/2+Y,1/2-X,1/2-Z",
        "1/2-Y,1/2+X,1/2-Z",
        "1/2+X,1/2-Y,Z",
        "1/2-X,1/2+Y,Z",
        "1/2-Y,1/2-X,Z",
        "1/2+Y,1/2+X,Z",
     ],
},

"I41/amd" => { 
     number => 141,
     name   => "I41/amd",
     symop  => [
        "X,Y,Z",
        "1/2-X,1/2-Y,1/2+Z",
        "-Y,1/2+X,1/4+Z",
        "1/2+Y,-X,3/4+Z",
        "1/2-X,Y,3/4-Z",
        "X,1/2-Y,1/4-Z",
        "1/2+Y,1/2+X,1/2-Z",
        "-Y,-X,-Z",
        "-X,1/2-Y,1/4-Z",
        "1/2+X,Y,3/4-Z",
        "Y,-X,-Z",
        "1/2-Y,1/2+X,1/2-Z",
        "1/2+X,1/2-Y,1/2+Z",
        "-X,Y,Z",
        "1/2-Y,-X,3/4+Z",
        "Y,1/2+X,1/4+Z",
        "1/2+X,1/2+Y,1/2+Z",
        "-X,-Y,Z",
        "1/2-Y,X,3/4+Z",
        "Y,1/2-X,1/4+Z",
        "-X,1/2+Y,1/4-Z",
        "1/2+X,-Y,3/4-Z",
        "Y,X,-Z",
        "1/2-Y,1/2-X,1/2-Z",
        "1/2-X,-Y,3/4-Z",
        "X,1/2+Y,1/4-Z",
        "1/2+Y,1/2-X,1/2-Z",
        "-Y,X,-Z",
        "X,-Y,Z",
        "1/2-X,1/2+Y,1/2+Z",
        "-Y,1/2-X,1/4+Z",
        "1/2+Y,X,3/4+Z",
     ],
},

"I41/acd" => { 
     number => 142,
     name   => "I41/acd",
     symop  => [
        "X,Y,Z",
        "1/2-X,1/2-Y,1/2+Z",
        "-Y,1/2+X,1/4+Z",
        "1/2+Y,-X,3/4+Z",
        "1/2-X,Y,1/4-Z",
        "X,1/2-Y,3/4-Z",
        "1/2+Y,1/2+X,-Z",
        "-Y,-X,1/2-Z",
        "-X,1/2-Y,1/4-Z",
        "1/2+X,Y,3/4-Z",
        "Y,-X,-Z",
        "1/2-Y,1/2+X,1/2-Z",
        "1/2+X,1/2-Y,Z",
        "-X,Y,1/2+Z",
        "1/2-Y,-X,1/4+Z",
        "Y,1/2+X,3/4+Z",
        "1/2+X,1/2+Y,1/2+Z",
        "-X,-Y,Z",
        "1/2-Y,X,3/4+Z",
        "Y,1/2-X,1/4+Z",
        "-X,1/2+Y,3/4-Z",
        "1/2+X,-Y,1/4-Z",
        "Y,X,1/2-Z",
        "1/2-Y,1/2-X,-Z",
        "1/2-X,-Y,3/4-Z",
        "X,1/2+Y,1/4-Z",
        "1/2+Y,1/2-X,1/2-Z",
        "-Y,X,-Z",
        "X,-Y,1/2+Z",
        "1/2-X,1/2+Y,Z",
        "-Y,1/2-X,3/4+Z",
        "1/2+Y,X,1/4+Z",
     ],
},

"P3" => { 
     number => 143,
     name   => "P3",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z",
        "Y-X,-X,Z",
     ],
},

"P31" => { 
     number => 144,
     name   => "P31",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z+1/3",
        "Y-X,-X,Z+2/3",
     ],
},

"P32" => { 
     number => 145,
     name   => "P32",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z+2/3",
        "Y-X,-X,Z+1/3",
     ],
},

"H3" => { 
     number => 146,
     name   => "H3",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z",
        "Y-X,-X,Z",
        "X+2/3,Y+1/3,Z+1/3",
        "-Y+2/3,X-Y+1/3,Z+1/3",
        "Y-X+2/3,-X+1/3,Z+1/3",
        "X+1/3,Y+2/3,Z+2/3",
        "-Y+1/3,X-Y+2/3,Z+2/3",
        "Y-X+1/3,-X+2/3,Z+2/3",
     ],
},

"R3" => { 
     number => 1146,
     name   => "R3",
     symop  => [
        "X,Y,Z",
        "Z,X,Y",
        "Y,Z,X",
     ],
},

"P-3" => { 
     number => 147,
     name   => "P-3",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z",
        "Y-X,-X,Z",
        "-X,-Y,-Z",
        "Y,Y-X,-Z",
        "X-Y,X,-Z",
     ],
},

"H-3" => { 
     number => 148,
     name   => "H-3",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z",
        "Y-X,-X,Z",
        "-X,-Y,-Z",
        "Y,Y-X,-Z",
        "X-Y,X,-Z",
        "2/3+X,1/3+Y,1/3+Z",
        "2/3-Y,1/3+X-Y,1/3+Z",
        "2/3+Y-X,1/3-X,1/3+Z",
        "2/3-X,1/3-Y,1/3-Z",
        "2/3+Y,1/3+Y-X,1/3-Z",
        "2/3+X-Y,1/3+X,1/3-Z",
        "1/3+X,2/3+Y,2/3+Z",
        "1/3-Y,2/3+X-Y,2/3+Z",
        "1/3+Y-X,2/3-X,2/3+Z",
        "1/3-X,2/3-Y,2/3-Z",
        "1/3+Y,2/3+Y-X,2/3-Z",
        "1/3+X-Y,2/3+X,2/3-Z",
     ],
},

"R-3" => { 
     number => 1148,
     name   => "R-3",
     symop  => [
        "X,Y,Z",
        "Z,X,Y",
        "Y,Z,X",
        "-X,-Y,-Z",
        "-Z,-X,-Y",
        "-Y,-Z,-X",
     ],
},

"P312" => { 
     number => 149,
     name   => "P312",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z",
        "Y-X,-X,Z",
        "-Y,-X,-Z",
        "Y-X,Y,-Z",
        "X,X-Y,-Z",
     ],
},

"P321" => { 
     number => 150,
     name   => "P321",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z",
        "Y-X,-X,Z",
        "Y,X,-Z",
        "X-Y,-Y,-Z",
        "-X,Y-X,-Z",
     ],
},

"P3112" => { 
     number => 151,
     name   => "P3112",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,1/3+Z",
        "Y-X,-X,2/3+Z",
        "-Y,-X,2/3-Z",
        "Y-X,Y,1/3-Z",
        "X,X-Y,-Z",
     ],
},

"P3121" => { 
     number => 152,
     name   => "P3121",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z+1/3",
        "Y-X,-X,Z+2/3",
        "Y,X,-Z",
        "X-Y,-Y,2/3-Z",
        "-X,Y-X,1/3-Z",
     ],
},

"P3212" => { 
     number => 153,
     name   => "P3212",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,2/3+Z",
        "Y-X,-X,1/3+Z",
        "-Y,-X,1/3-Z",
        "Y-X,Y,2/3-Z",
        "X,X-Y,-Z",
     ],
},

"P3221" => { 
     number => 154,
     name   => "P3221",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z+2/3",
        "Y-X,-X,Z+1/3",
        "Y,X,-Z",
        "X-Y,-Y,1/3-Z",
        "-X,Y-X,2/3-Z",
     ],
},

"H32" => { 
     number => 155,
     name   => "H32",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z",
        "Y-X,-X,Z",
        "Y,X,-Z",
        "X-Y,-Y,-Z",
        "-X,Y-X,-Z",
        "2/3+X,1/3+Y,1/3+Z",
        "2/3-Y,1/3+X-Y,1/3+Z",
        "2/3+Y-X,1/3-X,1/3+Z",
        "2/3+Y,1/3+X,1/3-Z",
        "2/3+X-Y,1/3-Y,1/3-Z",
        "2/3-X,1/3+Y-X,1/3-Z",
        "1/3+X,2/3+Y,2/3+Z",
        "1/3-Y,2/3+X-Y,2/3+Z",
        "1/3+Y-X,2/3-X,2/3+Z",
        "1/3+Y,2/3+X,2/3-Z",
        "1/3+X-Y,2/3-Y,2/3-Z",
        "1/3-X,2/3+Y-X,2/3-Z",
     ],
},

"R32" => { 
     number => 1155,
     name   => "R32",
     symop  => [
        "X,Y,Z",
        "Z,X,Y",
        "Y,Z,X",
        "-Y,-X,-Z",
        "-X,-Z,-Y",
        "-Z,-Y,-X",
     ],
},

"P3m1" => { 
     number => 156,
     name   => "P3m1",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z",
        "Y-X,-X,Z",
        "-Y,-X,Z",
        "Y-X,Y,Z",
        "X,X-Y,Z",
     ],
},

"P31m" => { 
     number => 157,
     name   => "P31m",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z",
        "Y-X,-X,Z",
        "Y,X,Z",
        "X-Y,-Y,Z",
        "-X,Y-X,Z",
     ],
},

"P3c1" => { 
     number => 158,
     name   => "P3c1",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z",
        "Y-X,-X,Z",
        "-Y,-X,1/2+Z",
        "Y-X,Y,1/2+Z",
        "X,X-Y,1/2+Z",
     ],
},

"P31c" => { 
     number => 159,
     name   => "P31c",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z",
        "Y-X,-X,Z",
        "Y,X,1/2+Z",
        "X-Y,-Y,1/2+Z",
        "-X,Y-X,1/2+Z",
     ],
},

"H3m" => { 
     number => 160,
     name   => "H3m",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z",
        "Y-X,-X,Z",
        "-Y,-X,Z",
        "Y-X,Y,Z",
        "X,X-Y,Z",
        "2/3+X,1/3+Y,1/3+Z",
        "2/3-Y,1/3+X-Y,1/3+Z",
        "2/3+Y-X,1/3-X,1/3+Z",
        "2/3-Y,1/3-X,1/3+Z",
        "2/3+Y-X,1/3+Y,1/3+Z",
        "2/3+X,1/3+X-Y,1/3+Z",
        "1/3+X,2/3+Y,2/3+Z",
        "1/3-Y,2/3+X-Y,2/3+Z",
        "1/3+Y-X,2/3-X,2/3+Z",
        "1/3-Y,2/3-X,2/3+Z",
        "1/3+Y-X,2/3+Y,2/3+Z",
        "1/3+X,2/3+X-Y,2/3+Z",
     ],
},

"R3m" => { 
     number => 1160,
     name   => "R3m",
     symop  => [
        "X,Y,Z",
        "Z,X,Y",
        "Y,Z,X",
        "Y,X,Z",
        "X,Z,Y",
        "Z,Y,X",
     ],
},

"H3c" => { 
     number => 161,
     name   => "H3c",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z",
        "Y-X,-X,Z",
        "-Y,-X,1/2+Z",
        "Y-X,Y,1/2+Z",
        "X,X-Y,1/2+Z",
        "2/3+X,1/3+Y,1/3+Z",
        "2/3-Y,1/3+X-Y,1/3+Z",
        "2/3+Y-X,1/3-X,1/3+Z",
        "2/3-Y,1/3-X,5/6+Z",
        "2/3+Y-X,1/3+Y,5/6+Z",
        "2/3+X,1/3+X-Y,5/6+Z",
        "1/3+X,2/3+Y,2/3+Z",
        "1/3-Y,2/3+X-Y,2/3+Z",
        "1/3+Y-X,2/3-X,2/3+Z",
        "1/3-Y,2/3-X,1/6+Z",
        "1/3+Y-X,2/3+Y,1/6+Z",
        "1/3+X,2/3+X-Y,1/6+Z",
     ],
},

"R3c" => { 
     number => 1161,
     name   => "R3c",
     symop  => [
        "X,Y,Z",
        "Z,X,Y",
        "Y,Z,X",
        "Y+1/2,X+1/2,Z+1/2",
        "X+1/2,Z+1/2,Y+1/2",
        "Z+1/2,Y+1/2,X+1/2",
     ],
},

"P-31m" => { 
     number => 162,
     name   => "P-31m",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z",
        "Y-X,-X,Z",
        "-Y,-X,-Z",
        "Y-X,Y,-Z",
        "X,X-Y,-Z",
        "-X,-Y,-Z",
        "Y,Y-X,-Z",
        "X-Y,X,-Z",
        "Y,X,Z",
        "X-Y,-Y,Z",
        "-X,Y-X,Z",
     ],
},

"P-31c" => { 
     number => 163,
     name   => "P-31c",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z",
        "Y-X,-X,Z",
        "-Y,-X,1/2-Z",
        "Y-X,Y,1/2-Z",
        "X,X-Y,1/2-Z",
        "-X,-Y,-Z",
        "Y,Y-X,-Z",
        "X-Y,X,-Z",
        "Y,X,1/2+Z",
        "X-Y,-Y,1/2+Z",
        "-X,Y-X,1/2+Z",
     ],
},

"P-3m1" => { 
     number => 164,
     name   => "P-3m1",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z",
        "Y-X,-X,Z",
        "Y,X,-Z",
        "X-Y,-Y,-Z",
        "-X,Y-X,-Z",
        "-X,-Y,-Z",
        "Y,Y-X,-Z",
        "X-Y,X,-Z",
        "-Y,-X,Z",
        "Y-X,Y,Z",
        "X,X-Y,Z",
     ],
},

"P-3c1" => { 
     number => 165,
     name   => "P-3c1",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z",
        "Y-X,-X,Z",
        "Y,X,1/2-Z",
        "X-Y,-Y,1/2-Z",
        "-X,Y-X,1/2-Z",
        "-X,-Y,-Z",
        "Y,Y-X,-Z",
        "X-Y,X,-Z",
        "-Y,-X,1/2+Z",
        "Y-X,Y,1/2+Z",
        "X,X-Y,1/2+Z",
     ],
},

"H-3m" => { 
     number => 166,
     name   => "H-3m",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z",
        "Y-X,-X,Z",
        "Y,X,-Z",
        "X-Y,-Y,-Z",
        "-X,Y-X,-Z",
        "-X,-Y,-Z",
        "Y,Y-X,-Z",
        "X-Y,X,-Z",
        "-Y,-X,Z",
        "Y-X,Y,Z",
        "X,X-Y,Z",
        "2/3+X,1/3+Y,1/3+Z",
        "2/3-Y,1/3+X-Y,1/3+Z",
        "2/3+Y-X,1/3-X,1/3+Z",
        "2/3+Y,1/3+X,1/3-Z",
        "2/3+X-Y,1/3-Y,1/3-Z",
        "2/3-X,1/3+Y-X,1/3-Z",
        "2/3-X,1/3-Y,1/3-Z",
        "2/3+Y,1/3+Y-X,1/3-Z",
        "2/3+X-Y,1/3+X,1/3-Z",
        "2/3-Y,1/3-X,1/3+Z",
        "2/3+Y-X,1/3+Y,1/3+Z",
        "2/3+X,1/3+X-Y,1/3+Z",
        "1/3+X,2/3+Y,2/3+Z",
        "1/3-Y,2/3+X-Y,2/3+Z",
        "1/3+Y-X,2/3-X,2/3+Z",
        "1/3+Y,2/3+X,2/3-Z",
        "1/3+X-Y,2/3-Y,2/3-Z",
        "1/3-X,2/3+Y-X,2/3-Z",
        "1/3-X,2/3-Y,2/3-Z",
        "1/3+Y,2/3+Y-X,2/3-Z",
        "1/3+X-Y,2/3+X,2/3-Z",
        "1/3-Y,2/3-X,2/3+Z",
        "1/3+Y-X,2/3+Y,2/3+Z",
        "1/3+X,2/3+X-Y,2/3+Z",
     ],
},

"R-3m" => { 
     number => 1166,
     name   => "R-3m",
     symop  => [
        "X,Y,Z",
        "Z,X,Y",
        "Y,Z,X",
        "-Y,-X,-Z",
        "-X,-Z,-Y",
        "-Z,-Y,-X",
        "-X,-Y,-Z",
        "-Z,-X,-Y",
        "-Y,-Z,-X",
        "Y,X,Z",
        "X,Z,Y",
        "Z,Y,X",
     ],
},

"H-3c" => { 
     number => 167,
     name   => "H-3c",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z",
        "Y-X,-X,Z",
        "Y,X,1/2-Z",
        "X-Y,-Y,1/2-Z",
        "-X,Y-X,1/2-Z",
        "-X,-Y,-Z",
        "Y,Y-X,-Z",
        "X-Y,X,-Z",
        "-Y,-X,1/2+Z",
        "Y-X,Y,1/2+Z",
        "X,X-Y,1/2+Z",
        "2/3+X,1/3+Y,1/3+Z",
        "2/3-Y,1/3+X-Y,1/3+Z",
        "2/3+Y-X,1/3-X,1/3+Z",
        "2/3+Y,1/3+X,5/6-Z",
        "2/3+X-Y,1/3-Y,5/6-Z",
        "2/3-X,1/3+Y-X,5/6-Z",
        "2/3-X,1/3-Y,1/3-Z",
        "2/3+Y,1/3+Y-X,1/3-Z",
        "2/3+X-Y,1/3+X,1/3-Z",
        "2/3-Y,1/3-X,5/6+Z",
        "2/3+Y-X,1/3+Y,5/6+Z",
        "2/3+X,1/3+X-Y,5/6+Z",
        "1/3+X,2/3+Y,2/3+Z",
        "1/3-Y,2/3+X-Y,2/3+Z",
        "1/3+Y-X,2/3-X,2/3+Z",
        "1/3+Y,2/3+X,1/6-Z",
        "1/3+X-Y,2/3-Y,1/6-Z",
        "1/3-X,2/3+Y-X,1/6-Z",
        "1/3-X,2/3-Y,2/3-Z",
        "1/3+Y,2/3+Y-X,2/3-Z",
        "1/3+X-Y,2/3+X,2/3-Z",
        "1/3-Y,2/3-X,1/6+Z",
        "1/3+Y-X,2/3+Y,1/6+Z",
        "1/3+X,2/3+X-Y,1/6+Z",
     ],
},

"R-3c" => { 
     number => 1167,
     name   => "R-3c",
     symop  => [
        "X,Y,Z",
        "Z,X,Y",
        "Y,Z,X",
        "-Y+1/2,-X+1/2,-Z+1/2",
        "-X+1/2,-Z+1/2,-Y+1/2",
        "-Z+1/2,-Y+1/2,-X+1/2",
        "-X,-Y,-Z",
        "-Z,-X,-Y",
        "-Y,-Z,-X",
        "Y+1/2,X+1/2,Z+1/2",
        "X+1/2,Z+1/2,Y+1/2",
        "Z+1/2,Y+1/2,X+1/2",
     ],
},

"P6" => { 
     number => 168,
     name   => "P6",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z",
        "Y-X,-X,Z",
        "-X,-Y,Z",
        "Y,Y-X,Z",
        "X-Y,X,Z",
     ],
},

"P61" => { 
     number => 169,
     name   => "P61",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z+1/3",
        "Y-X,-X,Z+2/3",
        "-X,-Y,Z+1/2",
        "Y,Y-X,Z+5/6",
        "X-Y,X,Z+1/6",
     ],
},

"P65" => { 
     number => 170,
     name   => "P65",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z+2/3",
        "Y-X,-X,Z+1/3",
        "-X,-Y,Z+1/2",
        "Y,Y-X,Z+1/6",
        "X-Y,X,Z+5/6",
     ],
},

"P62" => { 
     number => 171,
     name   => "P62",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,2/3+Z",
        "Y-X,-X,1/3+Z",
        "-X,-Y,Z",
        "Y,Y-X,2/3+Z",
        "X-Y,X,1/3+Z",
     ],
},

"P64" => { 
     number => 172,
     name   => "P64",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,1/3+Z",
        "Y-X,-X,2/3+Z",
        "-X,-Y,Z",
        "Y,Y-X,1/3+Z",
        "X-Y,X,2/3+Z",
     ],
},

"P63" => { 
     number => 173,
     name   => "P63",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z",
        "Y-X,-X,Z",
        "-X,-Y,1/2+Z",
        "Y,Y-X,1/2+Z",
        "X-Y,X,1/2+Z",
     ],
},

"P-6" => { 
     number => 174,
     name   => "P-6",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z",
        "Y-X,-X,Z",
        "X,Y,-Z",
        "-Y,X-Y,-Z",
        "Y-X,-X,-Z",
     ],
},

"P6/m" => { 
     number => 175,
     name   => "P6/m",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z",
        "Y-X,-X,Z",
        "-X,-Y,Z",
        "Y,Y-X,Z",
        "X-Y,X,Z",
        "-X,-Y,-Z",
        "Y,Y-X,-Z",
        "X-Y,X,-Z",
        "X,Y,-Z",
        "-Y,X-Y,-Z",
        "Y-X,-X,-Z",
     ],
},

"P63/m" => { 
     number => 176,
     name   => "P63/m",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z",
        "Y-X,-X,Z",
        "-X,-Y,1/2+Z",
        "Y,Y-X,1/2+Z",
        "X-Y,X,1/2+Z",
        "-X,-Y,-Z",
        "Y,Y-X,-Z",
        "X-Y,X,-Z",
        "X,Y,1/2-Z",
        "-Y,X-Y,1/2-Z",
        "Y-X,-X,1/2-Z",
     ],
},

"P622" => { 
     number => 177,
     name   => "P622",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z",
        "Y-X,-X,Z",
        "-X,-Y,Z",
        "Y,Y-X,Z",
        "X-Y,X,Z",
        "Y,X,-Z",
        "X-Y,-Y,-Z",
        "-X,Y-X,-Z",
        "-Y,-X,-Z",
        "Y-X,Y,-Z",
        "X,X-Y,-Z",
     ],
},

"P6122" => { 
     number => 178,
     name   => "P6122",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,1/3+Z",
        "Y-X,-X,2/3+Z",
        "-X,-Y,1/2+Z",
        "Y,Y-X,5/6+Z",
        "X-Y,X,1/6+Z",
        "Y,X,1/3-Z",
        "X-Y,-Y,-Z",
        "-X,Y-X,2/3-Z",
        "-Y,-X,5/6-Z",
        "Y-X,Y,1/2-Z",
        "X,X-Y,1/6-Z",
     ],
},

"P6522" => { 
     number => 179,
     name   => "P6522",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,2/3+Z",
        "Y-X,-X,1/3+Z",
        "-X,-Y,1/2+Z",
        "Y,Y-X,1/6+Z",
        "X-Y,X,5/6+Z",
        "Y,X,2/3-Z",
        "X-Y,-Y,-Z",
        "-X,Y-X,1/3-Z",
        "-Y,-X,1/6-Z",
        "Y-X,Y,1/2-Z",
        "X,X-Y,5/6-Z",
     ],
},

"P6222" => { 
     number => 180,
     name   => "P6222",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,2/3+Z",
        "Y-X,-X,1/3+Z",
        "-X,-Y,Z",
        "Y,Y-X,2/3+Z",
        "X-Y,X,1/3+Z",
        "Y,X,2/3-Z",
        "X-Y,-Y,-Z",
        "-X,Y-X,1/3-Z",
        "-Y,-X,2/3-Z",
        "Y-X,Y,-Z",
        "X,X-Y,1/3-Z",
     ],
},

"P6422" => { 
     number => 181,
     name   => "P6422",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,1/3+Z",
        "Y-X,-X,2/3+Z",
        "-X,-Y,Z",
        "Y,Y-X,1/3+Z",
        "X-Y,X,2/3+Z",
        "Y,X,1/3-Z",
        "X-Y,-Y,-Z",
        "-X,Y-X,2/3-Z",
        "-Y,-X,1/3-Z",
        "Y-X,Y,-Z",
        "X,X-Y,2/3-Z",
     ],
},

"P6322" => { 
     number => 182,
     name   => "P6322",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z",
        "Y-X,-X,Z",
        "-X,-Y,1/2+Z",
        "Y,Y-X,1/2+Z",
        "X-Y,X,1/2+Z",
        "Y,X,-Z",
        "X-Y,-Y,-Z",
        "-X,Y-X,-Z",
        "-Y,-X,1/2-Z",
        "Y-X,Y,1/2-Z",
        "X,X-Y,1/2-Z",
     ],
},

"P6mm" => { 
     number => 183,
     name   => "P6mm",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z",
        "Y-X,-X,Z",
        "-X,-Y,Z",
        "Y,Y-X,Z",
        "X-Y,X,Z",
        "-Y,-X,Z",
        "Y-X,Y,Z",
        "X,X-Y,Z",
        "Y,X,Z",
        "X-Y,-Y,Z",
        "-X,Y-X,Z",
     ],
},

"P6cc" => { 
     number => 184,
     name   => "P6cc",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z",
        "Y-X,-X,Z",
        "-X,-Y,Z",
        "Y,Y-X,Z",
        "X-Y,X,Z",
        "-Y,-X,1/2+Z",
        "Y-X,Y,1/2+Z",
        "X,X-Y,1/2+Z",
        "Y,X,1/2+Z",
        "X-Y,-Y,1/2+Z",
        "-X,Y-X,1/2+Z",
     ],
},

"P63cm" => { 
     number => 185,
     name   => "P63cm",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z",
        "Y-X,-X,Z",
        "-X,-Y,1/2+Z",
        "Y,Y-X,1/2+Z",
        "X-Y,X,1/2+Z",
        "-Y,-X,1/2+Z",
        "Y-X,Y,1/2+Z",
        "X,X-Y,1/2+Z",
        "Y,X,Z",
        "X-Y,-Y,Z",
        "-X,Y-X,Z",
     ],
},

"P63mc" => { 
     number => 186,
     name   => "P63mc",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z",
        "Y-X,-X,Z",
        "-X,-Y,1/2+Z",
        "Y,Y-X,1/2+Z",
        "X-Y,X,1/2+Z",
        "-Y,-X,Z",
        "Y-X,Y,Z",
        "X,X-Y,Z",
        "Y,X,1/2+Z",
        "X-Y,-Y,1/2+Z",
        "-X,Y-X,1/2+Z",
     ],
},

"P-6m2" => { 
     number => 187,
     name   => "P-6m2",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z",
        "Y-X,-X,Z",
        "X,Y,-Z",
        "-Y,X-Y,-Z",
        "Y-X,-X,-Z",
        "-Y,-X,Z",
        "Y-X,Y,Z",
        "X,X-Y,Z",
        "-Y,-X,-Z",
        "Y-X,Y,-Z",
        "X,X-Y,-Z",
     ],
},

"P-6c2" => { 
     number => 188,
     name   => "P-6c2",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z",
        "Y-X,-X,Z",
        "X,Y,1/2-Z",
        "-Y,X-Y,1/2-Z",
        "Y-X,-X,1/2-Z",
        "-Y,-X,1/2+Z",
        "Y-X,Y,1/2+Z",
        "X,X-Y,1/2+Z",
        "-Y,-X,-Z",
        "Y-X,Y,-Z",
        "X,X-Y,-Z",
     ],
},

"P-62m" => { 
     number => 189,
     name   => "P-62m",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z",
        "Y-X,-X,Z",
        "X,Y,-Z",
        "-Y,X-Y,-Z",
        "Y-X,-X,-Z",
        "Y,X,-Z",
        "X-Y,-Y,-Z",
        "-X,Y-X,-Z",
        "Y,X,Z",
        "X-Y,-Y,Z",
        "-X,Y-X,Z",
     ],
},

"P-62c" => { 
     number => 190,
     name   => "P-62c",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z",
        "Y-X,-X,Z",
        "X,Y,1/2-Z",
        "-Y,X-Y,1/2-Z",
        "Y-X,-X,1/2-Z",
        "Y,X,-Z",
        "X-Y,-Y,-Z",
        "-X,Y-X,-Z",
        "Y,X,1/2+Z",
        "X-Y,-Y,1/2+Z",
        "-X,Y-X,1/2+Z",
     ],
},

"P6/mmm" => { 
     number => 191,
     name   => "P6/mmm",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z",
        "Y-X,-X,Z",
        "-X,-Y,Z",
        "Y,Y-X,Z",
        "X-Y,X,Z",
        "Y,X,-Z",
        "X-Y,-Y,-Z",
        "-X,Y-X,-Z",
        "-Y,-X,-Z",
        "Y-X,Y,-Z",
        "X,X-Y,-Z",
        "-X,-Y,-Z",
        "Y,Y-X,-Z",
        "X-Y,X,-Z",
        "X,Y,-Z",
        "Y-X,-X,-Z",
        "-Y,X-Y,-Z",
        "-Y,-X,Z",
        "Y-X,Y,Z",
        "X,X-Y,Z",
        "Y,X,Z",
        "X-Y,-Y,Z",
        "-X,Y-X,Z",
     ],
},

"P6/mcc" => { 
     number => 192,
     name   => "P6/mcc",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z",
        "Y-X,-X,Z",
        "-X,-Y,Z",
        "Y,Y-X,Z",
        "X-Y,X,Z",
        "Y,X,1/2-Z",
        "X-Y,-Y,1/2-Z",
        "-X,Y-X,1/2-Z",
        "-Y,-X,1/2-Z",
        "Y-X,Y,1/2-Z",
        "X,X-Y,1/2-Z",
        "-X,-Y,-Z",
        "Y,Y-X,-Z",
        "X-Y,X,-Z",
        "X,Y,-Z",
        "Y-X,-X,-Z",
        "-Y,X-Y,-Z",
        "-Y,-X,1/2+Z",
        "Y-X,Y,1/2+Z",
        "X,X-Y,1/2+Z",
        "Y,X,1/2+Z",
        "X-Y,-Y,1/2+Z",
        "-X,Y-X,1/2+Z",
     ],
},

"P63/mcm" => { 
     number => 193,
     name   => "P63/mcm",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z",
        "Y-X,-X,Z",
        "-X,-Y,1/2+Z",
        "Y,Y-X,1/2+Z",
        "X-Y,X,1/2+Z",
        "Y,X,1/2-Z",
        "X-Y,-Y,1/2-Z",
        "-X,Y-X,1/2-Z",
        "-Y,-X,-Z",
        "Y-X,Y,-Z",
        "X,X-Y,-Z",
        "-X,-Y,-Z",
        "Y,Y-X,-Z",
        "X-Y,X,-Z",
        "X,Y,1/2-Z",
        "Y-X,-X,1/2-Z",
        "-Y,X-Y,1/2-Z",
        "-Y,-X,1/2+Z",
        "Y-X,Y,1/2+Z",
        "X,X-Y,1/2+Z",
        "Y,X,Z",
        "X-Y,-Y,Z",
        "-X,Y-X,Z",
     ],
},

"P63/mmc" => { 
     number => 194,
     name   => "P63/mmc",
     symop  => [
        "X,Y,Z",
        "-Y,X-Y,Z",
        "Y-X,-X,Z",
        "-X,-Y,1/2+Z",
        "Y,Y-X,1/2+Z",
        "X-Y,X,1/2+Z",
        "Y,X,-Z",
        "X-Y,-Y,-Z",
        "-X,Y-X,-Z",
        "-Y,-X,1/2-Z",
        "Y-X,Y,1/2-Z",
        "X,X-Y,1/2-Z",
        "-X,-Y,-Z",
        "Y,Y-X,-Z",
        "X-Y,X,-Z",
        "X,Y,1/2-Z",
        "Y-X,-X,1/2-Z",
        "-Y,X-Y,1/2-Z",
        "-Y,-X,Z",
        "Y-X,Y,Z",
        "X,X-Y,Z",
        "Y,X,1/2+Z",
        "X-Y,-Y,1/2+Z",
        "-X,Y-X,1/2+Z",
     ],
},

"P23" => { 
     number => 195,
     name   => "P23",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "Z,X,Y",
        "Z,-X,-Y",
        "-Z,-X,Y",
        "-Z,X,-Y",
        "Y,Z,X",
        "-Y,Z,-X",
        "Y,-Z,-X",
        "-Y,-Z,X",
     ],
},

"F23" => { 
     number => 196,
     name   => "F23",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "Z,X,Y",
        "Z,-X,-Y",
        "-Z,-X,Y",
        "-Z,X,-Y",
        "Y,Z,X",
        "-Y,Z,-X",
        "Y,-Z,-X",
        "-Y,-Z,X",
        "X,1/2+Y,1/2+Z",
        "-X,1/2-Y,1/2+Z",
        "-X,1/2+Y,1/2-Z",
        "X,1/2-Y,1/2-Z",
        "Z,1/2+X,1/2+Y",
        "Z,1/2-X,1/2-Y",
        "-Z,1/2-X,1/2+Y",
        "-Z,1/2+X,1/2-Y",
        "Y,1/2+Z,1/2+X",
        "-Y,1/2+Z,1/2-X",
        "Y,1/2-Z,1/2-X",
        "-Y,1/2-Z,1/2+X",
        "1/2+X,Y,1/2+Z",
        "1/2-X,-Y,1/2+Z",
        "1/2-X,Y,1/2-Z",
        "1/2+X,-Y,1/2-Z",
        "1/2+Z,X,1/2+Y",
        "1/2+Z,-X,1/2-Y",
        "1/2-Z,-X,1/2+Y",
        "1/2-Z,X,1/2-Y",
        "1/2+Y,Z,1/2+X",
        "1/2-Y,Z,1/2-X",
        "1/2+Y,-Z,1/2-X",
        "1/2-Y,-Z,1/2+X",
        "1/2+X,1/2+Y,Z",
        "1/2-X,1/2-Y,Z",
        "1/2-X,1/2+Y,-Z",
        "1/2+X,1/2-Y,-Z",
        "1/2+Z,1/2+X,Y",
        "1/2+Z,1/2-X,-Y",
        "1/2-Z,1/2-X,Y",
        "1/2-Z,1/2+X,-Y",
        "1/2+Y,1/2+Z,X",
        "1/2-Y,1/2+Z,-X",
        "1/2+Y,1/2-Z,-X",
        "1/2-Y,1/2-Z,X",
     ],
},

"I23" => { 
     number => 197,
     name   => "I23",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "Z,X,Y",
        "Z,-X,-Y",
        "-Z,-X,Y",
        "-Z,X,-Y",
        "Y,Z,X",
        "-Y,Z,-X",
        "Y,-Z,-X",
        "-Y,-Z,X",
        "1/2+X,1/2+Y,1/2+Z",
        "1/2-X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,1/2-Z",
        "1/2+X,1/2-Y,1/2-Z",
        "1/2+Z,1/2+X,1/2+Y",
        "1/2+Z,1/2-X,1/2-Y",
        "1/2-Z,1/2-X,1/2+Y",
        "1/2-Z,1/2+X,1/2-Y",
        "1/2+Y,1/2+Z,1/2+X",
        "1/2-Y,1/2+Z,1/2-X",
        "1/2+Y,1/2-Z,1/2-X",
        "1/2-Y,1/2-Z,1/2+X",
     ],
},

"P213" => { 
     number => 198,
     name   => "P213",
     symop  => [
        "X,Y,Z",
        "1/2-X,-Y,1/2+Z",
        "-X,1/2+Y,1/2-Z",
        "1/2+X,1/2-Y,-Z",
        "Z,X,Y",
        "1/2+Z,1/2-X,-Y",
        "1/2-Z,-X,1/2+Y",
        "-Z,1/2+X,1/2-Y",
        "Y,Z,X",
        "-Y,1/2+Z,1/2-X",
        "1/2+Y,1/2-Z,-X",
        "1/2-Y,-Z,1/2+X",
     ],
},

"I213" => { 
     number => 199,
     name   => "I213",
     symop  => [
        "X,Y,Z",
        "1/2-X,-Y,1/2+Z",
        "-X,1/2+Y,1/2-Z",
        "1/2+X,1/2-Y,-Z",
        "Z,X,Y",
        "1/2+Z,1/2-X,-Y",
        "1/2-Z,-X,1/2+Y",
        "-Z,1/2+X,1/2-Y",
        "Y,Z,X",
        "-Y,1/2+Z,1/2-X",
        "1/2+Y,1/2-Z,-X",
        "1/2-Y,-Z,1/2+X",
        "1/2+X,1/2+Y,1/2+Z",
        "-X,1/2-Y,Z",
        "1/2-X,Y,-Z",
        "X,-Y,1/2-Z",
        "1/2+Z,1/2+X,1/2+Y",
        "Z,-X,1/2-Y",
        "-Z,1/2-X,Y",
        "1/2-Z,X,-Y",
        "1/2+Y,1/2+Z,1/2+X",
        "1/2-Y,Z,-X",
        "Y,-Z,1/2-X",
        "-Y,1/2-Z,X",
     ],
},

"Pm-3" => { 
     number => 200,
     name   => "Pm-3",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "Z,X,Y",
        "Z,-X,-Y",
        "-Z,-X,Y",
        "-Z,X,-Y",
        "Y,Z,X",
        "-Y,Z,-X",
        "Y,-Z,-X",
        "-Y,-Z,X",
        "-X,-Y,-Z",
        "X,Y,-Z",
        "X,-Y,Z",
        "-X,Y,Z",
        "-Z,-X,-Y",
        "-Z,X,Y",
        "Z,X,-Y",
        "Z,-X,Y",
        "-Y,-Z,-X",
        "Y,-Z,X",
        "-Y,Z,X",
        "Y,Z,-X",
     ],
},

"Pn-3" => { 
     number => 201,
     name   => "Pn-3",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "Z,X,Y",
        "Z,-X,-Y",
        "-Z,-X,Y",
        "-Z,X,-Y",
        "Y,Z,X",
        "-Y,Z,-X",
        "Y,-Z,-X",
        "-Y,-Z,X",
        "1/2-X,1/2-Y,1/2-Z",
        "1/2+X,1/2+Y,1/2-Z",
        "1/2+X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,1/2+Z",
        "1/2-Z,1/2-X,1/2-Y",
        "1/2-Z,1/2+X,1/2+Y",
        "1/2+Z,1/2+X,1/2-Y",
        "1/2+Z,1/2-X,1/2+Y",
        "1/2-Y,1/2-Z,1/2-X",
        "1/2+Y,1/2-Z,1/2+X",
        "1/2-Y,1/2+Z,1/2+X",
        "1/2+Y,1/2+Z,1/2-X",
     ],
},

"Fm-3" => { 
     number => 202,
     name   => "Fm-3",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "Z,X,Y",
        "Z,-X,-Y",
        "-Z,-X,Y",
        "-Z,X,-Y",
        "Y,Z,X",
        "-Y,Z,-X",
        "Y,-Z,-X",
        "-Y,-Z,X",
        "-X,-Y,-Z",
        "X,Y,-Z",
        "X,-Y,Z",
        "-X,Y,Z",
        "-Z,-X,-Y",
        "-Z,X,Y",
        "Z,X,-Y",
        "Z,-X,Y",
        "-Y,-Z,-X",
        "Y,-Z,X",
        "-Y,Z,X",
        "Y,Z,-X",
        "X,1/2+Y,1/2+Z",
        "-X,1/2-Y,1/2+Z",
        "-X,1/2+Y,1/2-Z",
        "X,1/2-Y,1/2-Z",
        "Z,1/2+X,1/2+Y",
        "Z,1/2-X,1/2-Y",
        "-Z,1/2-X,1/2+Y",
        "-Z,1/2+X,1/2-Y",
        "Y,1/2+Z,1/2+X",
        "-Y,1/2+Z,1/2-X",
        "Y,1/2-Z,1/2-X",
        "-Y,1/2-Z,1/2+X",
        "-X,1/2-Y,1/2-Z",
        "X,1/2+Y,1/2-Z",
        "X,1/2-Y,1/2+Z",
        "-X,1/2+Y,1/2+Z",
        "-Z,1/2-X,1/2-Y",
        "-Z,1/2+X,1/2+Y",
        "Z,1/2+X,1/2-Y",
        "Z,1/2-X,1/2+Y",
        "-Y,1/2-Z,1/2-X",
        "Y,1/2-Z,1/2+X",
        "-Y,1/2+Z,1/2+X",
        "Y,1/2+Z,1/2-X",
        "1/2+X,Y,1/2+Z",
        "1/2-X,-Y,1/2+Z",
        "1/2-X,Y,1/2-Z",
        "1/2+X,-Y,1/2-Z",
        "1/2+Z,X,1/2+Y",
        "1/2+Z,-X,1/2-Y",
        "1/2-Z,-X,1/2+Y",
        "1/2-Z,X,1/2-Y",
        "1/2+Y,Z,1/2+X",
        "1/2-Y,Z,1/2-X",
        "1/2+Y,-Z,1/2-X",
        "1/2-Y,-Z,1/2+X",
        "1/2-X,-Y,1/2-Z",
        "1/2+X,Y,1/2-Z",
        "1/2+X,-Y,1/2+Z",
        "1/2-X,Y,1/2+Z",
        "1/2-Z,-X,1/2-Y",
        "1/2-Z,X,1/2+Y",
        "1/2+Z,X,1/2-Y",
        "1/2+Z,-X,1/2+Y",
        "1/2-Y,-Z,1/2-X",
        "1/2+Y,-Z,1/2+X",
        "1/2-Y,Z,1/2+X",
        "1/2+Y,Z,1/2-X",
        "1/2+X,1/2+Y,Z",
        "1/2-X,1/2-Y,Z",
        "1/2-X,1/2+Y,-Z",
        "1/2+X,1/2-Y,-Z",
        "1/2+Z,1/2+X,Y",
        "1/2+Z,1/2-X,-Y",
        "1/2-Z,1/2-X,Y",
        "1/2-Z,1/2+X,-Y",
        "1/2+Y,1/2+Z,X",
        "1/2-Y,1/2+Z,-X",
        "1/2+Y,1/2-Z,-X",
        "1/2-Y,1/2-Z,X",
        "1/2-X,1/2-Y,-Z",
        "1/2+X,1/2+Y,-Z",
        "1/2+X,1/2-Y,Z",
        "1/2-X,1/2+Y,Z",
        "1/2-Z,1/2-X,-Y",
        "1/2-Z,1/2+X,Y",
        "1/2+Z,1/2+X,-Y",
        "1/2+Z,1/2-X,Y",
        "1/2-Y,1/2-Z,-X",
        "1/2+Y,1/2-Z,X",
        "1/2-Y,1/2+Z,X",
        "1/2+Y,1/2+Z,-X",
     ],
},

"Fd-3" => { 
     number => 203,
     name   => "Fd-3",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "Z,X,Y",
        "Z,-X,-Y",
        "-Z,-X,Y",
        "-Z,X,-Y",
        "Y,Z,X",
        "-Y,Z,-X",
        "Y,-Z,-X",
        "-Y,-Z,X",
        "1/4-X,1/4-Y,1/4-Z",
        "1/4+X,1/4+Y,1/4-Z",
        "1/4+X,1/4-Y,1/4+Z",
        "1/4-X,1/4+Y,1/4+Z",
        "1/4-Z,1/4-X,1/4-Y",
        "1/4-Z,1/4+X,1/4+Y",
        "1/4+Z,1/4+X,1/4-Y",
        "1/4+Z,1/4-X,1/4+Y",
        "1/4-Y,1/4-Z,1/4-X",
        "1/4+Y,1/4-Z,1/4+X",
        "1/4-Y,1/4+Z,1/4+X",
        "1/4+Y,1/4+Z,1/4-X",
        "X,1/2+Y,1/2+Z",
        "-X,1/2-Y,1/2+Z",
        "-X,1/2+Y,1/2-Z",
        "X,1/2-Y,1/2-Z",
        "Z,1/2+X,1/2+Y",
        "Z,1/2-X,1/2-Y",
        "-Z,1/2-X,1/2+Y",
        "-Z,1/2+X,1/2-Y",
        "Y,1/2+Z,1/2+X",
        "-Y,1/2+Z,1/2-X",
        "Y,1/2-Z,1/2-X",
        "-Y,1/2-Z,1/2+X",
        "1/4-X,3/4-Y,3/4-Z",
        "1/4+X,3/4+Y,3/4-Z",
        "1/4+X,3/4-Y,3/4+Z",
        "1/4-X,3/4+Y,3/4+Z",
        "1/4-Z,3/4-X,3/4-Y",
        "1/4-Z,3/4+X,3/4+Y",
        "1/4+Z,3/4+X,3/4-Y",
        "1/4+Z,3/4-X,3/4+Y",
        "1/4-Y,3/4-Z,3/4-X",
        "1/4+Y,3/4-Z,3/4+X",
        "1/4-Y,3/4+Z,3/4+X",
        "1/4+Y,3/4+Z,3/4-X",
        "1/2+X,Y,1/2+Z",
        "1/2-X,-Y,1/2+Z",
        "1/2-X,Y,1/2-Z",
        "1/2+X,-Y,1/2-Z",
        "1/2+Z,X,1/2+Y",
        "1/2+Z,-X,1/2-Y",
        "1/2-Z,-X,1/2+Y",
        "1/2-Z,X,1/2-Y",
        "1/2+Y,Z,1/2+X",
        "1/2-Y,Z,1/2-X",
        "1/2+Y,-Z,1/2-X",
        "1/2-Y,-Z,1/2+X",
        "3/4-X,1/4-Y,3/4-Z",
        "3/4+X,1/4+Y,3/4-Z",
        "3/4+X,1/4-Y,3/4+Z",
        "3/4-X,1/4+Y,3/4+Z",
        "3/4-Z,1/4-X,3/4-Y",
        "3/4-Z,1/4+X,3/4+Y",
        "3/4+Z,1/4+X,3/4-Y",
        "3/4+Z,1/4-X,3/4+Y",
        "3/4-Y,1/4-Z,3/4-X",
        "3/4+Y,1/4-Z,3/4+X",
        "3/4-Y,1/4+Z,3/4+X",
        "3/4+Y,1/4+Z,3/4-X",
        "1/2+X,1/2+Y,Z",
        "1/2-X,1/2-Y,Z",
        "1/2-X,1/2+Y,-Z",
        "1/2+X,1/2-Y,-Z",
        "1/2+Z,1/2+X,Y",
        "1/2+Z,1/2-X,-Y",
        "1/2-Z,1/2-X,Y",
        "1/2-Z,1/2+X,-Y",
        "1/2+Y,1/2+Z,X",
        "1/2-Y,1/2+Z,-X",
        "1/2+Y,1/2-Z,-X",
        "1/2-Y,1/2-Z,X",
        "3/4-X,3/4-Y,1/4-Z",
        "3/4+X,3/4+Y,1/4-Z",
        "3/4+X,3/4-Y,Z+1/4",
        "3/4-X,3/4+Y,Z+1/4",
        "3/4-Z,3/4-X,1/4-Y",
        "3/4-Z,3/4+X,1/4+Y",
        "3/4+Z,3/4+X,1/4-Y",
        "3/4+Z,3/4-X,1/4+Y",
        "3/4-Y,3/4-Z,1/4-X",
        "3/4+Y,3/4-Z,1/4+X",
        "3/4-Y,3/4+Z,1/4+X",
        "3/4+Y,3/4+Z,1/4-X",
     ],
},

"Im-3" => { 
     number => 204,
     name   => "Im-3",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "Z,X,Y",
        "Z,-X,-Y",
        "-Z,-X,Y",
        "-Z,X,-Y",
        "Y,Z,X",
        "-Y,Z,-X",
        "Y,-Z,-X",
        "-Y,-Z,X",
        "-X,-Y,-Z",
        "X,Y,-Z",
        "X,-Y,Z",
        "-X,Y,Z",
        "-Z,-X,-Y",
        "-Z,X,Y",
        "Z,X,-Y",
        "Z,-X,Y",
        "-Y,-Z,-X",
        "Y,-Z,X",
        "-Y,Z,X",
        "Y,Z,-X",
        "1/2+X,1/2+Y,1/2+Z",
        "1/2-X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,1/2-Z",
        "1/2+X,1/2-Y,1/2-Z",
        "1/2+Z,1/2+X,1/2+Y",
        "1/2+Z,1/2-X,1/2-Y",
        "1/2-Z,1/2-X,1/2+Y",
        "1/2-Z,1/2+X,1/2-Y",
        "1/2+Y,1/2+Z,1/2+X",
        "1/2-Y,1/2+Z,1/2-X",
        "1/2+Y,1/2-Z,1/2-X",
        "1/2-Y,1/2-Z,1/2+X",
        "1/2-X,1/2-Y,1/2-Z",
        "1/2+X,1/2+Y,1/2-Z",
        "1/2+X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,1/2+Z",
        "1/2-Z,1/2-X,1/2-Y",
        "1/2-Z,1/2+X,1/2+Y",
        "1/2+Z,1/2+X,1/2-Y",
        "1/2+Z,1/2-X,1/2+Y",
        "1/2-Y,1/2-Z,1/2-X",
        "1/2+Y,1/2-Z,1/2+X",
        "1/2-Y,1/2+Z,1/2+X",
        "1/2+Y,1/2+Z,1/2-X",
     ],
},

"Pa-3" => { 
     number => 205,
     name   => "Pa-3",
     symop  => [
        "X,Y,Z",
        "1/2-X,-Y,1/2+Z",
        "-X,1/2+Y,1/2-Z",
        "1/2+X,1/2-Y,-Z",
        "Z,X,Y",
        "1/2+Z,1/2-X,-Y",
        "1/2-Z,-X,1/2+Y",
        "-Z,1/2+X,1/2-Y",
        "Y,Z,X",
        "-Y,1/2+Z,1/2-X",
        "1/2+Y,1/2-Z,-X",
        "1/2-Y,-Z,1/2+X",
        "-X,-Y,-Z",
        "1/2+X,Y,1/2-Z",
        "X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,Z",
        "-Z,-X,-Y",
        "1/2-Z,1/2+X,Y",
        "1/2+Z,X,1/2-Y",
        "Z,1/2-X,1/2+Y",
        "-Y,-Z,-X",
        "Y,1/2-Z,1/2+X",
        "1/2-Y,1/2+Z,X",
        "1/2+Y,Z,1/2-X",
     ],
},

"Ia-3" => { 
     number => 206,
     name   => "Ia-3",
     symop  => [
        "X,Y,Z",
        "1/2-X,-Y,1/2+Z",
        "-X,1/2+Y,1/2-Z",
        "1/2+X,1/2-Y,-Z",
        "Z,X,Y",
        "1/2+Z,1/2-X,-Y",
        "1/2-Z,-X,1/2+Y",
        "-Z,1/2+X,1/2-Y",
        "Y,Z,X",
        "-Y,1/2+Z,1/2-X",
        "1/2+Y,1/2-Z,-X",
        "1/2-Y,-Z,1/2+X",
        "-X,-Y,-Z",
        "1/2+X,Y,1/2-Z",
        "X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,Z",
        "-Z,-X,-Y",
        "1/2-Z,1/2+X,Y",
        "1/2+Z,X,1/2-Y",
        "Z,1/2-X,1/2+Y",
        "-Y,-Z,-X",
        "Y,1/2-Z,1/2+X",
        "1/2-Y,1/2+Z,X",
        "1/2+Y,Z,1/2-X",
        "1/2+X,1/2+Y,1/2+Z",
        "-X,1/2-Y,Z",
        "1/2-X,+Y,-Z",
        "X,-Y,1/2-Z",
        "1/2+Z,1/2+X,1/2+Y",
        "Z,-X,1/2-Y",
        "-Z,1/2-X,Y",
        "1/2-Z,X,-Y",
        "1/2+Y,1/2+Z,1/2+X",
        "1/2-Y,Z,-X",
        "Y,-Z,1/2-X",
        "-Y,1/2-Z,X",
        "1/2-X,1/2-Y,1/2-Z",
        "X,1/2+Y,-Z",
        "1/2+X,-Y,Z",
        "-X,Y,1/2+Z",
        "1/2-Z,1/2-X,1/2-Y",
        "-Z,X,1/2+Y",
        "Z,1/2+X,-Y",
        "1/2+Z,-X,Y",
        "1/2-Y,1/2-Z,1/2-X",
        "1/2+Y,-Z,X",
        "-Y,Z,1/2+X",
        "Y,1/2+Z,-X",
     ],
},

"P432" => { 
     number => 207,
     name   => "P432",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "Z,X,Y",
        "Z,-X,-Y",
        "-Z,-X,Y",
        "-Z,X,-Y",
        "Y,Z,X",
        "-Y,Z,-X",
        "Y,-Z,-X",
        "-Y,-Z,X",
        "Y,X,-Z",
        "-Y,-X,-Z",
        "Y,-X,Z",
        "-Y,X,Z",
        "X,Z,-Y",
        "-X,Z,Y",
        "-X,-Z,-Y",
        "X,-Z,Y",
        "Z,Y,-X",
        "Z,-Y,X",
        "-Z,Y,X",
        "-Z,-Y,-X",
     ],
},

"P4232" => { 
     number => 208,
     name   => "P4232",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "Z,X,Y",
        "Z,-X,-Y",
        "-Z,-X,Y",
        "-Z,X,-Y",
        "Y,Z,X",
        "-Y,Z,-X",
        "Y,-Z,-X",
        "-Y,-Z,X",
        "1/2+Y,1/2+X,1/2-Z",
        "1/2-Y,1/2-X,1/2-Z",
        "1/2+Y,1/2-X,1/2+Z",
        "1/2-Y,1/2+X,1/2+Z",
        "1/2+X,1/2+Z,1/2-Y",
        "1/2-X,1/2+Z,1/2+Y",
        "1/2-X,1/2-Z,1/2-Y",
        "1/2+X,1/2-Z,1/2+Y",
        "1/2+Z,1/2+Y,1/2-X",
        "1/2+Z,1/2-Y,1/2+X",
        "1/2-Z,1/2+Y,1/2+X",
        "1/2-Z,1/2-Y,1/2-X",
     ],
},

"F432" => { 
     number => 209,
     name   => "F432",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "Z,X,Y",
        "Z,-X,-Y",
        "-Z,-X,Y",
        "-Z,X,-Y",
        "Y,Z,X",
        "-Y,Z,-X",
        "Y,-Z,-X",
        "-Y,-Z,X",
        "Y,X,-Z",
        "-Y,-X,-Z",
        "Y,-X,Z",
        "-Y,X,Z",
        "X,Z,-Y",
        "-X,Z,Y",
        "-X,-Z,-Y",
        "X,-Z,Y",
        "Z,Y,-X",
        "Z,-Y,X",
        "-Z,Y,X",
        "-Z,-Y,-X",
        "X,1/2+Y,1/2+Z",
        "-X,1/2-Y,1/2+Z",
        "-X,1/2+Y,1/2-Z",
        "X,1/2-Y,1/2-Z",
        "Z,1/2+X,1/2+Y",
        "Z,1/2-X,1/2-Y",
        "-Z,1/2-X,1/2+Y",
        "-Z,1/2+X,1/2-Y",
        "Y,1/2+Z,1/2+X",
        "-Y,1/2+Z,1/2-X",
        "Y,1/2-Z,1/2-X",
        "-Y,1/2-Z,1/2+X",
        "Y,1/2+X,1/2-Z",
        "-Y,1/2-X,1/2-Z",
        "Y,1/2-X,1/2+Z",
        "-Y,1/2+X,1/2+Z",
        "X,1/2+Z,1/2-Y",
        "-X,1/2+Z,1/2+Y",
        "-X,1/2-Z,1/2-Y",
        "X,1/2-Z,1/2+Y",
        "Z,1/2+Y,1/2-X",
        "Z,1/2-Y,1/2+X",
        "-Z,1/2+Y,1/2+X",
        "-Z,1/2-Y,1/2-X",
        "1/2+X,Y,1/2+Z",
        "1/2-X,-Y,1/2+Z",
        "1/2-X,Y,1/2-Z",
        "1/2+X,-Y,1/2-Z",
        "1/2+Z,X,1/2+Y",
        "1/2+Z,-X,1/2-Y",
        "1/2-Z,-X,1/2+Y",
        "1/2-Z,X,1/2-Y",
        "1/2+Y,Z,1/2+X",
        "1/2-Y,Z,1/2-X",
        "1/2+Y,-Z,1/2-X",
        "1/2-Y,-Z,1/2+X",
        "1/2+Y,X,1/2-Z",
        "1/2-Y,-X,1/2-Z",
        "1/2+Y,-X,1/2+Z",
        "1/2-Y,X,1/2+Z",
        "1/2+X,Z,1/2-Y",
        "1/2-X,Z,1/2+Y",
        "1/2-X,-Z,1/2-Y",
        "1/2+X,-Z,1/2+Y",
        "1/2+Z,Y,1/2-X",
        "1/2+Z,-Y,1/2+X",
        "1/2-Z,Y,1/2+X",
        "1/2-Z,-Y,1/2-X",
        "1/2+X,1/2+Y,Z",
        "1/2-X,1/2-Y,Z",
        "1/2-X,1/2+Y,-Z",
        "1/2+X,1/2-Y,-Z",
        "1/2+Z,1/2+X,Y",
        "1/2+Z,1/2-X,-Y",
        "1/2-Z,1/2-X,Y",
        "1/2-Z,1/2+X,-Y",
        "1/2+Y,1/2+Z,X",
        "1/2-Y,1/2+Z,-X",
        "1/2+Y,1/2-Z,-X",
        "1/2-Y,1/2-Z,X",
        "1/2+Y,1/2+X,-Z",
        "1/2-Y,1/2-X,-Z",
        "1/2+Y,1/2-X,Z",
        "1/2-Y,1/2+X,Z",
        "1/2+X,1/2+Z,-Y",
        "1/2-X,1/2+Z,Y",
        "1/2-X,1/2-Z,-Y",
        "1/2+X,1/2-Z,Y",
        "1/2+Z,1/2+Y,-X",
        "1/2+Z,1/2-Y,X",
        "1/2-Z,1/2+Y,X",
        "1/2-Z,1/2-Y,-X",
     ],
},

"F4132" => { 
     number => 210,
     name   => "F4132",
     symop  => [
        "X,Y,Z",
        "-X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,-Z",
        "1/2+X,-Y,1/2-Z",
        "Z,X,Y",
        "1/2+Z,-X,1/2-Y",
        "-Z,1/2-X,1/2+Y",
        "1/2-Z,1/2+X,-Y",
        "Y,Z,X",
        "1/2-Y,1/2+Z,-X",
        "1/2+Y,-Z,1/2-X",
        "-Y,1/2-Z,1/2+X",
        "3/4+Y,1/4+X,3/4-Z",
        "1/4-Y,1/4-X,1/4-Z",
        "1/4+Y,3/4-X,3/4+Z",
        "3/4-Y,3/4+X,1/4+Z",
        "3/4+X,1/4+Z,3/4-Y",
        "3/4-X,3/4+Z,1/4+Y",
        "1/4-X,1/4-Z,1/4-Y",
        "1/4+X,3/4-Z,3/4+Y",
        "3/4+Z,1/4+Y,3/4-X",
        "1/4+Z,3/4-Y,3/4+X",
        "3/4-Z,3/4+Y,1/4+X",
        "1/4-Z,1/4-Y,1/4-X",
        "X,1/2+Y,1/2+Z",
        "-X,-Y,Z",
        "1/2-X,Y,1/2-Z",
        "1/2+X,1/2-Y,-Z",
        "Z,1/2+X,1/2+Y",
        "1/2+Z,1/2-X,-Y",
        "-Z,-X,Y",
        "1/2-Z,X,1/2-Y",
        "Y,1/2+Z,1/2+X",
        "1/2-Y,Z,1/2-X",
        "1/2+Y,1/2-Z,-X",
        "-Y,-Z,X",
        "3/4+Y,3/4+X,1/4-Z",
        "1/4-Y,3/4-X,3/4-Z",
        "1/4+Y,1/4-X,1/4+Z",
        "3/4-Y,1/4+X,3/4+Z",
        "3/4+X,3/4+Z,1/4-Y",
        "3/4-X,1/4+Z,3/4+Y",
        "1/4-X,3/4-Z,3/4-Y",
        "1/4+X,1/4-Z,1/4+Y",
        "3/4+Z,3/4+Y,1/4-X",
        "1/4+Z,1/4-Y,1/4+X",
        "3/4-Z,1/4+Y,3/4+X",
        "1/4-Z,3/4-Y,3/4-X",
        "1/2+X,Y,1/2+Z",
        "1/2-X,1/2-Y,Z",
        "-X,1/2+Y,1/2-Z",
        "X,-Y,-Z",
        "1/2+Z,X,1/2+Y",
        "Z,-X,-Y",
        "1/2-Z,1/2-X,Y",
        "-Z,1/2+X,1/2-Y",
        "1/2+Y,Z,1/2+X",
        "-Y,1/2+Z,1/2-X",
        "Y,-Z,-X",
        "1/2-Y,1/2-Z,X",
        "1/4+Y,1/4+X,1/4-Z",
        "3/4-Y,1/4-X,3/4-Z",
        "3/4+Y,3/4-X,1/4+Z",
        "1/4-Y,3/4+X,3/4+Z",
        "1/4+X,1/4+Z,1/4-Y",
        "1/4-X,3/4+Z,3/4+Y",
        "3/4-X,1/4-Z,3/4-Y",
        "3/4+X,3/4-Z,1/4+Y",
        "1/4+Z,1/4+Y,1/4-X",
        "3/4+Z,3/4-Y,1/4+X",
        "1/4-Z,3/4+Y,3/4+X",
        "3/4-Z,1/4-Y,3/4-X",
        "1/2+X,1/2+Y,Z",
        "1/2-X,-Y,1/2+Z",
        "-X,Y,-Z",
        "X,1/2-Y,1/2-Z",
        "1/2+Z,1/2+X,Y",
        "Z,1/2-X,1/2-Y",
        "1/2-Z,-X,1/2+Y",
        "-Z,X,-Y",
        "1/2+Y,1/2+Z,X",
        "-Y,Z,-X",
        "Y,1/2-Z,1/2-X",
        "1/2-Y,-Z,1/2+X",
        "1/4+Y,3/4+X,3/4-Z",
        "3/4-Y,3/4-X,1/4-Z",
        "3/4+Y,1/4-X,3/4+Z",
        "1/4-Y,1/4+X,1/4+Z",
        "1/4+X,3/4+Z,3/4-Y",
        "1/4-X,1/4+Z,1/4+Y",
        "3/4-X,3/4-Z,1/4-Y",
        "3/4+X,1/4-Z,3/4+Y",
        "1/4+Z,3/4+Y,3/4-X",
        "3/4+Z,1/4-Y,3/4+X",
        "1/4-Z,1/4+Y,1/4+X",
        "3/4-Z,3/4-Y,1/4-X",
     ],
},

"I432" => { 
     number => 211,
     name   => "I432",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "Z,X,Y",
        "Z,-X,-Y",
        "-Z,-X,Y",
        "-Z,X,-Y",
        "Y,Z,X",
        "-Y,Z,-X",
        "Y,-Z,-X",
        "-Y,-Z,X",
        "Y,X,-Z",
        "-Y,-X,-Z",
        "Y,-X,Z",
        "-Y,X,Z",
        "X,Z,-Y",
        "-X,Z,Y",
        "-X,-Z,-Y",
        "X,-Z,Y",
        "Z,Y,-X",
        "Z,-Y,X",
        "-Z,Y,X",
        "-Z,-Y,-X",
        "1/2+X,1/2+Y,1/2+Z",
        "1/2-X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,1/2-Z",
        "1/2+X,1/2-Y,1/2-Z",
        "1/2+Z,1/2+X,1/2+Y",
        "1/2+Z,1/2-X,1/2-Y",
        "1/2-Z,1/2-X,1/2+Y",
        "1/2-Z,1/2+X,1/2-Y",
        "1/2+Y,1/2+Z,1/2+X",
        "1/2-Y,1/2+Z,1/2-X",
        "1/2+Y,1/2-Z,1/2-X",
        "1/2-Y,1/2-Z,1/2+X",
        "1/2+Y,1/2+X,1/2-Z",
        "1/2-Y,1/2-X,1/2-Z",
        "1/2+Y,1/2-X,1/2+Z",
        "1/2-Y,1/2+X,1/2+Z",
        "1/2+X,1/2+Z,1/2-Y",
        "1/2-X,1/2+Z,1/2+Y",
        "1/2-X,1/2-Z,1/2-Y",
        "1/2+X,1/2-Z,1/2+Y",
        "1/2+Z,1/2+Y,1/2-X",
        "1/2+Z,1/2-Y,1/2+X",
        "1/2-Z,1/2+Y,1/2+X",
        "1/2-Z,1/2-Y,1/2-X",
     ],
},

"P4332" => { 
     number => 212,
     name   => "P4332",
     symop  => [
        "X,Y,Z",
        "1/2-X,-Y,1/2+Z",
        "-X,1/2+Y,1/2-Z",
        "1/2+X,1/2-Y,-Z",
        "Z,X,Y",
        "1/2+Z,1/2-X,-Y",
        "1/2-Z,-X,1/2+Y",
        "-Z,1/2+X,1/2-Y",
        "Y,Z,X",
        "-Y,1/2+Z,1/2-X",
        "1/2+Y,1/2-Z,-X",
        "1/2-Y,-Z,1/2+X",
        "1/4+Y,3/4+X,3/4-Z",
        "1/4-Y,1/4-X,1/4-Z",
        "3/4+Y,3/4-X,1/4+Z",
        "3/4-Y,1/4+X,3/4+Z",
        "1/4+X,3/4+Z,3/4-Y",
        "3/4-X,1/4+Z,3/4+Y",
        "1/4-X,1/4-Z,1/4-Y",
        "3/4+X,3/4-Z,1/4+Y",
        "1/4+Z,3/4+Y,3/4-X",
        "3/4+Z,3/4-Y,1/4+X",
        "3/4-Z,1/4+Y,3/4+X",
        "1/4-Z,1/4-Y,1/4-X",
     ],
},

"P4132" => { 
     number => 213,
     name   => "P4132",
     symop  => [
        "X,Y,Z",
        "1/2-X,-Y,1/2+Z",
        "-X,1/2+Y,1/2-Z",
        "1/2+X,1/2-Y,-Z",
        "Z,X,Y",
        "1/2+Z,1/2-X,-Y",
        "1/2-Z,-X,1/2+Y",
        "-Z,1/2+X,1/2-Y",
        "Y,Z,X",
        "-Y,1/2+Z,1/2-X",
        "1/2+Y,1/2-Z,-X",
        "1/2-Y,-Z,1/2+X",
        "3/4+Y,1/4+X,1/4-Z",
        "3/4-Y,3/4-X,3/4-Z",
        "1/4+Y,1/4-X,3/4+Z",
        "1/4-Y,3/4+X,1/4+Z",
        "3/4+X,1/4+Z,1/4-Y",
        "1/4-X,3/4+Z,1/4+Y",
        "3/4-X,3/4-Z,3/4-Y",
        "1/4+X,1/4-Z,3/4+Y",
        "3/4+Z,1/4+Y,1/4-X",
        "1/4+Z,1/4-Y,3/4+X",
        "1/4-Z,3/4+Y,1/4+X",
        "3/4-Z,3/4-Y,3/4-X",
     ],
},

"I4132" => { 
     number => 214,
     name   => "I4132",
     symop  => [
        "X,Y,Z",
        "1/2-X,-Y,1/2+Z",
        "-X,1/2+Y,1/2-Z",
        "1/2+X,1/2-Y,-Z",
        "Z,X,Y",
        "1/2+Z,1/2-X,-Y",
        "1/2-Z,-X,1/2+Y",
        "-Z,1/2+X,1/2-Y",
        "Y,Z,X",
        "-Y,1/2+Z,1/2-X",
        "1/2+Y,1/2-Z,-X",
        "1/2-Y,-Z,1/2+X",
        "3/4+Y,1/4+X,1/4-Z",
        "3/4-Y,3/4-X,3/4-Z",
        "1/4+Y,1/4-X,3/4+Z",
        "1/4-Y,3/4+X,1/4+Z",
        "3/4+X,1/4+Z,1/4-Y",
        "1/4-X,3/4+Z,1/4+Y",
        "3/4-X,3/4-Z,3/4-Y",
        "1/4+X,1/4-Z,3/4+Y",
        "3/4+Z,1/4+Y,1/4-X",
        "1/4+Z,1/4-Y,3/4+X",
        "1/4-Z,3/4+Y,1/4+X",
        "3/4-Z,3/4-Y,3/4-X",
        "1/2+X,1/2+Y,1/2+Z",
        "-X,1/2-Y,Z",
        "1/2-X,Y,-Z",
        "X,-Y,1/2-Z",
        "1/2+Z,1/2+X,1/2+Y",
        "Z,-X,1/2-Y",
        "-Z,1/2-X,Y",
        "1/2-Z,X,-Y",
        "1/2+Y,1/2+Z,1/2+X",
        "1/2-Y,Z,-X",
        "Y,-Z,1/2-X",
        "-Y,1/2-Z,X",
        "1/4+Y,3/4+X,3/4-Z",
        "1/4-Y,1/4-X,1/4-Z",
        "3/4+Y,3/4-X,1/4+Z",
        "3/4-Y,1/4+X,3/4+Z",
        "1/4+X,3/4+Z,3/4-Y",
        "3/4-X,1/4+Z,3/4+Y",
        "1/4-X,1/4-Z,1/4-Y",
        "3/4+X,3/4-Z,1/4+Y",
        "1/4+Z,3/4+Y,3/4-X",
        "3/4+Z,3/4-Y,1/4+X",
        "3/4-Z,1/4+Y,3/4+X",
        "1/4-Z,1/4-Y,1/4-X",
     ],
},

"P-43m" => { 
     number => 215,
     name   => "P-43m",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "Z,X,Y",
        "Z,-X,-Y",
        "-Z,-X,Y",
        "-Z,X,-Y",
        "Y,Z,X",
        "-Y,Z,-X",
        "Y,-Z,-X",
        "-Y,-Z,X",
        "Y,X,Z",
        "-Y,-X,Z",
        "Y,-X,-Z",
        "-Y,X,-Z",
        "X,Z,Y",
        "-X,Z,-Y",
        "-X,-Z,Y",
        "X,-Z,-Y",
        "Z,Y,X",
        "Z,-Y,-X",
        "-Z,Y,-X",
        "-Z,-Y,X",
     ],
},

"F-43m" => { 
     number => 216,
     name   => "F-43m",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "Z,X,Y",
        "Z,-X,-Y",
        "-Z,-X,Y",
        "-Z,X,-Y",
        "Y,Z,X",
        "-Y,Z,-X",
        "Y,-Z,-X",
        "-Y,-Z,X",
        "Y,X,Z",
        "-Y,-X,Z",
        "Y,-X,-Z",
        "-Y,X,-Z",
        "X,Z,Y",
        "-X,Z,-Y",
        "-X,-Z,Y",
        "X,-Z,-Y",
        "Z,Y,X",
        "Z,-Y,-X",
        "-Z,Y,-X",
        "-Z,-Y,X",
        "X,1/2+Y,1/2+Z",
        "-X,1/2-Y,1/2+Z",
        "-X,1/2+Y,1/2-Z",
        "X,1/2-Y,1/2-Z",
        "Z,1/2+X,1/2+Y",
        "Z,1/2-X,1/2-Y",
        "-Z,1/2-X,1/2+Y",
        "-Z,1/2+X,1/2-Y",
        "Y,1/2+Z,1/2+X",
        "-Y,1/2+Z,1/2-X",
        "Y,1/2-Z,1/2-X",
        "-Y,1/2-Z,1/2+X",
        "Y,1/2+X,1/2+Z",
        "-Y,1/2-X,1/2+Z",
        "Y,1/2-X,1/2-Z",
        "-Y,1/2+X,1/2-Z",
        "X,1/2+Z,1/2+Y",
        "-X,1/2+Z,1/2-Y",
        "-X,1/2-Z,1/2+Y",
        "X,1/2-Z,1/2-Y",
        "Z,1/2+Y,1/2+X",
        "Z,1/2-Y,1/2-X",
        "-Z,1/2+Y,1/2-X",
        "-Z,1/2-Y,1/2+X",
        "1/2+X,Y,1/2+Z",
        "1/2-X,-Y,1/2+Z",
        "1/2-X,Y,1/2-Z",
        "1/2+X,-Y,1/2-Z",
        "1/2+Z,X,1/2+Y",
        "1/2+Z,-X,1/2-Y",
        "1/2-Z,-X,1/2+Y",
        "1/2-Z,X,1/2-Y",
        "1/2+Y,Z,1/2+X",
        "1/2-Y,Z,1/2-X",
        "1/2+Y,-Z,1/2-X",
        "1/2-Y,-Z,1/2+X",
        "1/2+Y,X,1/2+Z",
        "1/2-Y,-X,1/2+Z",
        "1/2+Y,-X,1/2-Z",
        "1/2-Y,X,1/2-Z",
        "1/2+X,Z,1/2+Y",
        "1/2-X,Z,1/2-Y",
        "1/2-X,-Z,1/2+Y",
        "1/2+X,-Z,1/2-Y",
        "1/2+Z,Y,1/2+X",
        "1/2+Z,-Y,1/2-X",
        "1/2-Z,Y,1/2-X",
        "1/2-Z,-Y,1/2+X",
        "1/2+X,1/2+Y,Z",
        "1/2-X,1/2-Y,Z",
        "1/2-X,1/2+Y,-Z",
        "1/2+X,1/2-Y,-Z",
        "1/2+Z,1/2+X,Y",
        "1/2+Z,1/2-X,-Y",
        "1/2-Z,1/2-X,Y",
        "1/2-Z,1/2+X,-Y",
        "1/2+Y,1/2+Z,X",
        "1/2-Y,1/2+Z,-X",
        "1/2+Y,1/2-Z,-X",
        "1/2-Y,1/2-Z,X",
        "1/2+Y,1/2+X,Z",
        "1/2-Y,1/2-X,Z",
        "1/2+Y,1/2-X,-Z",
        "1/2-Y,1/2+X,-Z",
        "1/2+X,1/2+Z,Y",
        "1/2-X,1/2+Z,-Y",
        "1/2-X,1/2-Z,Y",
        "1/2+X,1/2-Z,-Y",
        "1/2+Z,1/2+Y,X",
        "1/2+Z,1/2-Y,-X",
        "1/2-Z,1/2+Y,-X",
        "1/2-Z,1/2-Y,X",
     ],
},

"I-43m" => { 
     number => 217,
     name   => "I-43m",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "Z,X,Y",
        "Z,-X,-Y",
        "-Z,-X,Y",
        "-Z,X,-Y",
        "Y,Z,X",
        "-Y,Z,-X",
        "Y,-Z,-X",
        "-Y,-Z,X",
        "Y,X,Z",
        "-Y,-X,Z",
        "Y,-X,-Z",
        "-Y,X,-Z",
        "X,Z,Y",
        "-X,Z,-Y",
        "-X,-Z,Y",
        "X,-Z,-Y",
        "Z,Y,X",
        "Z,-Y,-X",
        "-Z,Y,-X",
        "-Z,-Y,X",
        "1/2+X,1/2+Y,1/2+Z",
        "1/2-X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,1/2-Z",
        "1/2+X,1/2-Y,1/2-Z",
        "1/2+Z,1/2+X,1/2+Y",
        "1/2+Z,1/2-X,1/2-Y",
        "1/2-Z,1/2-X,1/2+Y",
        "1/2-Z,1/2+X,1/2-Y",
        "1/2+Y,1/2+Z,1/2+X",
        "1/2-Y,1/2+Z,1/2-X",
        "1/2+Y,1/2-Z,1/2-X",
        "1/2-Y,1/2-Z,1/2+X",
        "1/2+Y,1/2+X,1/2+Z",
        "1/2-Y,1/2-X,1/2+Z",
        "1/2+Y,1/2-X,1/2-Z",
        "1/2-Y,1/2+X,1/2-Z",
        "1/2+X,1/2+Z,1/2+Y",
        "1/2-X,1/2+Z,1/2-Y",
        "1/2-X,1/2-Z,1/2+Y",
        "1/2+X,1/2-Z,1/2-Y",
        "1/2+Z,1/2+Y,1/2+X",
        "1/2+Z,1/2-Y,1/2-X",
        "1/2-Z,1/2+Y,1/2-X",
        "1/2-Z,1/2-Y,1/2+X",
     ],
},

"P-43n" => { 
     number => 218,
     name   => "P-43n",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "Z,X,Y",
        "Z,-X,-Y",
        "-Z,-X,Y",
        "-Z,X,-Y",
        "Y,Z,X",
        "-Y,Z,-X",
        "Y,-Z,-X",
        "-Y,-Z,X",
        "1/2+Y,1/2+X,1/2+Z",
        "1/2-Y,1/2-X,1/2+Z",
        "1/2+Y,1/2-X,1/2-Z",
        "1/2-Y,1/2+X,1/2-Z",
        "1/2+X,1/2+Z,1/2+Y",
        "1/2-X,1/2+Z,1/2-Y",
        "1/2-X,1/2-Z,1/2+Y",
        "1/2+X,1/2-Z,1/2-Y",
        "1/2+Z,1/2+Y,1/2+X",
        "1/2+Z,1/2-Y,1/2-X",
        "1/2-Z,1/2+Y,1/2-X",
        "1/2-Z,1/2-Y,1/2+X",
     ],
},

"F-43c" => { 
     number => 219,
     name   => "F-43c",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "Z,X,Y",
        "Z,-X,-Y",
        "-Z,-X,Y",
        "-Z,X,-Y",
        "Y,Z,X",
        "-Y,Z,-X",
        "Y,-Z,-X",
        "-Y,-Z,X",
        "1/2+Y,1/2+X,1/2+Z",
        "1/2-Y,1/2-X,1/2+Z",
        "1/2+Y,1/2-X,1/2-Z",
        "1/2-Y,1/2+X,1/2-Z",
        "1/2+X,1/2+Z,1/2+Y",
        "1/2-X,1/2+Z,1/2-Y",
        "1/2-X,1/2-Z,1/2+Y",
        "1/2+X,1/2-Z,1/2-Y",
        "1/2+Z,1/2+Y,1/2+X",
        "1/2+Z,1/2-Y,1/2-X",
        "1/2-Z,1/2+Y,1/2-X",
        "1/2-Z,1/2-Y,1/2+X",
        "X,1/2+Y,1/2+Z",
        "-X,1/2-Y,1/2+Z",
        "-X,1/2+Y,1/2-Z",
        "X,1/2-Y,1/2-Z",
        "Z,1/2+X,1/2+Y",
        "Z,1/2-X,1/2-Y",
        "-Z,1/2-X,1/2+Y",
        "-Z,1/2+X,1/2-Y",
        "Y,1/2+Z,1/2+X",
        "-Y,1/2+Z,1/2-X",
        "Y,1/2-Z,1/2-X",
        "-Y,1/2-Z,1/2+X",
        "1/2+Y,X,Z",
        "1/2-Y,-X,Z",
        "1/2+Y,-X,-Z",
        "1/2-Y,X,-Z",
        "1/2+X,Z,Y",
        "1/2-X,Z,-Y",
        "1/2-X,-Z,Y",
        "1/2+X,-Z,-Y",
        "1/2+Z,Y,X",
        "1/2+Z,-Y,-X",
        "1/2-Z,Y,-X",
        "1/2-Z,-Y,X",
        "1/2+X,Y,1/2+Z",
        "1/2-X,-Y,1/2+Z",
        "1/2-X,Y,1/2-Z",
        "1/2+X,-Y,1/2-Z",
        "1/2+Z,X,1/2+Y",
        "1/2+Z,-X,1/2-Y",
        "1/2-Z,-X,1/2+Y",
        "1/2-Z,X,1/2-Y",
        "1/2+Y,Z,1/2+X",
        "1/2-Y,Z,1/2-X",
        "1/2+Y,-Z,1/2-X",
        "1/2-Y,-Z,1/2+X",
        "Y,1/2+X,Z",
        "-Y,1/2-X,Z",
        "Y,1/2-X,-Z",
        "-Y,1/2+X,-Z",
        "X,1/2+Z,Y",
        "-X,1/2+Z,-Y",
        "-X,1/2-Z,Y",
        "X,1/2-Z,-Y",
        "Z,1/2+Y,X",
        "Z,1/2-Y,-X",
        "-Z,1/2+Y,-X",
        "-Z,1/2-Y,X",
        "1/2+X,1/2+Y,Z",
        "1/2-X,1/2-Y,Z",
        "1/2-X,1/2+Y,-Z",
        "1/2+X,1/2-Y,-Z",
        "1/2+Z,1/2+X,Y",
        "1/2+Z,1/2-X,-Y",
        "1/2-Z,1/2-X,Y",
        "1/2-Z,1/2+X,-Y",
        "1/2+Y,1/2+Z,X",
        "1/2-Y,1/2+Z,-X",
        "1/2+Y,1/2-Z,-X",
        "1/2-Y,1/2-Z,X",
        "Y,X,1/2+Z",
        "-Y,-X,1/2+Z",
        "Y,-X,1/2-Z",
        "-Y,X,1/2-Z",
        "X,Z,1/2+Y",
        "-X,Z,1/2-Y",
        "-X,-Z,1/2+Y",
        "X,-Z,1/2-Y",
        "Z,Y,1/2+X",
        "Z,-Y,1/2-X",
        "-Z,Y,1/2-X",
        "-Z,-Y,1/2+X",
     ],
},

"I-43d" => { 
     number => 220,
     name   => "I-43d",
     symop  => [
        "X,Y,Z",
        "1/2-X,-Y,1/2+Z",
        "-X,1/2+Y,1/2-Z",
        "1/2+X,1/2-Y,-Z",
        "Z,X,Y",
        "1/2+Z,1/2-X,-Y",
        "1/2-Z,-X,1/2+Y",
        "-Z,1/2+X,1/2-Y",
        "Y,Z,X",
        "-Y,1/2+Z,1/2-X",
        "1/2+Y,1/2-Z,-X",
        "1/2-Y,-Z,1/2+X",
        "1/4+Y,1/4+X,1/4+Z",
        "1/4-Y,3/4-X,3/4+Z",
        "3/4+Y,1/4-X,3/4-Z",
        "3/4-Y,3/4+X,1/4-Z",
        "1/4+X,1/4+Z,1/4+Y",
        "3/4-X,3/4+Z,1/4-Y",
        "1/4-X,3/4-Z,3/4+Y",
        "3/4+X,1/4-Z,3/4-Y",
        "1/4+Z,1/4+Y,1/4+X",
        "3/4+Z,1/4-Y,3/4-X",
        "3/4-Z,3/4+Y,1/4-X",
        "1/4-Z,3/4-Y,3/4+X",
        "1/2+X,1/2+Y,1/2+Z",
        "-X,1/2-Y,Z",
        "1/2-X,Y,-Z",
        "X,-Y,1/2-Z",
        "1/2+Z,1/2+X,1/2+Y",
        "Z,-X,1/2-Y",
        "-Z,1/2-X,Y",
        "1/2-Z,X,-Y",
        "1/2+Y,1/2+Z,1/2+X",
        "1/2-Y,Z,-X",
        "Y,-Z,1/2-X",
        "-Y,1/2-Z,X",
        "3/4+Y,3/4+X,3/4+Z",
        "3/4-Y,1/4-X,1/4+Z",
        "1/4+Y,3/4-X,1/4-Z",
        "1/4-Y,1/4+X,3/4-Z",
        "3/4+X,3/4+Z,3/4+Y",
        "1/4-X,1/4+Z,3/4-Y",
        "3/4-X,1/4-Z,1/4+Y",
        "1/4+X,3/4-Z,1/4-Y",
        "3/4+Z,3/4+Y,3/4+X",
        "1/4+Z,3/4-Y,1/4-X",
        "1/4-Z,1/4+Y,3/4-X",
        "3/4-Z,1/4-Y,1/4+X",
     ],
},

"Pm-3m" => { 
     number => 221,
     name   => "Pm-3m",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "Z,X,Y",
        "Z,-X,-Y",
        "-Z,-X,Y",
        "-Z,X,-Y",
        "Y,Z,X",
        "-Y,Z,-X",
        "Y,-Z,-X",
        "-Y,-Z,X",
        "Y,X,-Z",
        "-Y,-X,-Z",
        "Y,-X,Z",
        "-Y,X,Z",
        "X,Z,-Y",
        "-X,Z,Y",
        "-X,-Z,-Y",
        "X,-Z,Y",
        "Z,Y,-X",
        "Z,-Y,X",
        "-Z,Y,X",
        "-Z,-Y,-X",
        "-X,-Y,-Z",
        "X,Y,-Z",
        "X,-Y,Z",
        "-X,Y,Z",
        "-Z,-X,-Y",
        "-Z,X,Y",
        "Z,X,-Y",
        "Z,-X,Y",
        "-Y,-Z,-X",
        "Y,-Z,X",
        "-Y,Z,X",
        "Y,Z,-X",
        "-Y,-X,Z",
        "Y,X,Z",
        "-Y,X,-Z",
        "Y,-X,-Z",
        "-X,-Z,Y",
        "X,-Z,-Y",
        "X,Z,Y",
        "-X,Z,-Y",
        "-Z,-Y,X",
        "-Z,Y,-X",
        "Z,-Y,-X",
        "Z,Y,X",
     ],
},

"Pn-3n" => { 
     number => 222,
     name   => "Pn-3n",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "Z,X,Y",
        "Z,-X,-Y",
        "-Z,-X,Y",
        "-Z,X,-Y",
        "Y,Z,X",
        "-Y,Z,-X",
        "Y,-Z,-X",
        "-Y,-Z,X",
        "Y,X,-Z",
        "-Y,-X,-Z",
        "Y,-X,Z",
        "-Y,X,Z",
        "X,Z,-Y",
        "-X,Z,Y",
        "-X,-Z,-Y",
        "X,-Z,Y",
        "Z,Y,-X",
        "Z,-Y,X",
        "-Z,Y,X",
        "-Z,-Y,-X",
        "1/2-X,1/2-Y,1/2-Z",
        "1/2+X,1/2+Y,1/2-Z",
        "1/2+X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,1/2+Z",
        "1/2-Z,1/2-X,1/2-Y",
        "1/2-Z,1/2+X,1/2+Y",
        "1/2+Z,1/2+X,1/2-Y",
        "1/2+Z,1/2-X,1/2+Y",
        "1/2-Y,1/2-Z,1/2-X",
        "1/2+Y,1/2-Z,1/2+X",
        "1/2-Y,1/2+Z,1/2+X",
        "1/2+Y,1/2+Z,1/2-X",
        "1/2-Y,1/2-X,1/2+Z",
        "1/2+Y,1/2+X,1/2+Z",
        "1/2-Y,1/2+X,1/2-Z",
        "1/2+Y,1/2-X,1/2-Z",
        "1/2-X,1/2-Z,1/2+Y",
        "1/2+X,1/2-Z,1/2-Y",
        "1/2+X,1/2+Z,1/2+Y",
        "1/2-X,1/2+Z,1/2-Y",
        "1/2-Z,1/2-Y,1/2+X",
        "1/2-Z,1/2+Y,1/2-X",
        "1/2+Z,1/2-Y,1/2-X",
        "1/2+Z,1/2+Y,1/2+X",
     ],
},

"Pm-3n" => { 
     number => 223,
     name   => "Pm-3n",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "Z,X,Y",
        "Z,-X,-Y",
        "-Z,-X,Y",
        "-Z,X,-Y",
        "Y,Z,X",
        "-Y,Z,-X",
        "Y,-Z,-X",
        "-Y,-Z,X",
        "1/2+Y,1/2+X,1/2-Z",
        "1/2-Y,1/2-X,1/2-Z",
        "1/2+Y,1/2-X,1/2+Z",
        "1/2-Y,1/2+X,1/2+Z",
        "1/2+X,1/2+Z,1/2-Y",
        "1/2-X,1/2+Z,1/2+Y",
        "1/2-X,1/2-Z,1/2-Y",
        "1/2+X,1/2-Z,1/2+Y",
        "1/2+Z,1/2+Y,1/2-X",
        "1/2+Z,1/2-Y,1/2+X",
        "1/2-Z,1/2+Y,1/2+X",
        "1/2-Z,1/2-Y,1/2-X",
        "-X,-Y,-Z",
        "X,Y,-Z",
        "X,-Y,Z",
        "-X,Y,Z",
        "-Z,-X,-Y",
        "-Z,X,Y",
        "Z,X,-Y",
        "Z,-X,Y",
        "-Y,-Z,-X",
        "Y,-Z,X",
        "-Y,Z,X",
        "Y,Z,-X",
        "1/2-Y,1/2-X,1/2+Z",
        "1/2+Y,1/2+X,1/2+Z",
        "1/2-Y,1/2+X,1/2-Z",
        "1/2+Y,1/2-X,1/2-Z",
        "1/2-X,1/2-Z,1/2+Y",
        "1/2+X,1/2-Z,1/2-Y",
        "1/2+X,1/2+Z,1/2+Y",
        "1/2-X,1/2+Z,1/2-Y",
        "1/2-Z,1/2-Y,1/2+X",
        "1/2-Z,1/2+Y,1/2-X",
        "1/2+Z,1/2-Y,1/2-X",
        "1/2+Z,1/2+Y,1/2+X",
     ],
},

"Pn-3m" => { 
     number => 224,
     name   => "Pn-3m",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "Z,X,Y",
        "Z,-X,-Y",
        "-Z,-X,Y",
        "-Z,X,-Y",
        "Y,Z,X",
        "-Y,Z,-X",
        "Y,-Z,-X",
        "-Y,-Z,X",
        "1/2+Y,1/2+X,1/2-Z",
        "1/2-Y,1/2-X,1/2-Z",
        "1/2+Y,1/2-X,1/2+Z",
        "1/2-Y,1/2+X,1/2+Z",
        "1/2+X,1/2+Z,1/2-Y",
        "1/2-X,1/2+Z,1/2+Y",
        "1/2-X,1/2-Z,1/2-Y",
        "1/2+X,1/2-Z,1/2+Y",
        "1/2+Z,1/2+Y,1/2-X",
        "1/2+Z,1/2-Y,1/2+X",
        "1/2-Z,1/2+Y,1/2+X",
        "1/2-Z,1/2-Y,1/2-X",
        "1/2-X,1/2-Y,1/2-Z",
        "1/2+X,1/2+Y,1/2-Z",
        "1/2+X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,1/2+Z",
        "1/2-Z,1/2-X,1/2-Y",
        "1/2-Z,1/2+X,1/2+Y",
        "1/2+Z,1/2+X,1/2-Y",
        "1/2+Z,1/2-X,1/2+Y",
        "1/2-Y,1/2-Z,1/2-X",
        "1/2+Y,1/2-Z,1/2+X",
        "1/2-Y,1/2+Z,1/2+X",
        "1/2+Y,1/2+Z,1/2-X",
        "-Y,-X,Z",
        "Y,X,Z",
        "-Y,X,-Z",
        "Y,-X,-Z",
        "-X,-Z,Y",
        "X,-Z,-Y",
        "X,Z,Y",
        "-X,Z,-Y",
        "-Z,-Y,X",
        "-Z,Y,-X",
        "Z,-Y,-X",
        "Z,Y,X",
     ],
},

"Fm-3m" => { 
     number => 225,
     name   => "Fm-3m",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "Z,X,Y",
        "Z,-X,-Y",
        "-Z,-X,Y",
        "-Z,X,-Y",
        "Y,Z,X",
        "-Y,Z,-X",
        "Y,-Z,-X",
        "-Y,-Z,X",
        "Y,X,-Z",
        "-Y,-X,-Z",
        "Y,-X,Z",
        "-Y,X,Z",
        "X,Z,-Y",
        "-X,Z,Y",
        "-X,-Z,-Y",
        "X,-Z,Y",
        "Z,Y,-X",
        "Z,-Y,X",
        "-Z,Y,X",
        "-Z,-Y,-X",
        "-X,-Y,-Z",
        "X,Y,-Z",
        "X,-Y,Z",
        "-X,Y,Z",
        "-Z,-X,-Y",
        "-Z,X,Y",
        "Z,X,-Y",
        "Z,-X,Y",
        "-Y,-Z,-X",
        "Y,-Z,X",
        "-Y,Z,X",
        "Y,Z,-X",
        "-Y,-X,Z",
        "Y,X,Z",
        "-Y,X,-Z",
        "Y,-X,-Z",
        "-X,-Z,Y",
        "X,-Z,-Y",
        "X,Z,Y",
        "-X,Z,-Y",
        "-Z,-Y,X",
        "-Z,Y,-X",
        "Z,-Y,-X",
        "Z,Y,X",
        "X,1/2+Y,1/2+Z",
        "-X,1/2-Y,1/2+Z",
        "-X,1/2+Y,1/2-Z",
        "X,1/2-Y,1/2-Z",
        "Z,1/2+X,1/2+Y",
        "Z,1/2-X,1/2-Y",
        "-Z,1/2-X,1/2+Y",
        "-Z,1/2+X,1/2-Y",
        "Y,1/2+Z,1/2+X",
        "-Y,1/2+Z,1/2-X",
        "Y,1/2-Z,1/2-X",
        "-Y,1/2-Z,1/2+X",
        "Y,1/2+X,1/2-Z",
        "-Y,1/2-X,1/2-Z",
        "Y,1/2-X,1/2+Z",
        "-Y,1/2+X,1/2+Z",
        "X,1/2+Z,1/2-Y",
        "-X,1/2+Z,1/2+Y",
        "-X,1/2-Z,1/2-Y",
        "X,1/2-Z,1/2+Y",
        "Z,1/2+Y,1/2-X",
        "Z,1/2-Y,1/2+X",
        "-Z,1/2+Y,1/2+X",
        "-Z,1/2-Y,1/2-X",
        "-X,1/2-Y,1/2-Z",
        "X,1/2+Y,1/2-Z",
        "X,1/2-Y,1/2+Z",
        "-X,1/2+Y,1/2+Z",
        "-Z,1/2-X,1/2-Y",
        "-Z,1/2+X,1/2+Y",
        "Z,1/2+X,1/2-Y",
        "Z,1/2-X,1/2+Y",
        "-Y,1/2-Z,1/2-X",
        "Y,1/2-Z,1/2+X",
        "-Y,1/2+Z,1/2+X",
        "Y,1/2+Z,1/2-X",
        "-Y,1/2-X,1/2+Z",
        "Y,1/2+X,1/2+Z",
        "-Y,1/2+X,1/2-Z",
        "Y,1/2-X,1/2-Z",
        "-X,1/2-Z,1/2+Y",
        "X,1/2-Z,1/2-Y",
        "X,1/2+Z,1/2+Y",
        "-X,1/2+Z,1/2-Y",
        "-Z,1/2-Y,1/2+X",
        "-Z,1/2+Y,1/2-X",
        "Z,1/2-Y,1/2-X",
        "Z,1/2+Y,1/2+X",
        "1/2+X,Y,1/2+Z",
        "1/2-X,-Y,1/2+Z",
        "1/2-X,Y,1/2-Z",
        "1/2+X,-Y,1/2-Z",
        "1/2+Z,X,1/2+Y",
        "1/2+Z,-X,1/2-Y",
        "1/2-Z,-X,1/2+Y",
        "1/2-Z,X,1/2-Y",
        "1/2+Y,Z,1/2+X",
        "1/2-Y,Z,1/2-X",
        "1/2+Y,-Z,1/2-X",
        "1/2-Y,-Z,1/2+X",
        "1/2+Y,X,1/2-Z",
        "1/2-Y,-X,1/2-Z",
        "1/2+Y,-X,1/2+Z",
        "1/2-Y,X,1/2+Z",
        "1/2+X,Z,1/2-Y",
        "1/2-X,Z,1/2+Y",
        "1/2-X,-Z,1/2-Y",
        "1/2+X,-Z,1/2+Y",
        "1/2+Z,Y,1/2-X",
        "1/2+Z,-Y,1/2+X",
        "1/2-Z,Y,1/2+X",
        "1/2-Z,-Y,1/2-X",
        "1/2-X,-Y,1/2-Z",
        "1/2+X,Y,1/2-Z",
        "1/2+X,-Y,1/2+Z",
        "1/2-X,Y,1/2+Z",
        "1/2-Z,-X,1/2-Y",
        "1/2-Z,X,1/2+Y",
        "1/2+Z,X,1/2-Y",
        "1/2+Z,-X,1/2+Y",
        "1/2-Y,-Z,1/2-X",
        "1/2+Y,-Z,1/2+X",
        "1/2-Y,Z,1/2+X",
        "1/2+Y,Z,1/2-X",
        "1/2-Y,-X,1/2+Z",
        "1/2+Y,X,1/2+Z",
        "1/2-Y,X,1/2-Z",
        "1/2+Y,-X,1/2-Z",
        "1/2-X,-Z,1/2+Y",
        "1/2+X,-Z,1/2-Y",
        "1/2+X,Z,1/2+Y",
        "1/2-X,Z,1/2-Y",
        "1/2-Z,-Y,1/2+X",
        "1/2-Z,Y,1/2-X",
        "1/2+Z,-Y,1/2-X",
        "1/2+Z,Y,1/2+X",
        "1/2+X,1/2+Y,Z",
        "1/2-X,1/2-Y,Z",
        "1/2-X,1/2+Y,-Z",
        "1/2+X,1/2-Y,-Z",
        "1/2+Z,1/2+X,Y",
        "1/2+Z,1/2-X,-Y",
        "1/2-Z,1/2-X,Y",
        "1/2-Z,1/2+X,-Y",
        "1/2+Y,1/2+Z,X",
        "1/2-Y,1/2+Z,-X",
        "1/2+Y,1/2-Z,-X",
        "1/2-Y,1/2-Z,X",
        "1/2+Y,1/2+X,-Z",
        "1/2-Y,1/2-X,-Z",
        "1/2+Y,1/2-X,Z",
        "1/2-Y,1/2+X,Z",
        "1/2+X,1/2+Z,-Y",
        "1/2-X,1/2+Z,Y",
        "1/2-X,1/2-Z,-Y",
        "1/2+X,1/2-Z,Y",
        "1/2+Z,1/2+Y,-X",
        "1/2+Z,1/2-Y,X",
        "1/2-Z,1/2+Y,X",
        "1/2-Z,1/2-Y,-X",
        "1/2-X,1/2-Y,-Z",
        "1/2+X,1/2+Y,-Z",
        "1/2+X,1/2-Y,Z",
        "1/2-X,1/2+Y,Z",
        "1/2-Z,1/2-X,-Y",
        "1/2-Z,1/2+X,Y",
        "1/2+Z,1/2+X,-Y",
        "1/2+Z,1/2-X,Y",
        "1/2-Y,1/2-Z,-X",
        "1/2+Y,1/2-Z,X",
        "1/2-Y,1/2+Z,X",
        "1/2+Y,1/2+Z,-X",
        "1/2-Y,1/2-X,Z",
        "1/2+Y,1/2+X,Z",
        "1/2-Y,1/2+X,-Z",
        "1/2+Y,1/2-X,-Z",
        "1/2-X,1/2-Z,Y",
        "1/2+X,1/2-Z,-Y",
        "1/2+X,1/2+Z,Y",
        "1/2-X,1/2+Z,-Y",
        "1/2-Z,1/2-Y,X",
        "1/2-Z,1/2+Y,-X",
        "1/2+Z,1/2-Y,-X",
        "1/2+Z,1/2+Y,X",
     ],
},

"Fm-3c" => { 
     number => 226,
     name   => "Fm-3c",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "Z,X,Y",
        "Z,-X,-Y",
        "-Z,-X,Y",
        "-Z,X,-Y",
        "Y,Z,X",
        "-Y,Z,-X",
        "Y,-Z,-X",
        "-Y,-Z,X",
        "1/2+Y,1/2+X,1/2-Z",
        "1/2-Y,1/2-X,1/2-Z",
        "1/2+Y,1/2-X,1/2+Z",
        "1/2-Y,1/2+X,1/2+Z",
        "1/2+X,1/2+Z,1/2-Y",
        "1/2-X,1/2+Z,1/2+Y",
        "1/2-X,1/2-Z,1/2-Y",
        "1/2+X,1/2-Z,1/2+Y",
        "1/2+Z,1/2+Y,1/2-X",
        "1/2+Z,1/2-Y,1/2+X",
        "1/2-Z,1/2+Y,1/2+X",
        "1/2-Z,1/2-Y,1/2-X",
        "-X,-Y,-Z",
        "X,Y,-Z",
        "X,-Y,Z",
        "-X,Y,Z",
        "-Z,-X,-Y",
        "-Z,X,Y",
        "Z,X,-Y",
        "Z,-X,Y",
        "-Y,-Z,-X",
        "Y,-Z,X",
        "-Y,Z,X",
        "Y,Z,-X",
        "1/2-Y,1/2-X,1/2+Z",
        "1/2+Y,1/2+X,1/2+Z",
        "1/2-Y,1/2+X,1/2-Z",
        "1/2+Y,1/2-X,1/2-Z",
        "1/2-X,1/2-Z,1/2+Y",
        "1/2+X,1/2-Z,1/2-Y",
        "1/2+X,1/2+Z,1/2+Y",
        "1/2-X,1/2+Z,1/2-Y",
        "1/2-Z,1/2-Y,1/2+X",
        "1/2-Z,1/2+Y,1/2-X",
        "1/2+Z,1/2-Y,1/2-X",
        "1/2+Z,1/2+Y,1/2+X",
        "X,1/2+Y,1/2+Z",
        "-X,1/2-Y,1/2+Z",
        "-X,1/2+Y,1/2-Z",
        "X,1/2-Y,1/2-Z",
        "Z,1/2+X,1/2+Y",
        "Z,1/2-X,1/2-Y",
        "-Z,1/2-X,1/2+Y",
        "-Z,1/2+X,1/2-Y",
        "Y,1/2+Z,1/2+X",
        "-Y,1/2+Z,1/2-X",
        "Y,1/2-Z,1/2-X",
        "-Y,1/2-Z,1/2+X",
        "1/2+Y,X,-Z",
        "1/2-Y,-X,-Z",
        "1/2+Y,-X,Z",
        "1/2-Y,X,Z",
        "1/2+X,Z,-Y",
        "1/2-X,Z,Y",
        "1/2-X,-Z,-Y",
        "1/2+X,-Z,Y",
        "1/2+Z,Y,-X",
        "1/2+Z,-Y,X",
        "1/2-Z,Y,X",
        "1/2-Z,-Y,-X",
        "-X,1/2-Y,1/2-Z",
        "X,1/2+Y,1/2-Z",
        "X,1/2-Y,1/2+Z",
        "-X,1/2+Y,1/2+Z",
        "-Z,1/2-X,1/2-Y",
        "-Z,1/2+X,1/2+Y",
        "Z,1/2+X,1/2-Y",
        "Z,1/2-X,1/2+Y",
        "-Y,1/2-Z,1/2-X",
        "Y,1/2-Z,1/2+X",
        "-Y,1/2+Z,1/2+X",
        "Y,1/2+Z,1/2-X",
        "1/2-Y,-X,Z",
        "1/2+Y,X,Z",
        "1/2-Y,X,-Z",
        "1/2+Y,-X,-Z",
        "1/2-X,-Z,Y",
        "1/2+X,-Z,-Y",
        "1/2+X,Z,Y",
        "1/2-X,Z,-Y",
        "1/2-Z,-Y,X",
        "1/2-Z,Y,-X",
        "1/2+Z,-Y,-X",
        "1/2+Z,Y,X",
        "1/2+X,Y,1/2+Z",
        "1/2-X,-Y,1/2+Z",
        "1/2-X,Y,1/2-Z",
        "1/2+X,-Y,1/2-Z",
        "1/2+Z,X,1/2+Y",
        "1/2+Z,-X,1/2-Y",
        "1/2-Z,-X,1/2+Y",
        "1/2-Z,X,1/2-Y",
        "1/2+Y,Z,1/2+X",
        "1/2-Y,Z,1/2-X",
        "1/2+Y,-Z,1/2-X",
        "1/2-Y,-Z,1/2+X",
        "Y,1/2+X,-Z",
        "-Y,1/2-X,-Z",
        "Y,1/2-X,Z",
        "-Y,1/2+X,Z",
        "X,1/2+Z,-Y",
        "-X,1/2+Z,Y",
        "-X,1/2-Z,-Y",
        "X,1/2-Z,Y",
        "Z,1/2+Y,-X",
        "Z,1/2-Y,X",
        "-Z,1/2+Y,X",
        "-Z,1/2-Y,-X",
        "1/2-X,-Y,1/2-Z",
        "1/2+X,Y,1/2-Z",
        "1/2+X,-Y,1/2+Z",
        "1/2-X,Y,1/2+Z",
        "1/2-Z,-X,1/2-Y",
        "1/2-Z,X,1/2+Y",
        "1/2+Z,X,1/2-Y",
        "1/2+Z,-X,1/2+Y",
        "1/2-Y,-Z,1/2-X",
        "1/2+Y,-Z,1/2+X",
        "1/2-Y,Z,1/2+X",
        "1/2+Y,Z,1/2-X",
        "-Y,1/2-X,Z",
        "Y,1/2+X,Z",
        "-Y,1/2+X,-Z",
        "Y,1/2-X,-Z",
        "-X,1/2-Z,Y",
        "X,1/2-Z,-Y",
        "X,1/2+Z,Y",
        "-X,1/2+Z,-Y",
        "-Z,1/2-Y,X",
        "-Z,1/2+Y,-X",
        "Z,1/2-Y,-X",
        "Z,1/2+Y,X",
        "1/2+X,1/2+Y,Z",
        "1/2-X,1/2-Y,Z",
        "1/2-X,1/2+Y,-Z",
        "1/2+X,1/2-Y,-Z",
        "1/2+Z,1/2+X,Y",
        "1/2+Z,1/2-X,-Y",
        "1/2-Z,1/2-X,Y",
        "1/2-Z,1/2+X,-Y",
        "1/2+Y,1/2+Z,X",
        "1/2-Y,1/2+Z,-X",
        "1/2+Y,1/2-Z,-X",
        "1/2-Y,1/2-Z,X",
        "Y,X,1/2-Z",
        "-Y,-X,1/2-Z",
        "Y,-X,1/2+Z",
        "-Y,X,1/2+Z",
        "X,Z,1/2-Y",
        "-X,Z,1/2+Y",
        "-X,-Z,1/2-Y",
        "X,-Z,1/2+Y",
        "Z,Y,1/2-X",
        "Z,-Y,1/2+X",
        "-Z,Y,1/2+X",
        "-Z,-Y,1/2-X",
        "1/2-X,1/2-Y,-Z",
        "1/2+X,1/2+Y,-Z",
        "1/2+X,1/2-Y,Z",
        "1/2-X,1/2+Y,Z",
        "1/2-Z,1/2-X,-Y",
        "1/2-Z,1/2+X,Y",
        "1/2+Z,1/2+X,-Y",
        "1/2+Z,1/2-X,Y",
        "1/2-Y,1/2-Z,-X",
        "1/2+Y,1/2-Z,X",
        "1/2-Y,1/2+Z,X",
        "1/2+Y,1/2+Z,-X",
        "-Y,-X,1/2+Z",
        "Y,X,1/2+Z",
        "-Y,X,1/2-Z",
        "Y,-X,1/2-Z",
        "-X,-Z,1/2+Y",
        "X,-Z,1/2-Y",
        "X,Z,1/2+Y",
        "-X,Z,1/2-Y",
        "-Z,-Y,1/2+X",
        "-Z,Y,1/2-X",
        "Z,-Y,1/2-X",
        "Z,Y,1/2+X",
     ],
},

"Fd-3m" => { 
     number => 227,
     name   => "Fd-3m",
     symop  => [
        "X,Y,Z",
        "-X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,-Z",
        "1/2+X,-Y,1/2-Z",
        "Z,X,Y",
        "1/2+Z,-X,1/2-Y",
        "-Z,1/2-X,1/2+Y",
        "1/2-Z,1/2+X,-Y",
        "Y,Z,X",
        "1/2-Y,1/2+Z,-X",
        "1/2+Y,-Z,1/2-X",
        "-Y,1/2-Z,1/2+X",
        "3/4+Y,1/4+X,3/4-Z",
        "1/4-Y,1/4-X,1/4-Z",
        "1/4+Y,3/4-X,3/4+Z",
        "3/4-Y,3/4+X,1/4+Z",
        "3/4+X,1/4+Z,3/4-Y",
        "3/4-X,3/4+Z,1/4+Y",
        "1/4-X,1/4-Z,1/4-Y",
        "1/4+X,3/4-Z,3/4+Y",
        "3/4+Z,1/4+Y,3/4-X",
        "1/4+Z,3/4-Y,3/4+X",
        "3/4-Z,3/4+Y,1/4+X",
        "1/4-Z,1/4-Y,1/4-X",
        "1/4-X,1/4-Y,1/4-Z",
        "1/4+X,3/4+Y,3/4-Z",
        "3/4+X,3/4-Y,1/4+Z",
        "3/4-X,1/4+Y,3/4+Z",
        "1/4-Z,1/4-X,1/4-Y",
        "3/4-Z,1/4+X,3/4+Y",
        "1/4+Z,3/4+X,3/4-Y",
        "3/4+Z,3/4-X,1/4+Y",
        "1/4-Y,1/4-Z,1/4-X",
        "3/4+Y,3/4-Z,1/4+X",
        "3/4-Y,1/4+Z,3/4+X",
        "1/4+Y,3/4+Z,3/4-X",
        "1/2-Y,-X,1/2+Z",
        "Y,X,Z",
        "-Y,1/2+X,1/2-Z",
        "1/2+Y,1/2-X,-Z",
        "1/2-X,-Z,1/2+Y",
        "1/2+X,1/2-Z,-Y",
        "X,Z,Y",
        "-X,1/2+Z,1/2-Y",
        "1/2-Z,-Y,1/2+X",
        "-Z,1/2+Y,1/2-X",
        "1/2+Z,1/2-Y,-X",
        "Z,Y,X",
        "X,1/2+Y,1/2+Z",
        "-X,-Y,Z",
        "1/2-X,Y,1/2-Z",
        "1/2+X,1/2-Y,-Z",
        "Z,1/2+X,1/2+Y",
        "1/2+Z,1/2-X,-Y",
        "-Z,-X,Y",
        "1/2-Z,X,1/2-Y",
        "Y,1/2+Z,1/2+X",
        "1/2-Y,Z,1/2-X",
        "1/2+Y,1/2-Z,-X",
        "-Y,-Z,X",
        "3/4+Y,3/4+X,1/4-Z",
        "1/4-Y,3/4-X,3/4-Z",
        "1/4+Y,1/4-X,1/4+Z",
        "3/4-Y,1/4+X,3/4+Z",
        "3/4+X,3/4+Z,1/4-Y",
        "3/4-X,1/4+Z,3/4+Y",
        "1/4-X,3/4-Z,3/4-Y",
        "1/4+X,1/4-Z,1/4+Y",
        "3/4+Z,3/4+Y,1/4-X",
        "1/4+Z,1/4-Y,1/4+X",
        "3/4-Z,1/4+Y,3/4+X",
        "1/4-Z,3/4-Y,3/4-X",
        "1/4-X,3/4-Y,3/4-Z",
        "1/4+X,1/4+Y,1/4-Z",
        "3/4+X,1/4-Y,3/4+Z",
        "3/4-X,3/4+Y,1/4+Z",
        "1/4-Z,3/4-X,3/4-Y",
        "3/4-Z,3/4+X,1/4+Y",
        "1/4+Z,1/4+X,1/4-Y",
        "3/4+Z,1/4-X,3/4+Y",
        "1/4-Y,3/4-Z,3/4-X",
        "3/4+Y,1/4-Z,3/4+X",
        "3/4-Y,3/4+Z,1/4+X",
        "1/4+Y,1/4+Z,1/4-X",
        "1/2-Y,1/2-X,Z",
        "Y,1/2+X,1/2+Z",
        "-Y,X,-Z",
        "1/2+Y,-X,1/2-Z",
        "1/2-X,1/2-Z,Y",
        "1/2+X,-Z,1/2-Y",
        "X,1/2+Z,1/2+Y",
        "-X,Z,-Y",
        "1/2-Z,1/2-Y,X",
        "-Z,Y,-X",
        "1/2+Z,-Y,1/2-X",
        "Z,1/2+Y,1/2+X",
        "1/2+X,Y,1/2+Z",
        "1/2-X,1/2-Y,Z",
        "-X,1/2+Y,1/2-Z",
        "X,-Y,-Z",
        "1/2+Z,X,1/2+Y",
        "Z,-X,-Y",
        "1/2-Z,1/2-X,Y",
        "-Z,1/2+X,1/2-Y",
        "1/2+Y,Z,1/2+X",
        "-Y,1/2+Z,1/2-X",
        "Y,-Z,-X",
        "1/2-Y,1/2-Z,X",
        "1/4+Y,1/4+X,1/4-Z",
        "3/4-Y,1/4-X,3/4-Z",
        "3/4+Y,3/4-X,1/4+Z",
        "1/4-Y,3/4+X,3/4+Z",
        "1/4+X,1/4+Z,1/4-Y",
        "1/4-X,3/4+Z,3/4+Y",
        "3/4-X,1/4-Z,3/4-Y",
        "3/4+X,3/4-Z,1/4+Y",
        "1/4+Z,1/4+Y,1/4-X",
        "3/4+Z,3/4-Y,1/4+X",
        "1/4-Z,3/4+Y,3/4+X",
        "3/4-Z,1/4-Y,3/4-X",
        "3/4-X,1/4-Y,3/4-Z",
        "3/4+X,3/4+Y,1/4-Z",
        "1/4+X,3/4-Y,3/4+Z",
        "1/4-X,1/4+Y,1/4+Z",
        "3/4-Z,1/4-X,3/4-Y",
        "1/4-Z,1/4+X,1/4+Y",
        "3/4+Z,3/4+X,1/4-Y",
        "1/4+Z,3/4-X,3/4+Y",
        "3/4-Y,1/4-Z,3/4-X",
        "1/4+Y,3/4-Z,3/4+X",
        "1/4-Y,1/4+Z,1/4+X",
        "3/4+Y,3/4+Z,1/4-X",
        "-Y,-X,Z",
        "1/2+Y,X,1/2+Z",
        "1/2-Y,1/2+X,-Z",
        "Y,1/2-X,1/2-Z",
        "-X,-Z,Y",
        "X,1/2-Z,1/2-Y",
        "1/2+X,Z,1/2+Y",
        "1/2-X,1/2+Z,-Y",
        "-Z,-Y,X",
        "1/2-Z,1/2+Y,-X",
        "Z,1/2-Y,1/2-X",
        "1/2+Z,Y,1/2+X",
        "1/2+X,1/2+Y,Z",
        "1/2-X,-Y,1/2+Z",
        "-X,Y,-Z",
        "X,1/2-Y,1/2-Z",
        "1/2+Z,1/2+X,Y",
        "Z,1/2-X,1/2-Y",
        "1/2-Z,-X,1/2+Y",
        "-Z,X,-Y",
        "1/2+Y,1/2+Z,X",
        "-Y,Z,-X",
        "Y,1/2-Z,1/2-X",
        "1/2-Y,-Z,1/2+X",
        "1/4+Y,3/4+X,3/4-Z",
        "3/4-Y,3/4-X,1/4-Z",
        "3/4+Y,1/4-X,3/4+Z",
        "1/4-Y,1/4+X,1/4+Z",
        "1/4+X,3/4+Z,3/4-Y",
        "1/4-X,1/4+Z,1/4+Y",
        "3/4-X,3/4-Z,1/4-Y",
        "3/4+X,1/4-Z,3/4+Y",
        "1/4+Z,3/4+Y,3/4-X",
        "3/4+Z,1/4-Y,3/4+X",
        "1/4-Z,1/4+Y,1/4+X",
        "3/4-Z,3/4-Y,1/4-X",
        "3/4-X,3/4-Y,1/4-Z",
        "3/4+X,1/4+Y,3/4-Z",
        "1/4+X,1/4-Y,1/4+Z",
        "1/4-X,3/4+Y,3/4+Z",
        "3/4-Z,3/4-X,1/4-Y",
        "1/4-Z,3/4+X,3/4+Y",
        "3/4+Z,1/4+X,3/4-Y",
        "1/4+Z,1/4-X,1/4+Y",
        "3/4-Y,3/4-Z,1/4-X",
        "1/4+Y,1/4-Z,1/4+X",
        "1/4-Y,3/4+Z,3/4+X",
        "3/4+Y,1/4+Z,3/4-X",
        "-Y,1/2-X,1/2+Z",
        "1/2+Y,1/2+X,Z",
        "1/2-Y,X,1/2-Z",
        "Y,-X,-Z",
        "-X,1/2-Z,1/2+Y",
        "X,-Z,-Y",
        "1/2+X,1/2+Z,Y",
        "1/2-X,Z,1/2-Y",
        "-Z,1/2-Y,1/2+X",
        "1/2-Z,Y,1/2-X",
        "Z,-Y,-X",
        "1/2+Z,1/2+Y,X",
     ],
},

"Fd-3c" => { 
     number => 228,
     name   => "Fd-3c",
     symop  => [
        "X,Y,Z",
        "-X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,-Z",
        "1/2+X,-Y,1/2-Z",
        "Z,X,Y",
        "1/2+Z,-X,1/2-Y",
        "-Z,1/2-X,1/2+Y",
        "1/2-Z,1/2+X,-Y",
        "Y,Z,X",
        "1/2-Y,1/2+Z,-X",
        "1/2+Y,-Z,1/2-X",
        "-Y,1/2-Z,1/2+X",
        "3/4+Y,1/4+X,3/4-Z",
        "1/4-Y,1/4-X,1/4-Z",
        "1/4+Y,3/4-X,3/4+Z",
        "3/4-Y,3/4+X,1/4+Z",
        "3/4+X,1/4+Z,3/4-Y",
        "3/4-X,3/4+Z,1/4+Y",
        "1/4-X,1/4-Z,1/4-Y",
        "1/4+X,3/4-Z,3/4+Y",
        "3/4+Z,1/4+Y,3/4-X",
        "1/4+Z,3/4-Y,3/4+X",
        "3/4-Z,3/4+Y,1/4+X",
        "1/4-Z,1/4-Y,1/4-X",
        "3/4-X,3/4-Y,3/4-Z",
        "3/4+X,1/4+Y,1/4-Z",
        "1/4+X,1/4-Y,3/4+Z",
        "1/4-X,3/4+Y,1/4+Z",
        "3/4-Z,3/4-X,3/4-Y",
        "1/4-Z,3/4+X,1/4+Y",
        "3/4+Z,1/4+X,1/4-Y",
        "1/4+Z,1/4-X,3/4+Y",
        "3/4-Y,3/4-Z,3/4-X",
        "1/4+Y,1/4-Z,3/4+X",
        "1/4-Y,3/4+Z,1/4+X",
        "3/4+Y,1/4+Z,1/4-X",
        "-Y,1/2-X,Z",
        "1/2+Y,1/2+X,1/2+Z",
        "1/2-Y,X,-Z",
        "Y,-X,1/2-Z",
        "-X,1/2-Z,Y",
        "X,-Z,1/2-Y",
        "1/2+X,1/2+Z,1/2+Y",
        "1/2-X,Z,-Y",
        "-Z,1/2-Y,X",
        "1/2-Z,Y,-X",
        "Z,-Y,1/2-X",
        "1/2+Z,1/2+Y,1/2+X",
        "X,1/2+Y,1/2+Z",
        "-X,-Y,Z",
        "1/2-X,Y,1/2-Z",
        "1/2+X,1/2-Y,-Z",
        "Z,1/2+X,1/2+Y",
        "1/2+Z,1/2-X,-Y",
        "-Z,-X,Y",
        "1/2-Z,X,1/2-Y",
        "Y,1/2+Z,1/2+X",
        "1/2-Y,Z,1/2-X",
        "1/2+Y,1/2-Z,-X",
        "-Y,-Z,X",
        "3/4+Y,3/4+X,1/4-Z",
        "1/4-Y,3/4-X,3/4-Z",
        "1/4+Y,1/4-X,1/4+Z",
        "3/4-Y,1/4+X,3/4+Z",
        "3/4+X,3/4+Z,1/4-Y",
        "3/4-X,1/4+Z,3/4+Y",
        "1/4-X,3/4-Z,3/4-Y",
        "1/4+X,1/4-Z,1/4+Y",
        "3/4+Z,3/4+Y,1/4-X",
        "1/4+Z,1/4-Y,1/4+X",
        "3/4-Z,1/4+Y,3/4+X",
        "1/4-Z,3/4-Y,3/4-X",
        "3/4-X,1/4-Y,1/4-Z",
        "3/4+X,3/4+Y,3/4-Z",
        "1/4+X,3/4-Y,1/4+Z",
        "1/4-X,1/4+Y,3/4+Z",
        "3/4-Z,1/4-X,1/4-Y",
        "1/4-Z,1/4+X,3/4+Y",
        "3/4+Z,3/4+X,3/4-Y",
        "1/4+Z,3/4-X,1/4+Y",
        "3/4-Y,1/4-Z,1/4-X",
        "1/4+Y,3/4-Z,1/4+X",
        "1/4-Y,1/4+Z,3/4+X",
        "3/4+Y,3/4+Z,3/4-X",
        "-Y,-X,1/2+Z",
        "1/2+Y,X,Z",
        "1/2-Y,1/2+X,1/2-Z",
        "Y,1/2-X,-Z",
        "-X,-Z,1/2+Y",
        "X,1/2-Z,-Y",
        "1/2+X,Z,Y",
        "1/2-X,1/2+Z,1/2-Y",
        "-Z,-Y,1/2+X",
        "1/2-Z,1/2+Y,1/2-X",
        "Z,1/2-Y,-X",
        "1/2+Z,Y,X",
        "1/2+X,Y,1/2+Z",
        "1/2-X,1/2-Y,Z",
        "-X,1/2+Y,1/2-Z",
        "X,-Y,-Z",
        "1/2+Z,X,1/2+Y",
        "Z,-X,-Y",
        "1/2-Z,1/2-X,Y",
        "-Z,1/2+X,1/2-Y",
        "1/2+Y,Z,1/2+X",
        "-Y,1/2+Z,1/2-X",
        "Y,-Z,-X",
        "1/2-Y,1/2-Z,X",
        "1/4+Y,1/4+X,1/4-Z",
        "3/4-Y,1/4-X,3/4-Z",
        "3/4+Y,3/4-X,1/4+Z",
        "1/4-Y,3/4+X,3/4+Z",
        "1/4+X,1/4+Z,1/4-Y",
        "1/4-X,3/4+Z,3/4+Y",
        "3/4-X,1/4-Z,3/4-Y",
        "3/4+X,3/4-Z,1/4+Y",
        "1/4+Z,1/4+Y,1/4-X",
        "3/4+Z,3/4-Y,1/4+X",
        "1/4-Z,3/4+Y,3/4+X",
        "3/4-Z,1/4-Y,3/4-X",
        "1/4-X,3/4-Y,1/4-Z",
        "1/4+X,1/4+Y,3/4-Z",
        "3/4+X,1/4-Y,1/4+Z",
        "3/4-X,3/4+Y,3/4+Z",
        "1/4-Z,3/4-X,1/4-Y",
        "3/4-Z,3/4+X,3/4+Y",
        "1/4+Z,1/4+X,3/4-Y",
        "3/4+Z,1/4-X,1/4+Y",
        "1/4-Y,3/4-Z,1/4-X",
        "3/4+Y,1/4-Z,1/4+X",
        "3/4-Y,3/4+Z,3/4+X",
        "1/4+Y,1/4+Z,3/4-X",
        "1/2-Y,1/2-X,1/2+Z",
        "Y,1/2+X,Z",
        "-Y,X,1/2-Z",
        "1/2+Y,-X,-Z",
        "1/2-X,1/2-Z,1/2+Y",
        "1/2+X,-Z,-Y",
        "X,1/2+Z,Y",
        "-X,Z,1/2-Y",
        "1/2-Z,1/2-Y,1/2+X",
        "-Z,Y,1/2-X",
        "1/2+Z,-Y,-X",
        "Z,1/2+Y,X",
        "1/2+X,1/2+Y,Z",
        "1/2-X,-Y,1/2+Z",
        "-X,Y,-Z",
        "X,1/2-Y,1/2-Z",
        "1/2+Z,1/2+X,Y",
        "Z,1/2-X,1/2-Y",
        "1/2-Z,-X,1/2+Y",
        "-Z,X,-Y",
        "1/2+Y,1/2+Z,X",
        "-Y,Z,-X",
        "Y,1/2-Z,1/2-X",
        "1/2-Y,-Z,1/2+X",
        "1/4+Y,3/4+X,3/4-Z",
        "3/4-Y,3/4-X,1/4-Z",
        "3/4+Y,1/4-X,3/4+Z",
        "1/4-Y,1/4+X,1/4+Z",
        "1/4+X,3/4+Z,3/4-Y",
        "1/4-X,1/4+Z,1/4+Y",
        "3/4-X,3/4-Z,1/4-Y",
        "3/4+X,1/4-Z,3/4+Y",
        "1/4+Z,3/4+Y,3/4-X",
        "3/4+Z,1/4-Y,3/4+X",
        "1/4-Z,1/4+Y,1/4+X",
        "3/4-Z,3/4-Y,1/4-X",
        "1/4-X,1/4-Y,3/4-Z",
        "1/4+X,3/4+Y,1/4-Z",
        "3/4+X,3/4-Y,3/4+Z",
        "3/4-X,1/4+Y,1/4+Z",
        "1/4-Z,1/4-X,3/4-Y",
        "3/4-Z,1/4+X,1/4+Y",
        "1/4+Z,3/4+X,1/4-Y",
        "3/4+Z,3/4-X,3/4+Y",
        "1/4-Y,1/4-Z,3/4-X",
        "3/4+Y,3/4-Z,3/4+X",
        "3/4-Y,1/4+Z,1/4+X",
        "1/4+Y,3/4+Z,1/4-X",
        "1/2-Y,-X,Z",
        "Y,X,1/2+Z",
        "-Y,1/2+X,-Z",
        "1/2+Y,1/2-X,1/2-Z",
        "1/2-X,-Z,Y",
        "1/2+X,1/2-Z,1/2-Y",
        "X,Z,1/2+Y",
        "-X,1/2+Z,-Y",
        "1/2-Z,-Y,X",
        "-Z,1/2+Y,-X",
        "1/2+Z,1/2-Y,1/2-X",
        "Z,Y,1/2+X",
     ],
},

"Im-3m" => { 
     number => 229,
     name   => "Im-3m",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "-X,Y,-Z",
        "X,-Y,-Z",
        "Z,X,Y",
        "Z,-X,-Y",
        "-Z,-X,Y",
        "-Z,X,-Y",
        "Y,Z,X",
        "-Y,Z,-X",
        "Y,-Z,-X",
        "-Y,-Z,X",
        "Y,X,-Z",
        "-Y,-X,-Z",
        "Y,-X,Z",
        "-Y,X,Z",
        "X,Z,-Y",
        "-X,Z,Y",
        "-X,-Z,-Y",
        "X,-Z,Y",
        "Z,Y,-X",
        "Z,-Y,X",
        "-Z,Y,X",
        "-Z,-Y,-X",
        "-X,-Y,-Z",
        "X,Y,-Z",
        "X,-Y,Z",
        "-X,Y,Z",
        "-Z,-X,-Y",
        "-Z,X,Y",
        "Z,X,-Y",
        "Z,-X,Y",
        "-Y,-Z,-X",
        "Y,-Z,X",
        "-Y,Z,X",
        "Y,Z,-X",
        "-Y,-X,Z",
        "Y,X,Z",
        "-Y,X,-Z",
        "Y,-X,-Z",
        "-X,-Z,Y",
        "X,-Z,-Y",
        "X,Z,Y",
        "-X,Z,-Y",
        "-Z,-Y,X",
        "-Z,Y,-X",
        "Z,-Y,-X",
        "Z,Y,X",
        "1/2+X,1/2+Y,1/2+Z",
        "1/2-X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,1/2-Z",
        "1/2+X,1/2-Y,1/2-Z",
        "1/2+Z,1/2+X,1/2+Y",
        "1/2+Z,1/2-X,1/2-Y",
        "1/2-Z,1/2-X,1/2+Y",
        "1/2-Z,1/2+X,1/2-Y",
        "1/2+Y,1/2+Z,1/2+X",
        "1/2-Y,1/2+Z,1/2-X",
        "1/2+Y,1/2-Z,1/2-X",
        "1/2-Y,1/2-Z,1/2+X",
        "1/2+Y,1/2+X,1/2-Z",
        "1/2-Y,1/2-X,1/2-Z",
        "1/2+Y,1/2-X,1/2+Z",
        "1/2-Y,1/2+X,1/2+Z",
        "1/2+X,1/2+Z,1/2-Y",
        "1/2-X,1/2+Z,1/2+Y",
        "1/2-X,1/2-Z,1/2-Y",
        "1/2+X,1/2-Z,1/2+Y",
        "1/2+Z,1/2+Y,1/2-X",
        "1/2+Z,1/2-Y,1/2+X",
        "1/2-Z,1/2+Y,1/2+X",
        "1/2-Z,1/2-Y,1/2-X",
        "1/2-X,1/2-Y,1/2-Z",
        "1/2+X,1/2+Y,1/2-Z",
        "1/2+X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,1/2+Z",
        "1/2-Z,1/2-X,1/2-Y",
        "1/2-Z,1/2+X,1/2+Y",
        "1/2+Z,1/2+X,1/2-Y",
        "1/2+Z,1/2-X,1/2+Y",
        "1/2-Y,1/2-Z,1/2-X",
        "1/2+Y,1/2-Z,1/2+X",
        "1/2-Y,1/2+Z,1/2+X",
        "1/2+Y,1/2+Z,1/2-X",
        "1/2-Y,1/2-X,1/2+Z",
        "1/2+Y,1/2+X,1/2+Z",
        "1/2-Y,1/2+X,1/2-Z",
        "1/2+Y,1/2-X,1/2-Z",
        "1/2-X,1/2-Z,1/2+Y",
        "1/2+X,1/2-Z,1/2-Y",
        "1/2+X,1/2+Z,1/2+Y",
        "1/2-X,1/2+Z,1/2-Y",
        "1/2-Z,1/2-Y,1/2+X",
        "1/2-Z,1/2+Y,1/2-X",
        "1/2+Z,1/2-Y,1/2-X",
        "1/2+Z,1/2+Y,1/2+X",
     ],
},

"Ia-3d" => { 
     number => 230,
     name   => "Ia-3d",
     symop  => [
        "X,Y,Z",
        "1/2-X,-Y,1/2+Z",
        "-X,1/2+Y,1/2-Z",
        "1/2+X,1/2-Y,-Z",
        "Z,X,Y",
        "1/2+Z,1/2-X,-Y",
        "1/2-Z,-X,1/2+Y",
        "-Z,1/2+X,1/2-Y",
        "Y,Z,X",
        "-Y,1/2+Z,1/2-X",
        "1/2+Y,1/2-Z,-X",
        "1/2-Y,-Z,1/2+X",
        "3/4+Y,1/4+X,1/4-Z",
        "3/4-Y,3/4-X,3/4-Z",
        "1/4+Y,1/4-X,3/4+Z",
        "1/4-Y,3/4+X,1/4+Z",
        "3/4+X,1/4+Z,1/4-Y",
        "1/4-X,3/4+Z,1/4+Y",
        "3/4-X,3/4-Z,3/4-Y",
        "1/4+X,1/4-Z,3/4+Y",
        "3/4+Z,1/4+Y,1/4-X",
        "1/4+Z,1/4-Y,3/4+X",
        "1/4-Z,3/4+Y,1/4+X",
        "3/4-Z,3/4-Y,3/4-X",
        "-X,-Y,-Z",
        "1/2+X,Y,1/2-Z",
        "X,1/2-Y,1/2+Z",
        "1/2-X,1/2+Y,Z",
        "-Z,-X,-Y",
        "1/2-Z,1/2+X,Y",
        "1/2+Z,X,1/2-Y",
        "Z,1/2-X,1/2+Y",
        "-Y,-Z,-X",
        "Y,1/2-Z,1/2+X",
        "1/2-Y,1/2+Z,X",
        "1/2+Y,Z,1/2-X",
        "1/4-Y,3/4-X,3/4+Z",
        "1/4+Y,1/4+X,1/4+Z",
        "3/4-Y,3/4+X,1/4-Z",
        "3/4+Y,1/4-X,3/4-Z",
        "1/4-X,3/4-Z,3/4+Y",
        "3/4+X,1/4-Z,3/4-Y",
        "1/4+X,1/4+Z,1/4+Y",
        "3/4-X,3/4+Z,1/4-Y",
        "1/4-Z,3/4-Y,3/4+X",
        "3/4-Z,3/4+Y,1/4-X",
        "3/4+Z,1/4-Y,3/4-X",
        "1/4+Z,1/4+Y,1/4+X",
        "1/2+X,1/2+Y,1/2+Z",
        "-X,1/2-Y,Z",
        "1/2-X,Y,-Z",
        "X,-Y,1/2-Z",
        "1/2+Z,1/2+X,1/2+Y",
        "Z,-X,1/2-Y",
        "-Z,1/2-X,Y",
        "1/2-Z,X,-Y",
        "1/2+Y,1/2+Z,1/2+X",
        "1/2-Y,Z,-X",
        "Y,-Z,1/2-X",
        "-Y,1/2-Z,X",
        "1/4+Y,3/4+X,3/4-Z",
        "1/4-Y,1/4-X,1/4-Z",
        "3/4+Y,3/4-X,1/4+Z",
        "3/4-Y,1/4+X,3/4+Z",
        "1/4+X,3/4+Z,3/4-Y",
        "3/4-X,1/4+Z,3/4+Y",
        "1/4-X,1/4-Z,1/4-Y",
        "3/4+X,3/4-Z,1/4+Y",
        "1/4+Z,3/4+Y,3/4-X",
        "3/4+Z,3/4-Y,1/4+X",
        "3/4-Z,1/4+Y,3/4+X",
        "1/4-Z,1/4-Y,1/4-X",
        "1/2-X,1/2-Y,1/2-Z",
        "X,1/2+Y,-Z",
        "1/2+X,-Y,Z",
        "-X,Y,1/2+Z",
        "1/2-Z,1/2-X,1/2-Y",
        "-Z,X,1/2+Y",
        "Z,1/2+X,-Y",
        "1/2+Z,-X,Y",
        "1/2-Y,1/2-Z,1/2-X",
        "1/2+Y,-Z,X",
        "-Y,Z,1/2+X",
        "Y,1/2+Z,-X",
        "3/4-Y,1/4-X,1/4+Z",
        "3/4+Y,3/4+X,3/4+Z",
        "1/4-Y,1/4+X,3/4-Z",
        "1/4+Y,3/4-X,1/4-Z",
        "3/4-X,1/4-Z,1/4+Y",
        "1/4+X,3/4-Z,1/4-Y",
        "3/4+X,3/4+Z,3/4+Y",
        "1/4-X,1/4+Z,3/4-Y",
        "3/4-Z,1/4-Y,1/4+X",
        "1/4-Z,1/4+Y,3/4-X",
        "1/4+Z,3/4-Y,1/4-X",
        "3/4+Z,3/4+Y,3/4+X",
     ],
},

"P2" => { 
     number => 1003,
     name   => "P2",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
     ],
},

"P1121" => { 
     number => 1004,
     name   => "P1121",
     symop  => [
        "X,Y,Z",
        "-X,-Y,1/2+Z",
     ],
},

"I21" => { 
     number => 3004,
     name   => "I21",
     symop  => [
        "X,Y,Z",
        "-X,1/2+Y,-Z",
        "X+1/2,Y+1/2,Z+1/2",
        "-X+1/2,Y,1/2-Z",
     ],
},

"B2" => { 
     number => 1005,
     name   => "B2",
     symop  => [
        "X,Y,Z",
        "-X,-Y,Z",
        "1/2+X,+Y,1/2+Z",
        "1/2-X,-Y,1/2+Z",
     ],
},

"A2" => { 
     number => 2005,
     name   => "A2",
     symop  => [
        "X,Y,Z",
        "X,-Y,-Z",
        "X,1/2+Y,1/2+Z",
        "X,1/2-Y,1/2-Z",
     ],
},

"C21" => { 
     number => 3005,
     name   => "C21",
     symop  => [
        "X,Y,Z",
        "-X,1/2+Y,-Z",
        "1/2+X,1/2+Y,Z",
        "1/2-X,Y,-Z",
     ],
},

"I2" => { 
     number => 4005,
     name   => "I2",
     symop  => [
        "X,Y,Z",
        "-X,Y,-Z",
        "X+1/2,Y+1/2,Z+1/2",
        "-X+1/2,Y+1/2,-Z+1/2",
     ],
},

"P11m" => { 
     number => 1006,
     name   => "P11m",
     symop  => [
        "X,Y,Z",
        "X,Y,-Z",
     ],
},

"P11b" => { 
     number => 1007,
     name   => "P11b",
     symop  => [
        "X,Y,Z",
        "X,1/2+Y,-Z",
     ],
},

"B11m" => { 
     number => 1008,
     name   => "B11m",
     symop  => [
        "X,Y,Z",
        "X,-Y,Z",
        "1/2+X,1/2+Y,Z",
        "1/2+X,1/2-Y,Z",
     ],
},

"B11b" => { 
     number => 1009,
     name   => "B11b",
     symop  => [
        "X,Y,Z",
        "X,1/2+Y,-Z",
        "1/2+X,Y,1/2+Z",
        "1/2+X,1/2+Y,1/2-Z",
     ],
},

"P112/m" => { 
     number => 1010,
     name   => "P112/m",
     symop  => [
        "X,Y,Z",
        "X,Y,-Z",
        "-X,-Y,Z",
        "-X,-Y,-Z",
     ],
},

"P1121/m" => { 
     number => 1011,
     name   => "P1121/m",
     symop  => [
        "X,Y,Z",
        "-X,-Y,1/2+Z",
        "-X,-Y,-Z",
        "X,Y,1/2-Z",
     ],
},

"B112/m" => { 
     number => 1012,
     name   => "B112/m",
     symop  => [
        "X,Y,Z",
        "X,Y,-Z",
        "-X,-Y,Z",
        "-X,-Y,-Z",
        "1/2+X,Y,1/2+Z",
        "1/2+X,Y,1/2-Z",
        "1/2-X,-Y,1/2+Z",
        "1/2-X,-Y,1/2-Z",
     ],
},

"P112/b" => { 
     number => 1013,
     name   => "P112/b",
     symop  => [
        "X,Y,Z",
        "-X,1/2-Y,Z",
        "-X,-Y,-Z",
        "X,1/2+Y,-Z",
     ],
},

"P1121/b" => { 
     number => 1014,
     name   => "P1121/b",
     symop  => [
        "X,Y,Z",
        "-X,-Y,-Z",
        "-X,1/2-Y,1/2+Z",
        "X,1/2+Y,1/2-Z",
     ],
},

"B112/b" => { 
     number => 1015,
     name   => "B112/b",
     symop  => [
        "X,Y,Z",
        "-X,1/2-Y,Z",
        "-X,-Y,-Z",
        "X,1/2+Y,-Z",
        "1/2+X,Y,1/2+Z",
        "1/2-X,1/2-Y,1/2+Z",
        "1/2-X,-Y,1/2-Z",
        "1/2+X,1/2+Y,1/2-Z",
     ],
},

"P2122" => { 
     number => 1017,
     name   => "P2122",
     symop  => [
        "X,Y,Z",
        "-X,Y,-Z",
        "1/2+X,-Y,-Z",
        "1/2-X,-Y,Z",
     ],
},

"P2212" => { 
     number => 2017,
     name   => "P2212",
     symop  => [
        "X,Y,Z",
        "X,1/2-Y,-Z",
        "-X,1/2+Y,-Z",
        "-X,-Y,Z",
     ],
},

"P21212a" => { 
     number => 1018,
     name   => "P21212a",
     symop  => [
        "X,Y,Z",
        "1/2-X,1/2-Y,Z",
        "X+1/2,-Y,-Z",
        "-X,Y+1/2,-Z",
     ],
},

"P21221" => { 
     number => 2018,
     name   => "P21221",
     symop  => [
        "X,Y,Z",
        "-X,Y,-Z",
        "1/2+X,-Y,1/2-Z",
        "1/2-X,-Y,1/2+Z",
     ],
},

"P22121" => { 
     number => 3018,
     name   => "P22121",
     symop  => [
        "X,Y,Z",
        "X,-Y,-Z",
        "-X,1/2+Y,1/2-Z",
        "-X,1/2-Y,1/2+Z",
     ],
},

"C2221a" => { 
     number => 1020,
     name   => "C2221a",
     symop  => [
        "X,Y,Z",
        "1/2-X,-Y,1/2+Z",
        "1/2+X,1/2-Y,-Z",
        "-X,1/2+Y,1/2-Z",
        "1/2+X,1/2+Y,Z",
        "-X,1/2-Y,1/2+Z",
        "X,-Y,-Z",
        "1/2-X,Y,1/2-Z",
     ],
},

"C222a" => { 
     number => 1021,
     name   => "C222a",
     symop  => [
        "X,Y,Z",
        "1/2-X,1/2-Y,Z",
        "X+1/2,-Y,-Z",
        "-X,Y+1/2,-Z",
        "1/2+X,1/2+Y,Z",
        "-X,-Y,Z",
        "X,1/2-Y,-Z",
        "1/2-X,Y,-Z",
     ],
},

"F222a" => { 
     number => 1022,
     name   => "F222a",
     symop  => [
        "X,Y,Z",
        "1/2-X,1/2-Y,Z",
        "X+1/2,-Y,-Z",
        "-X,Y+1/2,-Z",
        "X,Y+1/2,Z+1/2",
        "1/2-X,-Y,Z+1/2",
        "X+1/2,-Y+1/2,-Z+1/2",
        "-X,Y,-Z+1/2",
        "X+1/2,Y,Z+1/2",
        "-X,1/2-Y,Z+1/2",
        "X,-Y,-Z+1/2",
        "-X+1/2,Y+1/2,-Z+1/2",
        "X+1/2,Y+1/2,Z",
        "-X,-Y,Z",
        "X,-Y+1/2,-Z",
        "-X+1/2,Y,-Z",
     ],
},

"I222a" => { 
     number => 1023,
     name   => "I222a",
     symop  => [
        "X,Y,Z",
        "1/2-X,1/2-Y,Z",
        "X+1/2,-Y,-Z",
        "-X,Y+1/2,-Z",
        "1/2+X,1/2+Y,1/2+Z",
        "-X,-Y,1/2+Z",
        "1/2-X,Y,1/2-Z",
        "X,1/2-Y,1/2-Z",
     ],
},

"Pmmn2" => { 
     number => 1059,
     name   => "Pmmn2",
     symop  => [
        "X,Y,Z",
        "1/2-X,1/2-Y,Z",
        "-X,1/2+Y,-Z",
        "1/2+X,-Y,-Z",
        "-X,-Y,-Z",
        "X+1/2,Y+1/2,-Z",
        "X,1/2-Y,Z",
        "1/2-X,Y,Z",
     ],
},

"P42212a" => { 
     number => 1094,
     name   => "P42212a",
     symop  => [
        "X,Y,Z",
        "1/2-X,1/2-Y,Z",
        "-Y,X+1/2,1/2+Z",
        "Y+1/2,-X,1/2+Z",
        "-X,Y+1/2,-Z",
        "X+1/2,-Y,-Z",
        "Y,X,1/2-Z",
        "1/2-Y,1/2-X,1/2-Z",
     ],
},

"I23a" => { 
     number => 1197,
     name   => "I23a",
     symop  => [
        "X,Y,Z",
        "1/2-X,1/2-Y,Z",
        "X+1/2,-Y,-Z",
        "-X,Y+1/2,-Z",
        "Y,Z,X",
        "1/2-Y,1/2-Z,X",
        "Y+1/2,-Z,-X",
        "-Y,Z+1/2,-X",
        "Z,X,Y",
        "1/2-Z,1/2-X,Y",
        "Z+1/2,-X,-Y",
        "-Z,X+1/2,-Y",
        "1/2+X,1/2+Y,1/2+Z",
        "-X,-Y,1/2+Z",
        "X,1/2-Y,1/2-Z",
        "1/2-X,Y,1/2-Z",
        "1/2+Y,1/2+Z,1/2+X",
        "-Y,-Z,1/2+X",
        "Y,1/2-Z,1/2-X",
        "1/2-Y,Z,1/2-X",
        "1/2+Z,1/2+X,1/2+Y",
        "-Z,-X,1/2+Y",
        "Z,1/2-X,1/2-Y",
        "1/2-Z,X,1/2-Y",
     ],
},

);
1;
