#--*-perl-*-------------------------------------------------------------
#$Author: saulius $
#$Date: 2006-05-12 09:40:28 +0300 (Fri, 12 May 2006) $
#$Revision: 1056 $
#$URL: svn+ssh://saulius-grazulis.lt/home/saulius/svn-repositories/cce/modules/Protein.pm $
#-----------------------------------------------------------------------
# Reading header information from PROTEIN binary reflection files (.fo)
#-----------------------------------------------------------------------

package Protein;

use strict;
use File::Basename;
require Exporter;
@Protein::ISA = qw(Exporter);
@Protein::EXPORT = qw( readProteinHeader );

sub write_info
{
    my ($filename, $info, $Id) = @_;

    my $infoname = "$filename.info";
    local ($\, $,, $") = ("", "", "");
    open(INFO, ">$infoname") or
        die("Could not open file '$infoname' for writing: $!");
    print INFO <<EOF;
#
#  Auxilary information for PROTEIN file
#  '@{[ basename($filename) ]}'
#  Written by:
#  $Id
#
EOF
    my $key;
    foreach $key (keys %$info) {
        print INFO uc($key), "\t", $$info{$key}, "\n";
    }
    close(INFO) or die("Error closing file '$infoname': $!");
}

sub read_info
{
    my ($filename, $info) = @_;
    my $infoname = "$filename.info";

    open(INFO, "$infoname") or
        die("Could not open file '$infoname': $!");

    while(<INFO>) {
	next if /^\s*#|^\s*$/;
	chomp;
	my @line = split(" ", $_, 2);
	my $keyword = lc($line[0]);
	$$info{$keyword} = $line[1];
    }

    close(INFO) or die("Error closing file '$infoname': $!");
}

1;
